<?php defined( 'ABSPATH' ) || exit; 



function webinarignition_display_option_img($num, $data = null, $title, $id, $help, $options) {

    $items = explode(",", $options);

    // Output HTML

    ?>

    <div class="editSection">

        <div class="inputTitle">
            <div class="inputTitleCopy"><?php echo $title; ?></div>
            <div class="inputTitleHelp"><?php echo $help; ?></div>
        </div>


        <div class="inputSection">

            <?php

            $i = 0; // Counter
            $selectedClass = "";

            foreach ($items as $item) {

                // parse value

                $item = explode("[", $item);
                $item[0] = trim($item[0]);
                $item[1] = str_replace("]", "", $item[1]);

                if ($data == "" && $i == "0") {
                    // Is First Element && Data is null
                    $selectedClass = "dub_select_image_selected";
                }

                ?>
                <div class="dub_select_image <?php echo $selectedClass; ?> <?php if ($data == $item[1]) {
                    echo "dub_select_image_selected";
                } ?> ds_<?php echo $id; ?>" dsData="<?php echo $item[1]; ?>" dsID="<?php echo $id; ?>">

                    <img src="<?php echo $item[0]; ?>"/>

                </div>
                <?php

                $i++; // add to counter
                $selectedClass = ""; // Reset Class
            }

            ?>

            <br clear="left">

            <input type='hidden' class="elem" name="<?php echo $id; ?>" id="<?php echo $id; ?>"
                   value="<?php echo $data; ?>"/>

        </div>
        <br clear="left">

    </div>

<?php
}

// DISPLAY A COLOR PICKER

function webinarignition_display_color($num, $data, $title, $id, $help, $placeholder) {

    // Output HTML

    ?>

    <div class="editSection">

        <div class="inputTitle">
            <div class="inputTitleCopy"><?php echo $title; ?></div>
            <div class="inputTitleHelp"><?php echo $help; ?></div>
        </div>

        <div class="inputSection ">
            <input class="inputField elem  cp-picker color-field-picker" placeholder="<?php echo $placeholder; ?>"
                   type="text" name="<?php echo $id; ?>" id="<?php echo $id; ?>"
                   value="<?php echo htmlspecialchars(stripcslashes($data)); ?>"
                   style=" background-color: <?php echo htmlspecialchars(stripcslashes($data)); ?>;">
        </div>
        <br clear="left">

    </div>

<?php
}

// DISPLAY A COLOR PICKER
function webinarignition_display_date_picker($num, $data, $title, $id, $help, $placeholder) {

    // Output HTML

    ?>

    <div class="editSection">

        <div class="inputTitle">
            <div class="inputTitleCopy"><?php echo $title; ?></div>
            <div class="inputTitleHelp"><?php echo $help; ?></div>
        </div>

        <div class="inputSection ">
            <input class="inputField elem dp-date date-field-picker" placeholder="<?php echo $placeholder; ?>"
                   type="text" name="<?php echo $id; ?>" id="<?php echo $id; ?>"
                   value="<?php echo htmlspecialchars(stripcslashes($data)); ?>">
        </div>
        <br clear="left">

    </div>

<?php
}

// DISPLAY A TIME PICKER - 24hr
function webinarignition_display_time_picker($num, $data, $title, $id, $help, $placeholder = '') {

    // Output HTML

    ?>

    <div class="editSection">

        <div class="inputTitle">
            <div class="inputTitleCopy"><?php echo $title; ?></div>
            <div class="inputTitleHelp"><?php echo $help; ?></div>
        </div>

        <div class="inputSection ">

            <?php if (empty($data)) $data = '18:00'; ?>
            <input class="inputField elem dp-time" placeholder="<?php echo $placeholder; ?>"
                   type="text" name="<?php echo $id; ?>" id="<?php echo $id; ?>"
                   value="<?php echo htmlspecialchars(stripcslashes($data)); ?>">

        </div>
        <br clear="left">

    </div>

<?php
}

// DISPLAY EDIT TOGLE

function webinarignition_display_edit_toggle($icon, $title, $ID, $exta) {
    ?>
    <div class="editableSectionHeading" editSection="<?php echo $ID; ?>">

        <div class="editableSectionIcon">
            <i class="icon-<?php echo $icon; ?> icon-2x"></i>
        </div>

        <div class="editableSectionTitle">
            <?php echo $title; ?>
            <span class="editableSectionTitleSmall"><?php if ($exta == "") {
                    echo "Not Setup yet...";
                } else {
                    echo $exta;
                } ?></span>
        </div>

        <div class="editableSectionToggle">
            <i class="toggleIcon  icon-chevron-down icon-2x"></i>
        </div>

        <br clear="all"/>

    </div>
    <div class="editableSectionSep"></div>
<?php
}

// Display Info Block
function webinarignition_display_info($title, $info) {
    ?>
    <div class="editSection infoSection">
        <h4><i class="icon-question-sign"></i> <?php echo $title; ?></h4>

        <p><?php echo $info; ?></p>
    </div>
<?php
}


// Display TIMEZONES
function webinarignition_display_timezone_identifiers($num, $data, $title, $id, $help, $placeholder) {

    ?>

    <div class="editSection">

        <div class="inputTitle">
            <div class="inputTitleCopy"><?php echo $title; ?></div>
            <div class="inputTitleHelp"><?php echo $help; ?></div>
        </div>

        <div class="inputSection">
            <?php
            $timezone_list = timezone_identifiers_list();
            ?>
            <select name="<?php echo $id; ?>" id="<?php echo $id; ?>" class="inputField elem">
                <?php foreach ($timezone_list as $_timezone) { ?>
                    <option value="<?php echo $_timezone; ?>" <?php if ($data == $_timezone) {
                        echo "selected";
                    } ?> ><?php echo $_timezone; ?></option>
                <?php } ?>
            </select>


        </div>
        <br clear="left">

    </div>

<?php

}

// DISPLAY A TIME PICKER - 24hr
function webinarignition_display_time_auto($num, $data, $title, $id, $help) {

    // Output HTML

    ?>

    <div class="editSection">

        <div class="inputTitle">
            <div class="inputTitleCopy"><?php echo $title; ?></div>
            <div class="inputTitleHelp"><?php echo $help; ?></div>
        </div>

        <div class="inputSection ">

            <?php $starttimeTZ = $data; ?>
            <select name="<?php echo $id; ?>" id="<?php echo $id; ?>" class="inputField elem ">
                <option value="08:00" <?php if ($starttimeTZ == "08:00") {
                    echo "selected";
                } ?>>8:00 AM
                </option>
                <option value="08:30" <?php if ($starttimeTZ == "08:30") {
                    echo "selected";
                } ?>>8:30 AM
                </option>
                <option value="09:00" <?php if ($starttimeTZ == "09:00") {
                    echo "selected";
                } ?>>9:00 AM
                </option>
                <option value="09:30" <?php if ($starttimeTZ == "09:30") {
                    echo "selected";
                } ?>>9:30 AM
                </option>
                <option value="10:00" <?php if ($starttimeTZ == "10:00") {
                    echo "selected";
                } ?>>10:00 AM
                </option>
                <option value="10:30" <?php if ($starttimeTZ == "10:30") {
                    echo "selected";
                } ?>>10:30 AM
                </option>
                <option value="11:00" <?php if ($starttimeTZ == "11:00") {
                    echo "selected";
                } ?>>11:00 AM
                </option>
                <option value="11:30" <?php if ($starttimeTZ == "11:30") {
                    echo "selected";
                } ?>>11:30 AM
                </option>
                <option value="12:00" <?php if ($starttimeTZ == "12:00") {
                    echo "selected";
                } ?>>12:00 PM
                </option>
                <option value="12:30" <?php if ($starttimeTZ == "12:30") {
                    echo "selected";
                } ?>>12:30 PM
                </option>
                <option value="13:00" <?php if ($starttimeTZ == "13:00") {
                    echo "selected";
                } ?>>1:00 PM
                </option>
                <option value="13:30" <?php if ($starttimeTZ == "13:30") {
                    echo "selected";
                } ?>>1:30 PM
                </option>
                <option value="14:00" <?php if ($starttimeTZ == "14:00") {
                    echo "selected";
                } ?>>2:00 PM
                </option>
                <option value="14:30" <?php if ($starttimeTZ == "14:30") {
                    echo "selected";
                } ?>>2:30 PM
                </option>
                <option value="15:00" <?php if ($starttimeTZ == "15:00") {
                    echo "selected";
                } ?>>3:00 PM
                </option>
                <option value="15:30" <?php if ($starttimeTZ == "15:30") {
                    echo "selected";
                } ?>>3:30 PM
                </option>
                <option value="16:00" <?php if ($starttimeTZ == "16:00") {
                    echo "selected";
                } ?>>4:00 PM
                </option>
                <option value="16:30" <?php if ($starttimeTZ == "16:30") {
                    echo "selected";
                } ?>>4:30 PM
                </option>
                <option value="17:00" <?php if ($starttimeTZ == "17:00") {
                    echo "selected";
                } ?>>5:00 PM
                </option>
                <option value="17:30" <?php if ($starttimeTZ == "17:30") {
                    echo "selected";
                } ?>>5:30 PM
                </option>
                <option value="18:00" <?php if ($starttimeTZ == "18:00" || $starttimeTZ == "") {
                    echo "selected";
                } ?>>6:00 PM
                </option>
                <option value="18:30" <?php if ($starttimeTZ == "18:30") {
                    echo "selected";
                } ?> >6:30 PM
                </option>
                <option value="19:00" <?php if ($starttimeTZ == "19:00") {
                    echo "selected";
                } ?>>7:00 PM
                </option>
                <option value="19:30" <?php if ($starttimeTZ == "19:30") {
                    echo "selected";
                } ?>>7:30 PM
                </option>
                <option value="20:00" <?php if ($starttimeTZ == "20:00") {
                    echo "selected";
                } ?> >8:00 PM
                </option>
                <option value="20:30" <?php if ($starttimeTZ == "20:30") {
                    echo "selected";
                } ?> >8:30 PM
                </option>
                <option value="21:00" <?php if ($starttimeTZ == "21:00") {
                    echo "selected";
                } ?> >9:00 PM
                </option>
                <option value="21:30" <?php if ($starttimeTZ == "21:30") {
                    echo "selected";
                } ?>  >9:30 PM
                </option>
                <option value="22:00" <?php if ($starttimeTZ == "22:00") {
                    echo "selected";
                } ?> >10:00 PM
                </option>
                <option value="23:00" <?php if ($starttimeTZ == "23:00") {
                    echo "selected";
                } ?> >11:00 PM
                </option>
                <option value="no" <?php if ($starttimeTZ == "no") {
                    echo "selected";
                } ?> >Do Not Show This Time
                </option>
            </select>

        </div>
        <br clear="left">

    </div>

<?php
}