<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

defined( 'ABSPATH' ) || exit;



// fnc fix permalink uri variable deliminator
// --------------------------------------------------------
   function webinarignition_fixPerma($postID = false, $url = false)
   {
      $pml = $url;
      if(!$pml) {
         $pml = $postID ? get_permalink($postID) : get_permalink();
      }
      $pml = ((strpos($pml, '?') !== false) ? "$pml&" : "$pml?");

      return $pml;
   }
// --------------------------------------------------------



function webinarignition_display($var, $placeholder)
{
    // check if var is set
    if (empty($var)) {
        echo $placeholder;
    } else {
        echo stripcslashes($var);
    }
}



function webinarignition_generate_key($length = 32)
{
                $str = "";
                $characters = array_merge(range('A', 'Z'), range('a', 'z'), range('0', '9'));
                $max = count($characters) - 1;
                for ($i = 0; $i < $length; $i++) {
                    $rand = mt_rand(0, $max);
                    $str .= $characters[$rand];
                }
                return $str;
}



function webinarignition_live_notification_times($start_date, $start_time)
{
                $newDate = strtotime($start_date[2] . "-" . $start_date[0] . "-" . $start_date[1]);
                $newTime = strtotime($start_time);

                $notification_times = array();
                $notification_times['live']['date'] = date("m-d-Y", $newDate);
                $notification_times['live']['time'] = date("H:i", $newTime);
                $notification_times['daybefore']['date'] = date("m-d-Y", strtotime('-1 day', $newDate));
                $notification_times['daybefore']['time'] = $notification_times['live']['time'];
                $notification_times['hourbefore']['date'] = $notification_times['live']['date'];
                $notification_times['hourbefore']['time'] = date("H:i", strtotime('-1 hour', $newTime));
                $notification_times['hourafter']['date'] = $notification_times['live']['date'];
                $notification_times['hourafter']['time'] = date("H:i", strtotime('+1 hour', $newTime));
                $notification_times['dayafter']['date'] = date("m-d-Y", strtotime('+1 day', $newDate));
                $notification_times['dayafter']['time'] = $notification_times['live']['time'];

                return $notification_times;
}

function webinarignition_prettifyNotificationTitle($num)
{
                switch ($num) {
                    case 1:
                        return "Day Before Notification";
                        break;
                    case 2:
                        return "Hour Before Notification";
                        break;
                    case 3:
                        return "Live Notification";
                        break;
                    case 4:
                        return "Hour After Notification";
                        break;
                    case 5:
                        return "Day After Notification";
                        break;
                }


}



// export leads
add_action('admin_post_webinarignition_export_leads', 'webinarignition_export_leads');
function webinarignition_export_leads() {
                require_once( WEBINARIGNITION_PATH . 'inc/ex/ex.php');
}

add_action('wp_ajax_webinarignition_export_leads', 'webinarignition_export_leads');

// PAYKICKSTART
// Register user for webinar from Paykickstart checkout page
add_action('admin_post_nopriv_pk_fetch_webinars', 'webinarignition_pk_fetch_webinars');
function webinarignition_pk_fetch_webinars() {

                require_once( WEBINARIGNITION_PATH . 'inc/pk/pkHelper.php');
                $pk = new PKHelper($_REQUEST, plugin_dir_path(__FILE__), false);

                // this method will return a verification token that you can use if you are testing the api with Postman
               // echo $pk->for_testing_generate_verification_code(); exit;

                // Send list of webinars to Paykickstart
                header('Content-Type: application/json');
                echo json_encode($pk->fetch_webinars());
                exit; // always exit when action is done.

}

add_action('admin_post_nopriv_pk_register_webinar', 'webinarignition_admin_pk_register_webinar');
function webinarignition_admin_pk_register_webinar() {

                require_once(WEBINARIGNITION_PATH . 'inc/pk/pkHelper.php');
                $pk = new PKHelper($_REQUEST, plugin_dir_path(__FILE__), false);

                // this method will return a verification token that you can use if you are testing the api with Postman
               // echo $pk->for_testing_generate_verification_code(); exit;

                // send back status and message only
                header('Content-Type: application/json');
                echo json_encode($pk->register_user_for_webinar());
                exit; // always exit when action is done.

}




// extra stuff
function webinarignition_admin_scripts()
{
                wp_enqueue_script('jquery-ui-sortable');
}

add_action('admin_enqueue_scripts', 'webinarignition_admin_scripts');


function webinarignition_check_admin()
{

    if( isset($_SERVER['QUERY_STRING']) ) {

              if (strstr($_SERVER['QUERY_STRING'], 'preview-') && !is_user_logged_in())
              {
                 header("HTTP/1.1 403 Forbidden");
                 ob_get_clean();
                 exit();
              }

    }


}

add_action('init', 'webinarignition_check_admin');


/**
 * @param String $client (is the webinar id in the webinarignition_leads table
 * @return String
 */
function webinarignition_getLid($client) {

                $input_cookie   = filter_input_array(INPUT_COOKIE);

                $input_get      = filter_input_array(INPUT_GET);
                if (!empty($input_cookie['we-trk-' . $client])) {
                    return $input_cookie['we-trk-' . $client];
                } else if (!empty($input_get['lid'])) {
                    return $input_get['lid'];
                } else {
                    return '';
                }

}

function webinarignition_determinePaymentProvider($webinar) {

                if (webinarignition_usingStripePaymentOption($webinar)) {
                    return 'stripe';
                } else if (webinarignition_usingPaypalPaymentOption($webinar)) {
                    return 'paypal';
                }

                return 'unknown';
}

function webinarignition_usingStripePaymentOption($results) {
                if (isset($results->paid_button_type) && $results->paid_button_type === 'stripe') {
                    return true;
                } else if ($results->paid_button_type === 'default' && $results->stripe_secret_key && $results->stripe_publishable_key) {
                    return true;
                }

                return false;
}

function webinarignition_usingPaypalPaymentOption($results) {
                return isset($results->paid_button_type) && ($results->paid_button_type === 'paypal' || $results->paid_button_type === 'default');
}

function webinarignition_should_use_videojs($results) {

                // don't use Videojs if it is a live webinar
                if ( ! isset($results->webinar_date) || $results->webinar_date !== "AUTO") {
                    return false;
                }

                // don't use Videojs if iframe (3rd party e.g Youtube) is used
                if ( empty($results->webinar_source_toggle) || $results->webinar_source_toggle === 'iframe' ) {
                    return false;
                }

                return true;
}

function webinarignition_display_custom_js($results, $propertyName) {
                echo empty($results->$propertyName) ? '' : webinarignition_format_custom_js($results->$propertyName);
}

function webinarignition_format_custom_js($string) {

                if (empty($string)) {
                    return $string;
                }

                $possible_script_tags = array(
                    '<script>',
                    '</script>',
                    '<script type="text/javascript">',
                    '<script type="text/javascript" >',
                    "<script type='text/javascript'>",
                    "<script type='text/javascript' >"
                );

                foreach ( $possible_script_tags as $needle ) {
                    if ( strpos( $string, $needle ) !== false ) {
                        return $string;
                    }
                }

                return '<script type="text/javascript">' . $string . '</script>';
}

function webinarignition_is_auto($webinar) {
                return isset($webinar->webinar_date) && ($webinar->webinar_date === "AUTO");
}


function webinarignition_parse_registration_page_data($webinarId, $rawWebinarData) {

                $w = $rawWebinarData;

                if( !empty($w->paid_status) ):
                   $paidCode = $w->paid_status === 'paid' ? '&'. urlencode($w->paid_code) : '';
                else:
                    $paidCode = '';
                endif;

                $thankYouPageUrl = webinarignition_fixPerma() . 'confirmed' . $paidCode; // lead id (lid) will be appended after registration form has been submitted.
                $useCustomThankYouUrl = false;
                if ($w->custom_ty_url_state === 'show' && !empty($w->custom_ty_url)) {
                    $useCustomThankYouUrl = true;
                    $thankYouPageUrl = $w->custom_ty_url;
                }

                if( webinarignition_is_auto($w) ){
                    $scheduleType = $w->lp_schedule_type;
                    if ( !empty($scheduleType) && !in_array($w->lp_schedule_type, array('fixed', 'delayed')) ) {
                        $scheduleType = 'custom';
                        $customScheduleMaxTime = webinarignition_get_cs_max_time($w);
                    }
                }

                $parsed = array(
                    'webinarId'                 =>  $webinarId,
                    'webinarType'               =>  webinarignition_is_auto($rawWebinarData) ? 'evergreen' : 'live',
                    'ajaxUrl'                   =>  admin_url('admin-ajax.php'),
                    'webinarUrl'                =>  webinarignition_fixPerma(), // This is the registration page url, to get the event/webinar page url, just append &live to it later (and the lid of course).
                    'thankYouPageUrl'           =>  $thankYouPageUrl,
                    'skipThankYouPage'          =>  isset($rawWebinarData->skip_ty_page) && $rawWebinarData->skip_ty_page === "yes",
                    'useCustomThankYouUrl'      =>  $useCustomThankYouUrl,
                    'arUrl'                     =>  !empty($w->ar_url) ? $w->ar_url : 'none',
                    'paidCode'                  =>  !empty($rawWebinarData->paid_code) ? $rawWebinarData->paid_code : '',
                    'isPaidWebinar'             =>  isset($w->paid_status) && $w->paid_status === 'paid',
                    'isSigningUpWithFB'         =>  false,
                    'fbUserData'                =>  [],
                    'paymentProvider'           =>  webinarignition_determinePaymentProvider($rawWebinarData),
                    'scheduleType'              =>  !empty($scheduleType) ? $scheduleType : '',
                    'timeFormat'                =>  isset($w->time_format) && in_array($w->time_format, ['12hour', '24hour']) ? $w->time_format : '12hour',
                    'timeSuffix'                =>  !empty($w->time_suffix) ? $w->time_suffix : '',
                    'leadDeviceInfo'            =>  [],
                    'userIp'                    =>  $_SERVER['REMOTE_ADDR'],

                    // This is for values only used in live webinars.
                    'live' => [],

                    // This is for values only used in evergreen webinars.
                    'evergreen' => [
                        'schedules' => [
                            'custom' => [
                                'maxTime' => !empty($customScheduleMaxTime) ? $customScheduleMaxTime : '',
                            ],
                            'fixed' => [],
                            'delayed' => [],
                        ]
                    ]
                );

                return $parsed;
}


add_filter( 'cron_schedules', 'webinarignition_cron_add_five_minutes' );
function webinarignition_cron_add_five_minutes( $schedules ) {

        $schedules['five_minutes'] = [
            'interval' => 300,
            'display' => 'Once Every Five Minutes'
        ];
        return $schedules;
}

add_action( 'webinarignition_cron_hook', 'webinarignition_cron_exec' );

function webinarignition_cron_exec() {
        include( WEBINARIGNITION_PATH . 'inc/schedule_notifications.php');
}

if ( ! wp_next_scheduled( 'webinarignition_cron_hook' ) ) {
    wp_schedule_event( time(), 'five_minutes', 'webinarignition_cron_hook' );
}

register_deactivation_hook( __FILE__, 'webinarignition_deactivate_cron' );

function webinarignition_deactivate_cron() {
   $timestamp = wp_next_scheduled( 'webinarignition_cron_hook' );
   wp_unschedule_event( $timestamp, 'webinarignition_cron_hook' );
}


function webinarignition_mail ( $user_email, $subject, $body,  $webinar_data ) {

                require_once( 'Exception.php' );
                require_once( 'PHPMailer.php' );
                require_once( 'SMTP.php' );

                try {
                  $phpmailer = new PHPMailer( true );
                  $phpmailer->CharSet = 'UTF-8';
                  $phpmailer->isSMTP();
                  $phpmailer->Host = $webinar_data->smtp_host;
                  $phpmailer->SMTPAuth = true;
                  $phpmailer->Username = $webinar_data->smtp_user;
                  $phpmailer->Password = $webinar_data->smtp_pass;
                  $phpmailer->SMTPSecure = $webinar_data->transfer_protocol ? $webinar_data->transfer_protocol : 'tls';
                  $phpmailer->Port = $webinar_data->smtp_port;

                  $phpmailer->setFrom($webinar_data->smtp_email, $webinar_data->smtp_name);
                  $phpmailer->AddAddress($user_email);

                  // Content
                  $phpmailer->isHTML(true);
                  $phpmailer->Subject = $subject;
                  $phpmailer->Body    = $body;

                  $phpmailer->send();
                } catch (Exception $e) {
                  error_log(  $e->getMessage() );

                  $phpmailer = new PHPMailer;
                  $phpmailer->isSendmail();
                  $phpmailer->setFrom($webinar_data->smtp_email, $webinar_data->smtp_name);
                  $phpmailer->AddAddress($user_email);
                  $phpmailer->isHTML(true);
                  $phpmailer->Subject = $subject;
                  $phpmailer->Body    = $body;

                  if( !$phpmailer->send() ) {

                    $phpmailer = new PHPMailer;
                    $phpmailer->isMail();
                    $phpmailer->setFrom($webinar_data->smtp_email, $webinar_data->smtp_name);
                    $phpmailer->AddAddress($user_email);
                    $phpmailer->isHTML(true);
                    $phpmailer->Subject = $subject;
                    $phpmailer->Body    = $body;

                    if( !$phpmailer->send() ) {

                    return false;

                    } else {
                        return true;
                    }

                  } else {
                    return true;
                  }
        }


}
