<?php
defined( 'ABSPATH' ) || exit; 
use Carbon\Carbon;

add_action('wp_ajax_nopriv_webinarignition_auto_lp_get_dates', 'webinarignition_auto_lp_get_dates_callback');
add_action('wp_ajax_webinarignition_auto_lp_get_dates', 'webinarignition_auto_lp_get_dates_callback');
function webinarignition_auto_lp_get_dates_callback()
{
    
    check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
    $post_input     = filter_input_array(INPUT_POST);
    $weekdays = array('monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday', 'sunday');

    
    // Prototype For Evergreen Webinar
    // Get Variables
    $tz = $post_input['tz'];
    $ID = $post_input['id'];

    // Get Results
    $results = get_option('webinarignition_campaign_' . $ID);

    $date_format = "D, F j, Y";

    $day_toggle = array(
        'monday' => $results->auto_monday,
        'tuesday' => $results->auto_tuesday,
        'wednesday' => $results->auto_wednesday,
        'thursday' => $results->auto_thursday,
        'friday' => $results->auto_friday,
        'saturday' => $results->auto_saturday,
        'sunday' => $results->auto_sunday
    );

    if( array_search('yes', $day_toggle) ) {
            $day_offset = !empty($results->auto_day_offset) && is_numeric($results->auto_day_offset) ? $results->auto_day_offset : 0;
            $day_limit = !empty($results->auto_day_limit) && is_numeric($results->auto_day_limit) ? $results->auto_day_limit : 7;

            $dates = WiDateHelpers::get_next_days(
                $day_offset,
                $day_limit,
                $day_toggle,
                $results->auto_blacklisted_dates,
                $date_format
            );

            // Today date
            $today_date = date('Y-m-d');
            $today_formatted = date($date_format, strtotime($today_date));
            $today_date_lang = strtolower(date('l', strtotime($today_date)));

            // Add today if there are hours available for registration (if not too late)
            if ($day_toggle[$today_date_lang] === 'yes' && $day_offset < 1) {
                // Add today's date to first position in dates array.
                $dates = array_merge([$today_date => $today_formatted], $dates);
            }        
    }

    if(empty($dates)) {
        $dates = [];
    }

    // Instant access
    if ($results->auto_today == "yes") {
        $instant_text = $results->auto_translate_instant == ""
            ? "Instant Access / Today"
            : $results->auto_translate_instant;
        $dates = array_merge(['instant_access' => $instant_text], $dates);
    }

    $jsondates = json_encode($dates);
    $jsondates = webinarignition_translate_dm($results->auto_translate_months, $jsondates);
    $jsondates = webinarignition_translate_dm($results->auto_translate_days, $jsondates, 'days');

    echo $jsondates;
    die();

}

