<?php
defined( 'ABSPATH' ) || exit;
// Create Campaign
add_action('wp_ajax_webinarignition_create', 'webinarignition_create_callback');

function webinarignition_create_callback()
{

            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );

            // WP DB Include
            global $wpdb;
            $table_db_name  = $wpdb->prefix . "webinarignition";
            $post_input     = filter_input_array(INPUT_POST);
            $clone          = $post_input['cloneapp'];

            $importcode = $post_input['importcode'];
            // Save DB Info - Name & Created Date
            $wpdb->insert($table_db_name, array(
                'appname' => stripcslashes($post_input['appname']),
                'camtype' => $clone,
                'total_lp' => '0%%0',
                'total_ty' => '0%%0',
                'total_live' => '0%%0',
                'total_replay' => '0%%0',
                'created' => date('F j, Y')
            ));

            // Return The ID Of Campaign Created
            $campaignID = $wpdb->insert_id;

            // CREATE A CORRASPONDING POST ::
            $my_post = array(
                'post_title'    => wp_strip_all_tags($post_input['appname']),
                'post_type'     => 'page',
                'post_content'  => 'NOT USED -- REPLACED WITH WEBINAR IGNITION CAMPAIGN CONTENT',
                'post_status'   => 'publish'
            );

            // Insert the post into the database
            $getPostID = wp_insert_post($my_post);

            // Add postID to db:
            $wpdb->update($table_db_name, array('postID' => $getPostID), array('id' => $campaignID));

            // Set Meta Info so it links this page with the bonus page::
            update_post_meta($getPostID, 'webinarignitionx_meta_box_select', esc_attr($campaignID));

            echo $campaignID;

            // MODEL :: CORE DATA
            add_option('webinarignition_campaign_' . $campaignID, "");

            $maintitle = stripslashes($post_input['appname']);

            // Create Option PRE-DONE CONTENT FOR THE USER
            // *****************************************************************************
            // Parse info like Data
            $fullDate = $post_input["webinar_date"];

            if( !empty($fullDate) ):

                if (strpos($fullDate, '-')) {
                    $fullDate = explode("-", $fullDate);
                } else {
                    $fullDate = explode("/", $fullDate);
                }

                $setDate = $fullDate[2] . "/" . $fullDate[0] . "/" . $fullDate[1];

                $getDate = date('l jS \of F Y', strtotime($setDate));
                $getDate = explode(" ", $getDate);

                $getDay = str_replace("th", "", $getDate[1]);
                $getDay = str_replace("rd", "", $getDay);
                $getDay = str_replace("st", "", $getDay);
                $getDay = str_replace("nd", "", $getDay);

            endif;

            if ($clone == "new"):
                if($setTime = $post_input["webinar_start_time"]):

                    $getTime = date("h:i:s A", strtotime($setTime));

                    $getTime = explode(" ", $getTime);
                    $getHour = explode(":", $getTime[0]);
                    $getHour2 = $getHour[0];
                    // Check for 0 in front of time..
                    if ($getHour2[0] == "0") {
                        $getHour2 = str_replace("0", "", $getHour2);
                    }

                endif;
            endif;


            $timezone = "-5";
            if ($post_input["webinar_timezone"] != "") {
                $timezone = $post_input["webinar_timezone"];
            }

            $host = "Your Name";
            if ($post_input["webinar_host"] != "") {
                $host = stripslashes( $post_input["webinar_host"] );
            }

            $desc = "How We Crush It With Webinars";
            if ($post_input["webinar_desc"] != "") {
                $desc = stripslashes( $post_input["webinar_desc"] );
            }
            if ( $post_input["cloneapp"] == 1 ) {
                $desc = stripslashes( $post_input["appname"] );
            }
            $emailSetup = '<body width="100%" style="color: rgba(0,0,0,.4);line-height: 1.8;font-size: 15px;font-weight: 400;font-family: "Nunito Sans", sans-serif;margin: 0; padding: 0 !important; mso-line-height-rule: exactly; background-color: #222222;">
                                        <center style="width: 100%; background-color: #f1f1f1;">
                                            <div style="max-width: 600px; margin: 0 auto;" class="email-container">
                                                <table align="center" role="presentation" cellspacing="0" cellpadding="0" border="0" width="100%" style="margin: auto;">
                                                    <tr>
                                                        <td valign="top" class="bg_white" style="padding: 1em 2.5em;background: #ffffff;">
                                                            <table role="presentation" border="0" cellpadding="0" cellspacing="0" width="100%">
                                                                <tr>
                                                                    <td width="100%" class="logo" style="text-align: left;">
                                                                        <h1 style="margin: 0;padding: 0 30px; text-align: left;" class="email-container">Webinar Reminder: {TITLE}</h1>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td class="bg_white" style="background: #ffffff;">
                                                            <table role="presentation" cellspacing="0" cellpadding="0" border="0" width="100%">
                                                                <tr>
                                                                    <td class="bg_white" style="background: #ffffff;">
                                                                        <table role="presentation" cellspacing="0" cellpadding="0" border="0" width="100%">
                                                                            <tr>
                                                                                <td class="bg_white email-section" style="background: #ffffff; padding:2.5em; padding-top: 0;">
                                                                                    <div class="heading-section" style="text-align: left; padding: 0 30px;">
                                                                                        <p>Hi {NAME}.</p>

                                                                                        <p>%%INTRO%%</p>

                                                                                        <p>Date: Join us live on {DATE}</p>

                                                                                        <p>Webinar Topic: {TITLE}</p>

                                                                                        <p>Hosts: {HOST}</p>

                                                                                        <p><strong>How To Join The Webinar</strong></p>

                                                                                        <p>Click the following link to join.</p>

                                                                                        <p style="text-align:center;">{LINK}</p>

                                                                                        <p>You will be connected to video via your browser using your computer, tablet, or mobile phone\'s microphone and speakers. A headset is recommended.</p>

                                                                                        <p><strong>System Requirements</strong></p>

                                                                                        <p>A modern browser: a recent version of Chrome, Firefox, Opera, or Internet Explorer browsers.</p>

                                                                                        <p>PC-based attendees: Windows 7 or newer.</p>

                                                                                        <p>Mac-based attendees: Mac OS X 10.6 or newer</p>

                                                                                        <p>Mobile attendees: iPhone, iPad, Android phone or Android tablet</p>

                                                                                    </div>
                                                                                </td>
                                                                            </tr>

                                                                        </table>

                                                                    </td>
                                                                </tr>

                                                            </table>

                                                        </td>
                                                    </tr>

                                                </table>
                                                <table align="center" role="presentation" cellspacing="0" cellpadding="0" border="0" width="100%" style="margin: auto;">
                                                    <tr>
                                                        <td valign="middle" class="bg_black footer email-section" style="text-align: center; background: #000000; padding:2.5em; padding-top: 0; color: rgba(255,255,255,.5)">
                                                            <table style="margin:0 auto;">
                                                                <tr>
                                                                    <td valign="top" width="100%">
                                                                        <table role="presentation" cellspacing="0" cellpadding="0" border="0" width="100%">
                                                                            <tr>
                                                                                <td style="text-align: center; padding-right: 10px;">
                                                                                    <p style="color:rgba(255,255,255,.5);">Powered by </p>
                                                                                </td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td style="text-align: center; padding-right: 10px;">
                                                                                    <div class="mLogoIMG">
                                                                                        <a href="https://webinarignition.com" target="_blank">
                                                                                            <img border="0" class="welogo" src="'. WEBINARIGNITION_URL. '/images/wi-logo.png" width="284" alt="">
                                                                                        </a>
                                                                                    </div>
                                                                                </td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td style="color:rgba(255,255,255,.5); text-align: center; padding-right: 10px;">
                                                                                    <p style="color:rgba(255,255,255,.5);">WebinarIgnition | The Most Powerful Webinar Platform for Live &amp; Automated Webinars</p>
                                                                                </td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td style="color:rgba(255,255,255,.5); text-align: center; padding-right: 10px;">
                                                                                    <p style="color:rgba(255,255,255,.5);">&copy; {YEAR} WebinarIgnition. All Rights Reserved</p>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                        </div>
                                </center>
                            </body>';



            // Save Campaign Setup
            if ($clone == "new") {

                    $notification_times = webinarignition_live_notification_times($fullDate, $setTime);

                    // Data For New Webinar
                    $dataArray = array(
                        "webinar_desc"                      => $desc,
                        "webinar_host"                      => $host,
                        "webinar_date"                      => $notification_times['live']['date'],
                        "webinar_start_time"                => $notification_times['live']['time'],
                        "webinar_end_time"                  => $notification_times['live']['time'],
                        "time_format"                       => '24hour',
                        "webinar_timezone"                  => $timezone,
                        "lp_metashare_title"                => $maintitle,
                        "lp_metashare_desc"                 => $desc,
                        "lp_main_headline"                  => '<h4 class="subheader">Introducing This Exclusive Webinar From ' . $host . '</h4><h2 style="margin-top: -10px;" id="150">' . $desc . '</h2>',
                        "lp_webinar_month"                  => $getDate[3],
                        "lp_webinar_day"                    => $getDay,
                        "lp_webinar_headline"               => $getDate[0] . " The " . $getDate[1],
                        "lp_webinar_subheadline"            => "", // "At " . $getHour2 . ":" . $getHour[1] . " " . $getTime[1] . " - " . webinarignition_utc_to_abrc($timezone),
                        "cd_headline"                       => '<h4 class="subheader">You Are Viewing The Webinar That Is Not Yet Live - <b>We Go Live Soon!</b></h4><h2 style="margin-top: -10px; margin-bottom: 30px;">Webinar Starts Very Soon</h2>',
                        "email_signup_sbj"                  => "[Reminder] Your Webinar :: $desc",
                        "email_signup_body"                 => str_replace("%%INTRO%%", "Here is the webinar information you\'ve just signed up for...", $emailSetup),
                        "email_notiff_date_1"               => $notification_times['daybefore']['date'],
                        "email_notiff_time_1"               => $notification_times['daybefore']['time'],
                        "email_notiff_status_1"             => "queued",
                        "email_notiff_sbj_1"                => "WEBINAR REMINDER :: Goes Live Tomorrow :: $desc",
                        "email_notiff_body_1"               => str_replace("%%INTRO%%", "This is a reminder that the webinar you signed up for is tomorrow...", $emailSetup),
                        "email_notiff_date_2"               => $notification_times['hourbefore']['date'],
                        "email_notiff_time_2"               => $notification_times['hourbefore']['time'],
                        "email_notiff_status_2"             => "queued",
                        "email_notiff_sbj_2"                => "WEBINAR REMINDER :: Goes Live In 1 Hour :: $desc",
                        "email_notiff_body_2"               => str_replace("%%INTRO%%", "The webinar is live in 1 hour!", $emailSetup),
                        "email_notiff_date_3"               => $notification_times['live']['date'],
                        "email_notiff_time_3"               => $notification_times['live']['time'],
                        "email_notiff_status_3"             => "queued",
                        "email_notiff_sbj_3"                => "We Are Live",
                        "email_notiff_body_3"               => str_replace("%%INTRO%%", "We are live, on air and ready to go!", $emailSetup),
                        "email_notiff_date_4"               => $notification_times['hourafter']['date'],
                        "email_notiff_time_4"               => $notification_times['hourafter']['time'],
                        "email_notiff_status_4"             => "queued",
                        "email_notiff_sbj_4"                => "Replay is live!",
                        "email_notiff_body_4"               => str_replace("%%INTRO%%", "We just posted the replay video for the webinar tonight...", $emailSetup),
                        "email_notiff_date_5"               => $notification_times['dayafter']['date'],
                        "email_notiff_time_5"               => $notification_times['dayafter']['time'],
                        "email_notiff_status_5"             => "queued",
                        "email_notiff_sbj_5"                => "WEBINAR REMINDER :: Goes Live Tomorrow :: $desc",
                        "email_notiff_body_5"               => str_replace("%%INTRO%%", "This is a reminder that the webinar you signed up for is tomorrow...", $emailSetup),
                        "email_twilio_date"                 => $notification_times['live']['date'],
                        "email_twilio_time"                 => $notification_times['hourbefore']['time'],
                        "email_twilio_status"               => "queued",
                        "email_twilio"                      => "off",
                        "twilio_msg"                        => "The webinar is starting soon! Jump On Live: {LINK}",
                        "auto_translate_months"             => "Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec",
                        "auto_translate_days"               => "Monday, Tuesday, Wednesday, Thursday, Friday, Saturday, Sunday",
                        "lp_banner_bg_style"                => "hide",
                        "webinar_banner_bg_style"           => "hide",
                        "smtp_name"                         => $host,
                        "smtp_email"                        => get_bloginfo("admin_email"),
                        'ar_fields_order'                   => array( 'ar_name','ar_email' ),
                        'ar_name'                           => '',
                        'ar_email'                          => '',
                        'lp_optin_name'                     => __("Enter your name:", "webinarignition"),
                        'lp_optin_email'                    => __("Enter your email:", "webinarignition"),
                        'ar_hidden'                         => '',
                        'time_suffix'                       => '',
                        'fb_id'                             => '',
                        'fb_secret'                         => '',
                        'ty_share_image'                    => '',
                        'ar_url'                            => '',
                        'ar_method'                         => '',
                        'lp_background_color'               => '',
                        'lp_background_image'               => '',
                        'lp_cta_bg_color'                   => '',
                        'lp_cta_type'                       => '',
                        'lp_cta_video_code'                 => '',
                        'lp_sales_headline'                 => '',
                        'lp_sales_headline_color'           => '',
                        'lp_sales_copy'                     => '',
                        'lp_optin_headline'                 => '',
                        'lp_webinar_host_block'             => '',
                        'lp_host_image'                     => '',
                        'lp_host_info'                      => '',
                        'paid_status'                       => '',
                        'ar_code'                           => '',
                        'lp_fb_button'                      => '',
                        'ar_custom_date_format'             => '',
                        'lp_optin_button'                   => '',
                        'lp_optin_btn_color'                => '',
                        'lp_optin_spam'                     => '',
                        'lp_optin_closed'                   => '',
                        'custom_ty_url_state'               => '',
                        'ty_ticket_headline'                => '',
                        'ty_ticket_subheadline'             => '',
                        'ty_cta_type'                       => '',
                        'ty_cta_html'                       => '',
                        'ty_webinar_headline'               => '',
                        'ty_webinar_subheadline'            => '',
                        'ty_webinar_url'                    => '',
                        'ty_share_toggle'                   => '',
                        'ty_step2_headline'                 => '',
                        'ty_fb_share'                       => '',
                        'ty_tw_share'                       => '',
                        'ty_share_intro'                    => '',
                        'ty_share_reveal'                   => '',
                        'webinar_switch'                    => '',
                        'total_cd'                          => '',
                        'cd_button_show'                    => '',
                        'cd_button_copy'                    => '',
                        'cd_button_color'                   => '',
                        'cd_button'                         => '',
                        'cd_button_url'                     => '',
                        'cd_headline2'                      => '',
                        'cd_months'                         => '',
                        'cd_weeks'                          => '',
                        'cd_days'                           => '',
                        'cd_hours'                          => '',
                        'cd_minutes'                        => '',
                        'cd_seconds'                        => '',
                        'webinar_info_block'                => '',
                        'webinar_info_block_title'          => '',
                        'webinar_info_block_host'           => '',
                        'webinar_info_block_eventtitle'     => '',
                        'webinar_info_block_desc'           => '',
                        'privacy_status'                    => '',
                        'webinar_live_video'                => '',
                        'webinar_live_bgcolor'              => '',
                        'webinar_banner_bg_color'           => '',
                        'webinar_banner_bg_repeater'        => '',
                        'webinar_banner_image'              => '',
                        'webinar_background_color'          => '',
                        'webinar_background_image'          => '',
                        'webinar_qa_title'                  => '',
                        'webinar_qa'                        => '',
                        'webinar_qa_name_placeholder'       => '',
                        'webinar_qa_email_placeholder'      => '',
                        'webinar_qa_desc_placeholder'       => '',
                        'webinar_qa_button'                 => '',
                        'webinar_qa_button_color'           => '',
                        'webinar_qa_thankyou'               => '',
                        'webinar_qa_custom'                 => '',
                        'webinar_speaker'                   => '',
                        'webinar_speaker_color'             => '',
                        'social_share_links'                => '',
                        'webinar_invite'                    => '',
                        'webinar_invite_color'              => '',
                        'webinar_fb_share'                  => '',
                        'webinar_tw_share'                  => '',
                        'webinar_ld_share'                  => '',
                        'webinar_callin'                    => '',
                        'webinar_callin_copy'               => '',
                        'webinar_callin_color'              => '',
                        'webinar_callin_number'             => '',
                        'webinar_callin_color2'             => '',
                        'webinar_live'                      => '',
                        'webinar_live_color'                => '',
                        'webinar_giveaway_toggle'           => '',
                        'webinar_giveaway_title'            => '',
                        'webinar_giveaway'                  => '',
                        'lp_banner_bg_color'                => '',
                        'lp_banner_bg_repeater'             => '',
                        'lp_banner_image'                   => '',
                        'lp_cta_image'                      => '',
                        'paid_headline'                     => '',
                        'paid_button_type'                  => '',
                        'paid_button_custom'                => '',
                        'payment_form'                      => '',
                        'paid_btn_copy'                     => '',
                        'paid_btn_color'                    => '',
                        'stripe_secret_key'                 => '',
                        'stripe_publishable_key'            => '',
                        'stripe_charge'                     => '',
                        'stripe_charge_description'         => '',
                        'paid_btn_copy'                     => '',
                        'paid_btn_color'                    => '',
                        'paid_pay_url'                      => '',
                        'lp_fb_copy'                        => '',
                        'lp_fb_or'                          => '',
                        'lp_optin_btn_image'                => '',
                        'lp_optin_btn'                      => '',
                        'custom_ty_url'                     => '',
                        'ty_cta_video_code'                 => '',
                        'ty_cta_image'                      => '',
                        'ty_werbinar_custom_url'            => '',
                        'ty_ticket_webinar_option'          => '',
                        'ty_ticket_webinar'                 => '',
                        'ty_webinar_option_custom_title'    => '',
                        'ty_ticket_host_option'             => '',
                        'ty_ticket_host'                    => '',
                        'ty_webinar_option_custom_host'     => '',
                        'ty_ticket_date_option'             => '',
                        'ty_ticket_date'                    => '',
                        'ty_webinar_option_custom_date'     => '',
                        'ty_ticket_time_option'             => '',
                        'ty_ticket_time'                    => '',
                        'ty_webinar_option_custom_time'     => '',
                        'tycd_countdown'                    => '',
                        'tycd_progress'                     => '',
                        'tycd_years'                        => '',
                        'tycd_months'                       => '',
                        'tycd_weeks'                        => '',
                        'tycd_days'                         => '',
                        'ty_add_to_calendar_option'         => '',
                        'ty_calendar_headline'              => '',
                        'ty_calendar_google'                => '',
                        'ty_calendar_ical'                  => '',
                        'skip_ty_page'                      => '',
                        'txt_area'                          => '',
                        'txt_headline'                      => '',
                        'txt_placeholder'                   => '',
                        'txt_btn'                           => '',
                        'txt_reveal'                        => '',
                        'replay_video'                      => '',
                        'replay_optional'                   => '',
                        'replay_cd_date'                    => '',
                        'replay_cd_time'                    => '',
                        'replay_cd_headline'                => '',
                        'replay_timed_style'                => '',
                        'replay_order_copy'                 => '',
                        'replay_order_url'                  => '',
                        'replay_order_html'                 => '',
                        'replay_order_time'                 => '',
                        'replay_closed'                     => '',
                        'footer_copy'                       => '',
                        'footer_branding'                   => '',
                        'footer_branding_copy'              => '',
                        'footer_branding_url'               => '',
                        'custom_lp_js'                      => '',
                        'custom_lp_css'                     => '',
                        'meta_site_title_ty'                => '',
                        'meta_desc_ty'                      => '',
                        'custom_ty_js'                      => '',
                        'custom_ty_css'                     => '',
                        'meta_site_title_webinar'           => '',
                        'meta_desc_webinar'                 => '',
                        'custom_webinar_js'                 => '',
                        'custom_webinar_css'                => '',
                        'meta_site_title_replay'            => '',
                        'meta_desc_replay'                  => '',
                        'custom_replay_js'                  => '',
                        'custom_replay_css'                 => '',
                        'footer_code'                       => '',
                        'footer_code_ty'                    => '',
                        'live_stats'                        => '',
                        'wp_head_footer'                    => '',
                        'smtp_host'                         => '',
                        'smtp_port'                         => '',
                        'transfer_protocol'                 => '',
                        'smtp_user'                         => '',
                        'smtp_pass'                         => '',
                        'email_signup'                      => '',
                        'email_notiff_1'                    => '',
                        'email_notiff_2'                    => '',
                        'email_notiff_3'                    => '',
                        'email_notiff_4'                    => '',
                        'email_notiff_5'                    => '',
                        'twilio_id'                         => '',
                        'twilio_token'                      => '',
                        'twilio_number'                     => '',
                        'webinar_live_overlay'              => '',
                        'replay_order_color'                => '',
                        'air_toggle'                        => ''

                    );

                    $obj = webinarignition_array_to_object($dataArray);

                // no clone - new
                update_option('webinarignition_campaign_' . $campaignID, $obj);
            } else if ($clone == "import") {
                // importing campaign -- update Name & Permalink
                $importcode = trim($importcode);
                $webinar = unserialize(base64_decode($importcode));
                $webinar->webinarURLName2 = stripcslashes($post_input['appname']);
                update_option('webinarignition_campaign_' . $campaignID, $webinar);
            } else if ($clone == "auto") {
                // Data For New Webinar

                $dataArray = array(
                    "webinar_desc"                      => $desc,
                    "webinar_host"                      => $host,
                    "webinar_date"                      => "AUTO",
                    "time_format"                       => '24hour',
                    "lp_metashare_title"                => $maintitle,
                    "lp_metashare_desc"                 => $desc,
                    "lp_main_headline"                  => '<h4 class="subheader">Introducing This Exclusive Webinar From ' . $host . '</h4><h2 style="margin-top: -10px;" id="229">' . $desc . '</h2>',
                    "cd_headline"                       => '<h4 class="subheader">You Are Viewing The Webinar That Is Not Yet Live </h4><h2 style="margin-top: -10px; margin-bottom: 30px;">We Go Live Soon.</h2>',
                    "email_signup_sbj"                  => "[Reminder] Your Webinar Information ",
                    "email_signup_body"                 => str_replace("%%INTRO%%", "Here is the webinar information you just signed up for...", $emailSetup),
                    "email_notiff_sbj_1"                => "WEBINAR REMINDER :: Goes Live Tomorrow :: $desc",
                    "email_notiff_body_1"               => str_replace("%%INTRO%%", "This is a reminder that the webinar you signed up for is tomorrow...", $emailSetup),
                    "email_notiff_sbj_2"                => "WEBINAR REMINDER :: Goes Live In 1 Hour :: $desc",
                    "email_notiff_body_2"               => str_replace("%%INTRO%%", "The webinar is live in 1 hour!", $emailSetup),
                    "email_notiff_sbj_3"                => "We Are Live",
                    "email_notiff_body_3"               => str_replace("%%INTRO%%", "We are live, on air and ready to go!", $emailSetup),
                    "email_notiff_sbj_4"                => "Replay is live!",
                    "email_notiff_body_4"               => str_replace("%%INTRO%%", "We just posted the replay video for the webinar tonight...", $emailSetup),
                    "email_notiff_sbj_5"                => "WEBINAR REPLAY COMING DOWN SOON :: $desc",
                    "email_notiff_body_5"               => str_replace("%%INTRO%%", "This is a reminder that the webinar you, the replay is available, but coming down very soon...", $emailSetup),
                    "twilio_msg"                        => "The webinar is starting soon! Jump On Live: {LINK}",
                    "email_twilio"                      => "off",
                    "lp_banner_bg_style"                => "hide",
                    "webinar_banner_bg_style"           => "hide",
                    "auto_saturday"                     => "yes",
                    "auto_sunday"                       => "yes",
                    "auto_thursday"                     => "yes",
                    "auto_monday"                       => "yes",
                    "auto_friday"                       => "yes",
                    "auto_tuesday"                      => "yes",
                    "auto_wednesday"                    => "yes",
                    "auto_time_1"                       => "16:00",
                    "auto_time_2"                       => "18:00",
                    "auto_time_3"                       => "20:00",
                    "auto_video_length"                 => "60",
                    "auto_translate_months"             => "Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec",
                    "auto_translate_days"               => "Monday, Tuesday, Wednesday, Thursday, Friday, Saturday, Sunday",
                    "auto_translate_local"              => "Local Time",
                    "smtp_name"                         => $host,
                    "smtp_email"                        => get_bloginfo("admin_email"),
                    'ar_fields_order'                   => array( 'ar_name', 'ar_email' ),
                    'ar_name'                           => '',
                    'ar_email'                          => '',
                    'lp_optin_name'                     => __("Enter your name:", "webinarignition"),
                    'lp_optin_email'                    => __("Enter your email:", "webinarignition"),
                    'lp_schedule_type'                  => 'customized',
                    'auto_today'                        => 'yes',
                    'auto_day_offset'                   => 0,
                    'auto_day_limit'                    => 7,
                    'auto_blacklisted_dates'            => '',
                    'auto_timezone_type'                => 'user_specific',
                    'lp_background_color'               => '',
                    'lp_background_image'               => '',
                    'ty_share_image'                    => '',
                    'lp_cta_bg_color'                   => '',
                    'lp_cta_type'                       => '',
                    'lp_cta_video_code'                 => '',
                    'lp_sales_headline'                 => '',
                    'lp_sales_headline_color'           => '',
                    'lp_sales_copy'                     => '',
                    'lp_optin_headline'                 => '',
                    'lp_webinar_host_block'             => '',
                    'lp_host_image'                     => '',
                    'lp_host_info'                      => '',
                    'paid_status'                       => '',
                    'ar_code'                           => '',
                    'ar_custom_date_format'             => '',
                    'lp_optin_button'                   => '',
                    'lp_optin_btn_color'                => '',
                    'lp_optin_spam'                     => '',
                    'lp_optin_closed'                   => '',
                    'custom_ty_url_state'               => '',
                    'ty_ticket_headline'                => '',
                    'ty_ticket_subheadline'             => '',
                    'ty_cta_type'                       => '',
                    'ty_cta_html'                       => '',
                    'ty_webinar_headline'               => '',
                    'ty_webinar_subheadline'            => '',
                    'ty_webinar_url'                    => '',
                    'ty_share_toggle'                   => '',
                    'ty_step2_headline'                 => '',
                    'ty_fb_share'                       => '',
                    'ty_tw_share'                       => '',
                    'ty_share_intro'                    => '',
                    'ty_share_reveal'                   => '',
                    'webinar_switch'                    => '',
                    'total_cd'                          => '',
                    'cd_button_show'                    => '',
                    'cd_button_copy'                    => '',
                    'cd_button_color'                   => '',
                    'cd_button'                         => '',
                    'cd_button_url'                     => '',
                    'cd_headline2'                      => '',
                    'cd_months'                         => '',
                    'cd_weeks'                          => '',
                    'cd_days'                           => '',
                    'cd_hours'                          => '',
                    'cd_minutes'                        => '',
                    'cd_seconds'                        => '',
                    'webinar_info_block'                => '',
                    'webinar_info_block_title'          => '',
                    'webinar_info_block_host'           => '',
                    'webinar_info_block_eventtitle'     => '',
                    'webinar_info_block_desc'           => '',
                    'privacy_status'                    => '',
                    'webinar_live_video'                => '',
                    'webinar_live_overlay'             => '',
                    'webinar_live_bgcolor'              => '',
                    'webinar_banner_bg_color'           => '',
                    'webinar_banner_bg_repeater'        => '',
                    'webinar_banner_image'              => '',
                    'webinar_background_color'          => '',
                    'webinar_background_image'          => '',
                    'webinar_qa_title'                  => '',
                    'webinar_qa'                        => '',
                    'webinar_qa_name_placeholder'       => '',
                    'webinar_qa_email_placeholder'      => '',
                    'webinar_qa_desc_placeholder'       => '',
                    'webinar_qa_button'                 => '',
                    'webinar_qa_button_color'           => '',
                    'webinar_qa_thankyou'               => '',
                    'webinar_qa_custom'                 => '',
                    'webinar_speaker'                   => '',
                    'webinar_speaker_color'             => '',
                    'social_share_links'                => '',
                    'webinar_invite'                    => '',
                    'webinar_invite_color'              => '',
                    'webinar_fb_share'                  => '',
                    'webinar_tw_share'                  => '',
                    'webinar_ld_share'                  => '',
                    'webinar_callin'                    => '',
                    'webinar_callin_copy'               => '',
                    'webinar_callin_color'              => '',
                    'webinar_callin_number'             => '',
                    'webinar_callin_color2'             => '',
                    'webinar_live'                      => '',
                    'webinar_live_color'                => '',
                    'webinar_giveaway_toggle'           => '',
                    'webinar_giveaway_title'            => '',
                    'webinar_giveaway'                  => '',
                    'lp_banner_bg_color'                => '',
                    'lp_banner_bg_repeater'             => '',
                    'lp_banner_image'                   => '',
                    'lp_cta_image'                      => '',
                    'paid_headline'                     => '',
                    'paid_button_type'                  => '',
                    'paid_button_custom'                => '',
                    'payment_form'                      => '',
                    'paid_btn_copy'                     => '',
                    'paid_btn_color'                    => '',
                    'stripe_secret_key'                 => '',
                    'stripe_publishable_key'            => '',
                    'stripe_charge'                     => '',
                    'stripe_charge_description'         => '',
                    'paid_btn_copy'                     => '',
                    'paid_btn_color'                    => '',
                    'paid_pay_url'                      => '',
                    'lp_fb_copy'                        => '',
                    'lp_fb_or'                          => '',
                    'lp_optin_btn_image'                => '',
                    'lp_optin_btn'                      => '',
                    'custom_ty_url'                     => '',
                    'ty_cta_video_code'                 => '',
                    'ty_cta_image'                      => '',
                    'ty_werbinar_custom_url'            => '',
                    'ty_ticket_webinar_option'          => '',
                    'ty_ticket_webinar'                 => '',
                    'ty_webinar_option_custom_title'    => '',
                    'ty_ticket_host_option'             => '',
                    'ty_ticket_host'                    => '',
                    'ty_webinar_option_custom_host'     => '',
                    'ty_ticket_date_option'             => '',
                    'ty_ticket_date'                    => '',
                    'ty_webinar_option_custom_date'     => '',
                    'ty_ticket_time_option'             => '',
                    'ty_ticket_time'                    => '',
                    'ty_webinar_option_custom_time'     => '',
                    'tycd_countdown'                    => '',
                    'tycd_progress'                     => '',
                    'tycd_years'                        => '',
                    'tycd_months'                       => '',
                    'tycd_weeks'                        => '',
                    'tycd_days'                         => '',
                    'ty_add_to_calendar_option'         => '',
                    'ty_calendar_headline'              => '',
                    'ty_calendar_google'                => '',
                    'ty_calendar_ical'                  => '',
                    'skip_ty_page'                      => '',
                    'txt_area'                          => '',
                    'txt_headline'                      => '',
                    'txt_placeholder'                   => '',
                    'txt_btn'                           => '',
                    'txt_reveal'                        => '',
                    'replay_video'                      => '',
                    'replay_optional'                   => '',
                    'replay_cd_date'                    => '',
                    'replay_cd_time'                    => '',
                    'replay_cd_headline'                => '',
                    'replay_timed_style'                => '',
                    'replay_order_copy'                 => '',
                    'replay_order_url'                  => '',
                    'replay_order_html'                 => '',
                    'replay_order_time'                 => '',
                    'replay_closed'                     => '',
                    'footer_copy'                       => '',
                    'footer_branding'                   => '',
                    'footer_branding_copy'              => '',
                    'footer_branding_url'               => '',
                    'custom_lp_js'                      => '',
                    'custom_lp_css'                     => '',
                    'meta_site_title_ty'                => '',
                    'meta_desc_ty'                      => '',
                    'custom_ty_js'                      => '',
                    'custom_ty_css'                     => '',
                    'meta_site_title_webinar'           => '',
                    'meta_desc_webinar'                 => '',
                    'custom_webinar_js'                 => '',
                    'custom_webinar_css'                => '',
                    'meta_site_title_replay'            => '',
                    'meta_desc_replay'                  => '',
                    'custom_replay_js'                  => '',
                    'custom_replay_css'                 => '',
                    'footer_code'                       => '',
                    'footer_code_ty'                    => '',
                    'live_stats'                        => '',
                    'wp_head_footer'                    => '',
                    'smtp_host'                         => '',
                    'smtp_port'                         => '',
                    'transfer_protocol'                 => '',
                    'smtp_user'                         => '',
                    'smtp_pass'                         => '',
                    'email_signup'                      => '',
                    'email_notiff_1'                    => '',
                    'email_notiff_2'                    => '',
                    'email_notiff_3'                    => '',
                    'email_notiff_4'                    => '',
                    'email_notiff_5'                    => '',
                    'twilio_id'                         => '',
                    'twilio_token'                      => '',
                    'twilio_number'                     => '',
                    'webinar_source_toggle'             => '',
                    'auto_video_url'                    => '',
                    'auto_video_load'                   => '',
                    'auto_video_load'                   => '',
                    'webinar_show_videojs_controls'     => '',
                    'webinar_live_bgcolor'              => '',
                    'webinar_iframe_source'             => '',
                    'auto_action'                       => '',
                    'auto_action_time'                  => '',
                    'auto_action_copy'                  => '',
                    'auto_action_btn_copy'              => '',
                    'auto_action_url'                   => '',
                    'replay_order_color'                => '',
                    'auto_redirect'                     => '',
                    'auto_redirect_url'                 => '',
                    'auto_timezone_custom'              => '',
                    'auto_time_fixed'                   => '',
                    'auto_timezone_fixed'               => '',
                    'delayed_day_offset'                => '',
                    'auto_time_delayed'                 => '',
                    'delayed_timezone_type'             => '',
                    'auto_timezone_user_specific_name'  => '',
                    'auto_timezone_delayed'             => '',
                    'delayed_blacklisted_dates'         => '',
                    'auto_translate_instant'            => '',
                    'auto_translate_headline1'          => '',
                    'auto_translate_subheadline1'       => '',
                    'auto_translate_headline2'          => '',
                    'auto_translate_subheadline2'       => '',
                    'lp_webinar_month'                  => '',
                    'lp_webinar_day'                    => '',
                    'lp_webinar_headline'               => '',
                    'lp_webinar_subheadline'            => '',
                    'fb_id'                             => '',
                    'fb_secret'                         => '',
                    'time_suffix'                       => '',
                    'auto_video_url2'                   => '',
                    'auto_date_fixed'                   => '',
                    'auto_replay'                       => ''

                );
                $obj = webinarignition_array_to_object($dataArray);
                // save
                update_option('webinarignition_campaign_' . $campaignID, $obj);
            } else {
                // get option from parent campaign
                $cloneParent = get_option('webinarignition_campaign_' . $clone);

                $cloneParent->webinarURLName2       = stripslashes($post_input['appname']);
                $cloneParent->webinar_desc          = stripslashes($post_input['appname']);
                $cloneParent->lp_metashare_title    = stripslashes($post_input['appname']);
                $cloneParent->lp_metashare_desc     = stripslashes($post_input['appname']);

                $cloneParent->lp_main_headline     = "<h4 class='subheader'>Introducing This Exclusive Webinar From " . $cloneParent->webinar_host . "</h4><h2 style='margin-top: -10px;'>" . $desc . "</h2>";

                update_option('webinarignition_campaign_' . $campaignID, $cloneParent);
            }

            // *****************************************************************************

            die();
}


// ARRAY TO OBJECT FUNCTION::
function webinarignition_array_to_object($array)
{
            $obj = new stdClass;
            foreach ($array as $k => $v) {
                if (is_array($v)) {
                    $obj->{$k} = $v; //RECURSION
                } else {
                    $obj->{$k} = $v;
                }
            }
            return $obj;
}

// ADD NEW LEAD
add_action('wp_ajax_nopriv_webinarignition_add_lead', 'webinarignition_add_lead_callback');
add_action('wp_ajax_webinarignition_add_lead', 'webinarignition_add_lead_callback');

function webinarignition_add_lead_callback()
{
              check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
              $post_input         = filter_input_array(INPUT_POST);

              $post_input['id']   = empty($post_input['id']) ? $post_input["campaignID"] : $post_input['id'];

              global $wpdb;
              $is_ajax            = false;

              if (defined('DOING_AJAX') && DOING_AJAX) {
                  $is_ajax        = true;
              }

              $table_db_name      = $wpdb->prefix . "webinarignition_leads";
              $sql                = "SELECT ID FROM {$table_db_name} WHERE email = %s AND app_id = %d";
              $safe_sql           = $wpdb->prepare( $sql, $post_input['email'],$post_input['id'] );
              $lead               = $wpdb->get_row( $safe_sql );

              if ($lead) {
                  if ($is_ajax !== false) {
                      echo $lead->ID;
                      exit();
                  } else {
                      return $lead->ID;
                  }
              }

              if(empty($post_input['id']) && !empty($post_input['campaignID'])) {
                $post_input['id'] = $post_input['campaignID'];
              }

              $wpdb->insert($table_db_name, [

                  'app_id'                => $post_input['id'],
                  'name'                  => $post_input['name'],
                  'email'                 => $post_input['email'],
                  'phone'                 => !empty($post_input['phone']) ? $post_input['phone'] : '',
                  'trk1'                  => !empty($post_input['source']) ? $post_input['source'] : 'Optin',
                  'trk3'                  => !empty($post_input['ip']) ? $post_input['ip'] : '',
                  'event'                 => 'No',
                  'replay'                => 'No',
                  'created'               => date('F j, Y'),
                  'gdpr_data'             => !empty($post_input['gdpr_data']) ? $post_input['gdpr_data'] : '',

              ]);

              $out = $wpdb->insert_id;

              $lead_details_string = "Name: {$post_input['name']}\nEmail: {$post_input['email']}\n";
              if (isset($post_input['phone']) && $post_input['phone'] != 'undefined') {
                  $lead_details_string .= "Phone: {$post_input['phone']}";
              }

              $webinar_data = get_option('webinarignition_campaign_' . $post_input['id']);

              // registration email has been disabled in notification settings
              if ($webinar_data->email_signup === 'off') {
                  WebinarIgnition_Logs::add("New Lead Added\n$lead_details_string\n\nNot sending registration email (DISABLED)", $post_input['id'], WebinarIgnition_Logs::LIVE_EMAIL);
                  exit();
              }
              WebinarIgnition_Logs::add("New Lead Added\n$lead_details_string\n\nFiring registration email", $post_input['id'], WebinarIgnition_Logs::LIVE_EMAIL);

              // ADD TO MAILING LIST

                $emailHead = '<!DOCTYPE html>
                      <html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office">
                          <head>
                          <meta charset="utf-8">
                          <meta name="viewport" content="width=device-width">
                          <meta http-equiv="X-UA-Compatible" content="IE=edge">
                          <meta name="x-apple-disable-message-reformatting">
                          <style>

                              html,
                      body {
                          margin: 0 auto !important;
                          padding: 0 !important;
                          height: 100% !important;
                          width: 100% !important;
                          background: #f1f1f1;
                      }

                      * {
                          -ms-text-size-adjust: 100%;
                          -webkit-text-size-adjust: 100%;
                      }

                      /* What it does: Centers email on Android 4.4 */
                      div[style*="margin: 16px 0"] {
                          margin: 0 !important;
                      }

                      table,
                      td {
                          mso-table-lspace: 0pt !important;
                          mso-table-rspace: 0pt !important;
                      }


                      table {
                          border-spacing: 0 !important;
                          border-collapse: collapse !important;
                          table-layout: fixed !important;
                          margin: 0 auto !important;
                      }


                      img {
                          -ms-interpolation-mode:bicubic;
                      }


                      a {
                          text-decoration: none;
                      }

                      *[x-apple-data-detectors],  /* iOS */
                      .unstyle-auto-detected-links *,
                      .aBn {
                          border-bottom: 0 !important;
                          cursor: default !important;
                          color: inherit !important;
                          text-decoration: none !important;
                          font-size: inherit !important;
                          font-family: inherit !important;
                          font-weight: inherit !important;
                          line-height: inherit !important;
                      }

                      .a6S {
                          display: none !important;
                          opacity: 0.01 !important;
                      }

                      .im {
                          color: inherit !important;
                      }

                      img.g-img + div {
                          display: none !important;
                      }

                      /* iPhone 4, 4S, 5, 5S, 5C, and 5SE */
                      @media only screen and (min-device-width: 320px) and (max-device-width: 374px) {
                          u ~ div .email-container {
                              min-width: 320px !important;
                          }
                      }
                      /* iPhone 6, 6S, 7, 8, and X */
                      @media only screen and (min-device-width: 375px) and (max-device-width: 413px) {
                          u ~ div .email-container {
                              min-width: 375px !important;
                          }
                      }
                      /* iPhone 6+, 7+, and 8+ */
                      @media only screen and (min-device-width: 414px) {
                          u ~ div .email-container {
                              min-width: 414px !important;
                          }
                      }

                      .bg_white{
                              background: #ffffff;
                      }
                      .bg_light{
                              background: #fafafa;
                      }
                      .bg_black{
                              background: #000000;
                      }
                      .bg_dark{
                              background: rgba(0,0,0,.8);
                      }
                      .email-section{
                              padding:2.5em;
                      }

                      h1,h2,h3,h4,h5,h6{
                              font-family: "Nunito Sans", sans-serif;
                              color: #000000;
                              margin-top: 0;
                      }
                      a{
                              color: #f5564e;
                      }
                      </style>
                      </head>';

              $emailBody = $emailHead;
              $emailBody .= $webinar_data->email_signup_body;
              $emailBody = str_replace("{TITLE}", $webinar_data->webinar_desc, $emailBody);
              $emailBody = str_replace("{HOST}", $webinar_data->webinar_host, $emailBody);
              $emailBody = str_replace("{LEAD_NAME}", (!empty($post_input['name']) ? $post_input['name'] : ''), $emailBody);
              $emailBody .= '</html>';

              $_webinar_link = $webinar_data->webinar_permalink.(strstr($webinar_data->webinar_permalink, '?') ? '&' : '?');
              $_webinar_link.= (($webinar_data->paid_status == "paid") ? "live=1&".md5($webinar_data->paid_code) : "live=1");
              $_webinar_link.= '&lid='.$out;

              $emailBody = str_replace("{LINK}", '<a href="' . $_webinar_link . '"> '.$_webinar_link.' </a>', $emailBody);
              $emailBody = str_replace("{YEAR}", date("Y"), $emailBody);
              $emailBody = str_replace("{NAME}", $post_input['name'], $emailBody);

              $liveWebbyDate = explode("-", $webinar_data->webinar_date);
              $autoDate = $liveWebbyDate[2] . "-" . $liveWebbyDate[0] . "-" . $liveWebbyDate[1];

              $date_format = get_option("date_format");
              $autoDate_format = date($date_format, strtotime($autoDate));
              // Final Step = Translate Months
              $months = $webinar_data->auto_translate_months;
              $days = $webinar_data->auto_translate_days;

              $autoDate_format = webinarignition_translate_dm($months, $autoDate_format);
              $autoDate_format = webinarignition_translate_dm($days, $autoDate_format, 'days');

              // Replace
              $emailBody = str_replace("{DATE}", $autoDate_format . " @ " . webinarignition_get_time_tz($webinar_data->webinar_start_time, $webinar_data->webinar_timezone, $webinar_data->time_format, $webinar_data->time_suffix), $emailBody);

              //see webinarignition_mailer_config() for phpmailer_init action
              $headers  = 'MIME-Version: 1.0' . "\r\n";
              $headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
              $headers .=  'From: ' .$webinar_data->smtp_name . ' <'. $webinar_data->smtp_email .'>' . "\r\n".
              'Reply-To: ' . $webinar_data->smtp_email . "\r\n" .
              'X-Mailer: PHP/' . phpversion();

              if( !webinarignition_mail($post_input['email'], $webinar_data->email_signup_sbj, $emailBody, $webinar_data) ) {
                  WebinarIgnition_Logs::add("Registration email could not be sent to {$post_input['email']}", WebinarIgnition_Logs::LIVE_EMAIL);
              } else {
                  WebinarIgnition_Logs::add("Registration email has been sent.", $post_input['id'], WebinarIgnition_Logs::LIVE_EMAIL);
              }

              if( ($webinar_data->get_registration_notices_state === 'show') && ( !empty($webinar_data->registration_notice_email)  ) && filter_var($webinar_data->registration_notice_email, FILTER_VALIDATE_EMAIL) ) {

                        $subj           = "New Registration For Webinar " . $webinar_data->webinar_desc;
                        $attendeeName   = $post_input['name'];

                        $emailBody = $emailHead;
                        $emailBody .= $attendeeName . ' ('.$post_input['email'].') has just registered for your webinar ' . $webinar_data->webinar_desc;
                        $emailBody .= '</html>';

                        wp_mail( $webinar_data->registration_notice_email , $subj, $emailBody, $headers );

              }


              if ($is_ajax !== false) {
                  echo $out;
                      die();
              }
              return $out;
}


// ADD NEW EVERGREEN (auto) LEAD
add_action('wp_ajax_nopriv_webinarignition_get_lead_auto', 'webinarignition_get_lead_auto_callback');
add_action('wp_ajax_webinarignition_get_lead_auto', 'webinarignition_get_lead_auto_callback');

function webinarignition_get_lead_auto_callback()
{
              check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
              $input_get     = filter_input_array(INPUT_GET);

              global $wpdb;
              $table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";
              $lead = $wpdb->get_row($wpdb->prepare("SELECT `app_id`, `name`, `email`, `phone`, `date_picked_and_live`, `lead_timezone` FROM $table_db_name WHERE ID = %d ", $input_get['lid']), OBJECT );

              if( ! isset($lead->lname) && strrpos($lead->name," ") ) {
                  $lead->lname = explode(" ", $lead->name, 2);
                  $lead->name = $lead->lname[0];
                  $lead->lname = $lead->lname[1];
              }
          //    $lead->webinar_date = date('m-d-Y', strtotime($lead->date_picked_and_live));
              $webinar = get_option('webinarignition_campaign_'.$lead->app_id);
              $arCustomDateFormat = isset($webinar->ar_custom_date_format) ? $webinar->ar_custom_date_format : 'not-set';
              $webinarignition_webinar_timestamp = strtotime($lead->date_picked_and_live);
              $arWebinarDate = webinarignition_format_date_for_ar_service($arCustomDateFormat, $webinarignition_webinar_timestamp);
              $lead->webinar_date = $arWebinarDate;
              $lead->webinar_time = date('g:i A', strtotime($lead->date_picked_and_live));

              $lead->lead_timezone = $lead->lead_timezone . " (UTC" . webinarignition_get_timezone_offset_by_name($lead->lead_timezone) . ")";

              echo json_encode($lead);
              exit;
}

add_action('wp_ajax_nopriv_webinarignition_add_lead_auto', 'webinarignition_add_lead_auto_callback');
add_action('wp_ajax_webinarignition_add_lead_auto', 'webinarignition_add_lead_auto_callback');

function webinarignition_add_lead_auto_callback() {

                check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
                $post_input     = filter_input_array(INPUT_POST);

                global $wpdb;
                $table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";
                // Check if lead with such email exists in database
                $sql                = "SELECT ID FROM {$table_db_name} WHERE email = %s AND app_id = %d";
                $safe_sql           = $wpdb->prepare( $sql, $post_input['email'],$post_input['id'] );
                $lead               = $wpdb->get_row( $safe_sql );

                $lead_timezone = !empty($post_input['timezone']) ? new DateTimeZone($post_input['timezone']) : '';

                // Get info
                $results            = get_option('webinarignition_campaign_' . $post_input['id']);
                $webinarLength      = $results->auto_video_length;
                $setCheckInstant    = "";
                $instant            = "no";

                if ($post_input['date'] == "instant_access") {
                    $current_time = new DateTime( 'now', $lead_timezone );
                    $todaysDate   = $current_time->format( "Y-m-d" );
                    $todaysTime   = $current_time->format( "H:i" );

                    // They choose to watch replay
                    $time = date( 'H:i', strtotime( $todaysTime."+0 hours" ) );
                    $post_input['date'] = $todaysDate;
                    $post_input['time'] = $time;
                }

                // Get & Set Dates For Emails...
                $dpl = $post_input['date'] . " " . $post_input['time'];
                $fmt = 'Y-m-d H:i';

                $date_picked_and_live       = date($fmt, strtotime($dpl));
                $date_1_day_before          = date($fmt, strtotime($dpl . " -1 days"));
                $date_1_hour_before         = date($fmt, strtotime($dpl . " -1 hours"));
                $date_after_live            = date($fmt, strtotime($dpl . " +$webinarLength minutes"));
                $date_1_day_after           = date($fmt, strtotime($dpl . " +1 days"));


                if ($lead) {

                        $wpdb->update( $table_db_name, [

                            'app_id'                            => $post_input['id'],
                            'name'                              => $post_input['name'],
                            'email'                             => $post_input['email'],
                            'phone'                             => !empty( $post_input['phone'] ) ? $post_input['phone'] : '',
                            'lead_timezone'                     => !empty( $post_input['timezone'] ) ? $post_input['timezone'] : '',
                            'trk1'                              => 'Optin',
                            'trk3'                              => !empty( $post_input['ip'] ) ? $post_input['ip'] : '',
                            'trk8'                              => $instant,
                            'event'                             => 'No',
                            'replay'                            => 'No',
                            'created'                           => date('F j, Y'),
                            'date_picked_and_live'              => $date_picked_and_live,
                            'date_1_day_before'                 => $date_1_day_before,
                            'date_1_hour_before'                => $date_1_hour_before,
                            'date_after_live'                   => $date_after_live,
                            'date_1_day_after'                  => $date_1_day_after,
                            'date_picked_and_live_check'        => $setCheckInstant,
                            'date_1_day_before_check'           => $setCheckInstant,
                            'date_1_hour_before_check'          => $setCheckInstant,
                            'date_after_live_check'             => $setCheckInstant,
                            //'lead_browser_and_os'               => !empty($post_input['lead_browser_and_os']) ? $post_input['lead_browser_and_os'] : '',
                            'gdpr_data'                         => !empty($post_input['gdpr_data']) ? $post_input['gdpr_data'] : ''

                        ], ['ID' => $lead->ID] );

                            $cookieID = $lead->ID;
                            echo $lead->ID;

                }   else {

                            $wpdb->insert($table_db_name, [

                                'app_id'                        => $post_input['id'],
                                'name'                          => $post_input['name'],
                                'email'                         => $post_input['email'],
                                'phone'                         => !empty( $post_input['phone'] ) ? $post_input['phone'] : '',
                                'lead_timezone'                 => !empty( $post_input['timezone'] ) ? $post_input['timezone'] : '',
                                'trk1'                          => 'Optin',
                                'trk3'                          => !empty( $post_input['ip'] ) ? $post_input['ip'] : '',
                                'trk8'                          => $instant,
                                'event'                         => 'No',
                                'replay'                        => 'No',
                                'created'                       => date('F j, Y'),
                                'date_picked_and_live'          => $date_picked_and_live,
                                'date_1_day_before'             => $date_1_day_before,
                                'date_1_hour_before'            => $date_1_hour_before,
                                'date_after_live'               => $date_after_live,
                                'date_1_day_after'              => $date_1_day_after,
                                'date_picked_and_live_check'    => $setCheckInstant,
                                'date_1_day_before_check'       => $setCheckInstant,
                                'date_1_hour_before_check'      => $setCheckInstant,
                                'date_after_live_check'         => $setCheckInstant,
                                //'lead_browser_and_os'           => !empty($post_input['lead_browser_and_os']) ? $post_input['lead_browser_and_os'] : '',
                                'gdpr_data'                     => !empty($post_input['gdpr_data']) ? $post_input['gdpr_data'] : ''

                            ]);

                            $cookieID = $wpdb->insert_id;
                            echo $wpdb->insert_id;

                }

                $lead_details_string = "Name: {$post_input['name']}\nEmail: {$post_input['email']}\n";
                if ( !empty( $post_input['phone'] ) ) {
                    $lead_details_string .= "Phone: {$post_input['phone']}";
                }


                /*
                |-------------------------------------------------------------------------------------------
                |  EMAIL SENDING`
                |-------------------------------------------------------------------------------------------
                */

                // registration email has been disabled in notification settings
                if ($results->email_signup === 'off') {
                    WebinarIgnition_Logs::add("New Lead Added\n$lead_details_string\n\nNot sending registration email (DISABLED)", $post_input['id'], WebinarIgnition_Logs::AUTO_EMAIL);
                    exit();
                }

                WebinarIgnition_Logs::add("New Lead Added\n$lead_details_string\n\nFiring registration email", $post_input['id'], WebinarIgnition_Logs::AUTO_EMAIL);
                // ADD TO MAILING LIST

                $results = get_option('webinarignition_campaign_' . $post_input['id']);

                $emailBody = $results->email_signup_body;
                $emailBody = str_replace("{TITLE}", $results->webinar_desc, $emailBody);
                $emailBody = str_replace("{HOST}", $results->webinar_host, $emailBody);
                $emailBody = str_replace("{LEAD_NAME}", (!empty($post_input['name']) ? $post_input['name'] : ''), $emailBody);

                    if( !empty( $results->webinar_permalink) ):

                            $_webinar_link = $results->webinar_permalink.(strstr($results->webinar_permalink, '?') ? '&' : '?');
                            $_webinar_link.= "live=1&lid=$cookieID&event=OI3shBXlqsw";
                            $_webinar_link.= (($results->paid_status == "paid") ? "&".md5($results->paid_code) : "");

                            $emailBody = str_replace("{LINK}", '<a style="border-radius: 5px; background: #f5564e;color: #ffffff; padding: 10px 15px; display: inline-block; text-decoration: none;" href="' . $_webinar_link . '">Join Webinar</a>', $emailBody);
                            $emailBody = str_replace("{YEAR}", date("Y"), $emailBody);
                            $emailBody = str_replace("{NAME}", $post_input['name'], $emailBody);
                            // Shortcode :: DATE
                            // Translate ::
                            // $autoDate_info = explode(" ", $date_picked_and_live);
                            $date_format = get_option("date_format");
                            $autoDate = $post_input['date'];
                            $autoDate_format = date($date_format, strtotime($autoDate));
                            // Final Step = Translate Months
                            $months = $results->auto_translate_months;
                            $days = $results->auto_translate_days;

                            $autoDate_format = webinarignition_translate_dm($months, $autoDate_format);
                            $autoDate_format = webinarignition_translate_dm($days, $autoDate_format, 'days');

                            // Replace
                            if ($instant == "yes") {
                                if ($results->auto_translate_instant == "") {
                                    $emailBody = str_replace("{DATE}", "Watch Replay", $emailBody);
                                } else {
                                    $emailBody = str_replace("{DATE}", $results->auto_translate_instant, $emailBody);
                                }
                            } else {
                                $emailBody = str_replace("{DATE}", $autoDate_format . " @ " . webinarignition_get_time_tz($post_input['time'], $post_input['timezone'], $results->time_format, $results->time_suffix), $emailBody);
                            }

                            if( !webinarignition_mail($post_input['email'], $results->email_signup_sbj, $emailBody, $results)  ) {
                               WebinarIgnition_Logs::add("Registration email could not be sent to {$post_input['email']}", $post_input['id'], WebinarIgnition_Logs::AUTO_EMAIL);
                            } else {
                                WebinarIgnition_Logs::add("Registration email has been sent.", $post_input['id'], WebinarIgnition_Logs::AUTO_EMAIL);
                            }


                            if( ($results->get_registration_notices_state === 'show') && ( !empty($results->registration_notice_email)  ) && filter_var($results->registration_notice_email, FILTER_VALIDATE_EMAIL) ) {

                                      $subj           = "New Registration For Webinar " . $webinar_data->webinar_desc;
                                      $attendeeName   = $post_input['name'];

                                      $emailBody = $attendeeName . ' ('.$post_input['email'].') has just registered for your webinar ' . $results->webinar_desc;
                                      wp_mail( $results->registration_notice_email, $subj, $emailBody);
                            }


                    endif;

                die();
}

// ADD NEW LEAD
add_action('wp_ajax_nopriv_webinarignition_add_lead_auto_reg', 'webinarignition_add_lead_auto_reg_callback');
add_action('wp_ajax_webinarignition_add_lead_auto_reg', 'webinarignition_add_lead_auto_reg_callback');
function webinarignition_add_lead_auto_reg_callback()
{

            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);

            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition_leads";
            // Check if lead with such email exists in database
            $lead = $wpdb->get_row($wpdb->prepare("SELECT ID FROM $table_db_name WHERE email = %s AND app_id = %d", $post_input['email'], $post_input['id']));
            if ($lead) {
                echo $lead->ID;
                die();
            }

            $wpdb->insert($table_db_name, [

                'app_id'                => $post_input['id'],
                'name'                  => $post_input['name'],
                'email'                 => $post_input['email'],
                'trk1'                  => !empty($post_input['source']) ? $post_input['source'] : 'Optin',
                'trk3'                  => $post_input['ip'],
                'event'                 => 'No',
                'replay'                => 'No',
                'created'               => date('F j, Y')

            ]);

            $lead_details_string = "Name: {$post_input['name']}\nEmail: {$post_input['email']}\n";
            WebinarIgnition_Logs::add("New Lead Added\n$lead_details_string\n\nFiring registration email", $post_input['id'], WebinarIgnition_Logs::AUTO_EMAIL);

            // ADD TO MAILING LIST
            $results    = get_option('webinarignition_campaign_' . $post_input['id']);
            $emailBody  = $results->email_signup_body;
            $emailBody  = str_replace("{TITLE}", $results->webinar_desc, $emailBody);
            $emailBody  = str_replace("{HOST}", $results->webinar_host, $emailBody);
            $emailBody  = str_replace("{LEAD_NAME}", (!empty($post_input['name']) ? $post_input['name'] : ''), $emailBody);

        /*
            // Shortcode :: LINK
            $_webinar_link = $results->webinar_permalink . "?live";
        */

        // NOTE :: alteration
        // --------------------------------------------------------------------------------------
           $_webinar_link = $results->webinar_permalink.(strstr($results->webinar_permalink, '?') ? '&' : '?');
           $_webinar_link.= (($results->paid_status == "paid") ? "live&".md5($results->paid_code) : "live");
        // --------------------------------------------------------------------------------------

            $emailBody = str_replace("{LINK}", '<a style="border-radius: 5px; background: #f5564e;color: #ffffff; padding: 10px 15px; display: inline-block; text-decoration: none;" href="' . $_webinar_link . '">Join Webinar</a>', $emailBody);
            $emailBody = str_replace("{YEAR}", date("Y"), $emailBody);
            $emailBody = str_replace("{NAME}", $post_input['name'], $emailBody);
            // Shortcode :: DATE
            $liveWebbyDate = explode("-", $results->webinar_date);
            $autoDate = $liveWebbyDate[2] . "-" . $liveWebbyDate[0] . "-" . $liveWebbyDate[1];
            $autoDate_format = date($date_format, strtotime($autoDate));
            // Final Step = Translate Months
            $months = $results->auto_translate_months;
            $days = $results->auto_translate_days;

            $autoDate_format = webinarignition_translate_dm($months, $autoDate_format);
            $autoDate_format = webinarignition_translate_dm($days, $autoDate_format, 'days');

            // Replace
            $emailBody = str_replace("{DATE}", $autoDate_format . " @ " . webinarignition_get_time_tz($results->webinar_start_time, $results->webinar_timezone, $results->time_format, $results->time_suffix), $emailBody);


            if( !webinarignition_mail($post_input['email'], $results->email_signup_sbj, $emailBody, $results) ) {
               WebinarIgnition_Logs::add("Registration email could not be sent to {$post_input['email']}", $post_input['id'], WebinarIgnition_Logs::AUTO_EMAIL);
            } else {
                WebinarIgnition_Logs::add("Registration email has been sent.", $post_input['id'], WebinarIgnition_Logs::AUTO_EMAIL);
            }


            if( ($results->get_registration_notices_state === 'show') && ( !empty($results->registration_notice_email)  ) && filter_var($results->registration_notice_email, FILTER_VALIDATE_EMAIL) ) {

                      $subj           = "New Registration For Webinar " . $results->webinar_desc;
                      $attendeeName   = $post_input['name'];

                      $emailBody = $attendeeName . ' ('.$post_input['email'].') has just registered for your webinar ' . $results->webinar_desc;
                      wp_mail( $results->registration_notice_email, $subj, $emailBody);
            }


            die();
}

function webinarignition_add_lead_fb($ID, $NAME, $EMAIL, $IP)
{

            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition_leads";

            $wpdb->insert($table_db_name, array(
                'app_id' => $ID,
                'name' => $NAME,
                'email' => $EMAIL,
                'trk1' => 'FB',
                'trk3' => $IP,
                'created' => date('F j, Y')
            ));

            $getLEADID = $wpdb->insert_id;
            echo $getLEADID;
            $lead_details_string = "Name: {$NAME}\nEmail: {$EMAIL}\n";
            WebinarIgnition_Logs::add("New Lead Added\n$lead_details_string\n\nFiring registration email", $ID, WebinarIgnition_Logs::LIVE_EMAIL);

            $results = get_option('webinarignition_campaign_' . $ID);

            $emailBody = $results->email_signup_body;
            $emailBody = str_replace("{TITLE}", $results->webinar_desc, $emailBody);
            $emailBody = str_replace("{HOST}", $results->webinar_host, $emailBody);
            $emailBody = str_replace("{LEAD_NAME}", (!empty($NAME) ? $NAME : ''), $emailBody);


        // NOTE :: alteration
        // --------------------------------------------------------------------------------------
           $_webinar_link = $results->webinar_permalink.(strstr($results->webinar_permalink, '?') ? '&' : '?');
           $_webinar_link.= (($results->paid_status == "paid") ? "live&".md5($results->paid_code) : "live");
        // --------------------------------------------------------------------------------------

            $emailBody = str_replace("{LINK}", '<a style="border-radius: 5px; background: #f5564e;color: #ffffff; padding: 10px 15px; display: inline-block; text-decoration: none;" href="' . $_webinar_link . '">Join Webinar</a>', $emailBody);
            $emailBody = str_replace("{YEAR}", date("Y"), $emailBody);
            $emailBody = str_replace("{NAME}", $NAME, $emailBody);
            // Shortcode :: DATE
            $liveWebbyDate = explode("-", $results->webinar_date);
            $autoDate = $liveWebbyDate[2] . "-" . $liveWebbyDate[0] . "-" . $liveWebbyDate[1];

            $date_format = get_option("date_format");
            $autoDate_format = date($date_format, strtotime($autoDate));
            // Final Step = Translate Months
            $months = $results->auto_translate_months;
            $days = $results->auto_translate_days;

            $autoDate_format = webinarignition_translate_dm($months, $autoDate_format);
            $autoDate_format = webinarignition_translate_dm($days, $autoDate_format, 'days');

            // Replace
            $emailBody = str_replace("{DATE}", $autoDate_format . " @ " . webinarignition_get_time_tz($results->webinar_start_time, $results->webinar_timezone, $results->time_format, $results->time_suffix), $emailBody);



            if( ! webinarignition_mail( $EMAIL, $results->email_signup_sbj, $emailBody, $results) ) {
                WebinarIgnition_Logs::add("Registration email could not be sent to {$EMAIL}: " . $mail->ErrorInfo, $ID, WebinarIgnition_Logs::LIVE_EMAIL);
                exit;
            } else {
                WebinarIgnition_Logs::add("Registration email has been sent.", $ID, WebinarIgnition_Logs::LIVE_EMAIL);
            }


            if( ($results->get_registration_notices_state === 'show') && ( !empty($results->registration_notice_email)  ) && filter_var($results->registration_notice_email, FILTER_VALIDATE_EMAIL) ) {

                      $subj           = "New Registration For Webinar " . $results->webinar_desc;

                      $emailBody      = $NAME . ' has just registered for your webinar ' . $results->webinar_desc;
                      wp_mail( $results->registration_notice_email, $subj, $emailBody);
            }

}

function webinarignition_get_fb_id($ID, $EMAIL)
{
            // Get ID for the FB Lead
            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition_leads";
            $findstat = $wpdb->get_row("SELECT * FROM $table_db_name WHERE app_id = '$ID' AND email = '$EMAIL' ", OBJECT);

            return $findstat->ID;
}

// Track View - LANDING PAGE
add_action('wp_ajax_nopriv_webinarignition_track_lp_view', 'webinarignition_track_lp_view_callback');
add_action('wp_ajax_webinarignition_track_lp_view', 'webinarignition_track_lp_view_callback');

function webinarignition_track_lp_view_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);

            $ID = $post_input['id'];

            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition";
            $findstat = $wpdb->get_row("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);

            $wpdb->update($table_db_name, array(
                'total_views' => $findstat->total_views + 1
            ), array('id' => $ID)
            );
}

// ADD NEW QUESTION
add_action('wp_ajax_nopriv_webinarignition_submit_question', 'webinarignition_submit_question_callback');
add_action('wp_ajax_webinarignition_submit_question', 'webinarignition_submit_question_callback');

function webinarignition_submit_question_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);

            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition_questions";

            $insert = $wpdb->insert($table_db_name, array(
                'app_id' => $post_input['id'],
                'name' => $post_input['name'],
                'email' => $post_input['email'],
                'question' => htmlspecialchars($post_input['question']),
                'attr1' => $post_input['lead'],
                'status' => 'live',
                'created' => date('F j, Y')
            ));

            if(empty($insert)){
              $table_db_name = $wpdb->prefix . "webinarignition_questions_new";
              $insert = $wpdb->insert($table_db_name, array(
                  'app_id' => $post_input['id'],
                  'name' => $post_input['name'],
                  'email' => $post_input['email'],
                  'question' => htmlspecialchars($post_input['question']),
                  'attr1' => $post_input['lead'],
                  'status' => 'live',
                  'created' => date('F j, Y')
              ));
            }

            wp_send_json( $insert);

}

// ADD NEW QUESTION
add_action('wp_ajax_nopriv_webinarignition_update_question_status', 'webinarignition_update_question_status_callback');
add_action('wp_ajax_webinarignition_update_question_status', 'webinarignition_update_question_status_callback');

function webinarignition_update_question_status_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            global $wpdb;
            $table_db_name  = $wpdb->prefix . "webinarignition_questions";
            $ID             = $post_input['id'];

            $result = $wpdb->update($table_db_name, array('status' => 'done'), array('id' => $ID));

            if(empty($result)) {
                $table_db_name  = $wpdb->prefix . "webinarignition_questions_new";
                $wpdb->update($table_db_name, array('status' => 'done'), array('id' => $ID));
            }

            wp_send_json_success();
}




add_action('wp_ajax_webinarignition_delete_question', 'webinarignition_delete_question_callback');

function webinarignition_delete_question_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input       = filter_input_array(INPUT_POST);
            global $wpdb;
            $table_db_name    = $wpdb->prefix . "webinarignition_questions";
            $ID               = $post_input['id'];
            $result = $wpdb->query("DELETE FROM $table_db_name WHERE id = '$ID'");

            if(empty($result)){
              $table_db_name    = $wpdb->prefix . "webinarignition_questions_new";
              $wpdb->query("DELETE FROM $table_db_name WHERE id = '$ID'");
            }

}



add_action('wp_ajax_webinarignition_delete_lead', 'webinarignition_delete_lead_callback');

function webinarignition_delete_lead_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition_leads";
            $ID = $post_input['id'];
            $wpdb->query("DELETE FROM $table_db_name WHERE id = '$ID'");
}


add_action('wp_ajax_webinarignition_delete_lead_auto', 'webinarignition_delete_lead_auto_callback');

function webinarignition_delete_lead_auto_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";
            $ID = $post_input['id'];
            $wpdb->query("DELETE FROM $table_db_name WHERE id = '$ID'");
}


add_action('wp_ajax_webinarignition_delete_campaign', 'webinarignition_delete_campaign_callback');
function webinarignition_delete_campaign_callback()
{
                check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
                $post_input     = filter_input_array(INPUT_POST);
                global $wpdb;
                $ID             = ( int )$post_input['id'];
                $getVersion     = "webinarignition";
                $table_db_name  = $wpdb->prefix . $getVersion;

                // Also Delete Corrasponding Page Post
                $results = $wpdb->get_row("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
                wp_delete_post($results->postID, true);
                $wpdb->query("DELETE FROM $table_db_name WHERE id = $ID");
}


add_action('wp_ajax_webinarignition_reset_stats', 'webinarignition_reset_stats_callback');

function webinarignition_reset_stats_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition";
            $ID = $post_input['id'];

            $wpdb->update($table_db_name, array(
                'total_lp' => '0%%0',
                'total_ty' => '0%%0',
                'total_live' => '0%%0',
                'total_replay' => '0%%0'
            ), array('id' => $ID)
            );
}

// COUNTDOWN - EXPIRE -- UPDATE TO LIVE
add_action('wp_ajax_nopriv_webinarignition_update_to_live', 'webinarignition_update_to_live_callback');
add_action('wp_ajax_webinarignition_update_to_live', 'webinarignition_update_to_live_callback');

function webinarignition_update_to_live_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            $ID = $post_input['id'];
            $results = get_option('webinarignition_campaign_' . $ID);
            // update status
            $results->webinar_switch = "live";
            // save
            update_option('webinarignition_campaign_' . $ID, $results);
}

// TRACK VIEW
add_action('wp_ajax_nopriv_webinarignition_track_view', 'webinarignition_track_view_callback');
add_action('wp_ajax_webinarignition_track_view', 'webinarignition_track_view_callback');

function webinarignition_track_view_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            // Campaign ID
            $ID = $post_input['id'];
            $PAGE = $post_input['page'];

            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition";
            $findstat = $wpdb->get_row("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);

            if ($PAGE == "lp") {
                // LANDING PAGE
                $getData = $findstat->total_lp;
                $getData = explode("%%", $getData);
                $getUnique = $getData[0] + 1;
                $getTotal = $getData[1];
                $wpdb->update($table_db_name, array(
                    'total_lp' => $getUnique . "%%" . $getTotal
                ), array('id' => $ID)
                );
            } else if ($PAGE == "ty") {
                // THANK YOU PAGE
                $getData = $findstat->total_ty;
                $getData = explode("%%", $getData);
                $getUnique = $getData[0] + 1;
                $getTotal = $getData[1];
                $wpdb->update($table_db_name, array(
                    'total_ty' => $getUnique . "%%" . $getTotal
                ), array('id' => $ID)
                );
            } else if ($PAGE == "live") {
                // LIVE
                $getData = $findstat->total_live;
                $getData = explode("%%", $getData);
                $getUnique = $getData[0] + 1;
                $getTotal = $getData[1];
                $wpdb->update($table_db_name, array(
                    'total_live' => $getUnique . "%%" . $getTotal
                ), array('id' => $ID)
                );
            } else if ($PAGE == "replay") {
                // REPLAY
                $getData = $findstat->total_replay;
                $getData = explode("%%", $getData);
                $getUnique = $getData[0] + 1;
                $getTotal = $getData[1];
                $wpdb->update($table_db_name, array(
                    'total_replay' => $getUnique . "%%" . $getTotal
                ), array('id' => $ID)
                );
            }
}

// TRACK VIEW
add_action('wp_ajax_nopriv_webinarignition_track_view_total', 'webinarignition_track_view_total_callback');
add_action('wp_ajax_webinarignition_track_view_total', 'webinarignition_track_view_total_callback');

function webinarignition_track_view_total_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            // Campaign ID
            $ID = $post_input['id'];
            $PAGE = $post_input['page'];

            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition";
            $findstat = $wpdb->get_row("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);

            if ($PAGE == "lp") {
                // LANDING PAGE
                $getData = $findstat->total_lp;
                $getData = explode("%%", $getData);
                $getUnique = $getData[0];
                $getTotal = $getData[1] + 1;
                $wpdb->update($table_db_name, array(
                    'total_lp' => $getUnique . "%%" . $getTotal
                ), array('id' => $ID)
                );
            } else if ($PAGE == "ty") {
                // THANK YOU PAGE
                $getData = $findstat->total_ty;
                $getData = explode("%%", $getData);
                $getUnique = $getData[0];
                $getTotal = $getData[1] + 1;
                $wpdb->update($table_db_name, array(
                    'total_ty' => $getUnique . "%%" . $getTotal
                ), array('id' => $ID)
                );
            } else if ($PAGE == "live") {
                // LIVE
                $getData = $findstat->total_live;
                $getData = explode("%%", $getData);
                $getUnique = $getData[0];
                $getTotal = $getData[1] + 1;
                $wpdb->update($table_db_name, array(
                    'total_live' => $getUnique . "%%" . $getTotal
                ), array('id' => $ID)
                );
            } else if ($PAGE == "replay") {
                // REPLAY
                $getData = $findstat->total_replay;
                $getData = explode("%%", $getData);
                $getUnique = $getData[0];
                $getTotal = $getData[1] + 1;
                $wpdb->update($table_db_name, array(
                    'total_replay' => $getUnique . "%%" . $getTotal
                ), array('id' => $ID)
                );
    }
}

// TRACK LIVE ATTEND
add_action('wp_ajax_nopriv_webinarignition_trk_event', 'webinarignition_trk_event_callback');
add_action('wp_ajax_webinarignition_trk_event', 'webinarignition_trk_event_callback');

function webinarignition_trk_event_callback()
{
              check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
              $post_input     = filter_input_array(INPUT_POST);
              // Get Variables
              global $wpdb;
              $table_db_name = $wpdb->prefix . "webinarignition_leads";

              $cookieStatus = $post_input["cookie"];
              $IP = $post_input["ip"];

              if ($cookieStatus == "undefined") {
                  // No Cookie Found -- Try IP
                  $data = $wpdb->get_row("SELECT * FROM $table_db_name WHERE trk3 = '$IP'", OBJECT);

                  if (empty($data)) {
                      // No IP Found - Do Nothing...
                  } else {
                      // IP Found - Trk it
                      echo "IP Found";
                      $wpdb->update($table_db_name, array('event' => "Yes"), array('id' => $data->ID));
                  }
              } else {
                  // Cookie Was Found - Trk it
                  echo "Cookie Found";
                  $wpdb->update($table_db_name, array('event' => "Yes"), array('id' => $cookieStatus));
              }
}

// TRACK LIVE ATTEND
add_action('wp_ajax_nopriv_webinarignition_trk_event_auto', 'webinarignition_trk_event_auto_callback');
add_action('wp_ajax_webinarignition_trk_event_auto', 'webinarignition_trk_event_auto_callback');

function webinarignition_trk_event_auto_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            // Get Variables
            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";

            $cookieStatus = $post_input["cookie"];
            $IP = $post_input["ip"];

            if ($cookieStatus == "undefined") {
                // No Cookie Found -- Try IP
                $data = $wpdb->get_row("SELECT * FROM $table_db_name WHERE trk3 = '$IP'", OBJECT);

                if (empty($data)) {
                    // No IP Found - Do Nothing...
                } else {
                    // IP Found - Trk it
                    echo "IP Found";
                    $wpdb->update($table_db_name, array('event' => "Yes"), array('id' => $data->ID));
                }
            } else {
                // Cookie Was Found - Trk it
                echo "Cookie Found";
                $wpdb->update($table_db_name, array('event' => "Yes"), array('id' => $cookieStatus));
            }
}

// TRACK LIVE REPLAY
add_action('wp_ajax_nopriv_webinarignition_trk_replay', 'webinarignition_trk_replay_callback');
add_action('wp_ajax_webinarignition_trk_replay', 'webinarignition_trk_replay_callback');

function webinarignition_trk_replay_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            // Get Variables
            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition_leads";

            $cookieStatus = $post_input["cookie"];
            $IP = $post_input["ip"];

            if ($cookieStatus == "undefined") {
                // No Cookie Found -- Try IP
                $data = $wpdb->get_row("SELECT * FROM $table_db_name WHERE trk3 = '$IP'", OBJECT);

                if (empty($data)) {
                    // No IP Found - Do Nothing...
                } else {
                    // IP Found - Trk it
                    echo "IP Found";
                    $wpdb->update($table_db_name, array('replay' => "Yes"), array('id' => $data->ID));
                }
            } else {
                // Cookie Was Found - Trk it
                echo "Cookie Found";
                $wpdb->update($table_db_name, array('replay' => "Yes"), array('id' => $cookieStatus));
            }
}

// / TRACK LIVE REPLAY
add_action('wp_ajax_nopriv_webinarignition_trk_replay_auto', 'webinarignition_trk_replay_auto_callback');
add_action('wp_ajax_webinarignition_trk_replay_auto', 'webinarignition_trk_replay_auto_callback');

function webinarignition_trk_replay_auto_callback()
{

              check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
              $post_input     = filter_input_array(INPUT_POST);
              // Get Variables
              global $wpdb;
              $table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";

              $cookieStatus = $post_input["cookie"];
              $IP = $post_input["ip"];

              if ($cookieStatus == "undefined") {
                  // No Cookie Found -- Try IP
                  $data = $wpdb->get_row("SELECT * FROM $table_db_name WHERE trk3 = '$IP'", OBJECT);

                  if (empty($data)) {
                      // No IP Found - Do Nothing...
                  } else {
                      // IP Found - Trk it
                      echo "IP Found";
                      $wpdb->update($table_db_name, array('replay' => "Yes"), array('id' => $data->ID));
                  }
              } else {
                  // Cookie Was Found - Trk it
                  echo "Cookie Found";
                  $wpdb->update($table_db_name, array('replay' => "Yes"), array('id' => $cookieStatus));
              }
}

// GET QA -- NAME AND EMAIL
add_action('wp_ajax_nopriv_webinarignition_get_qa_name_email', 'webinarignition_get_qa_name_email_callback');
add_action('wp_ajax_webinarignition_get_qa_name_email', 'webinarignition_get_qa_name_email_callback');

function webinarignition_get_qa_name_email_callback()
{
                check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
                $post_input             = filter_input_array(INPUT_POST);
                // Get Variables
                global $wpdb;
                $table_db_name          = $wpdb->prefix . "webinarignition_leads";
                $cookieStatus           = $post_input["cookie"];
                $IP                     = $post_input["ip"];

                if ( empty($cookieStatus) ) {
                    // No Cookie Found -- Try IP
                    $data = $wpdb->get_row("SELECT * FROM $table_db_name WHERE trk3 = '$IP'", OBJECT);

                    if (empty($data)) {
                        // No IP Found - Do Nothing...

                    } else {
                        // IP Found - GET NAME / EMAIL
                        echo $data->name . "//" . $data->email . "//" . $data->ID;
                    }
                } else {
                    // Cookie Was Found - Get Info
                    $data = $wpdb->get_row("SELECT * FROM $table_db_name WHERE id = '$cookieStatus'", OBJECT);
                    if(is_object($data)):
                        echo $data->name . "//" . $data->email . "//" . $data->ID;
                    endif;

                }

                die();
}

// GET QA -- NAME AND EMAIL AUTO
add_action('wp_ajax_nopriv_webinarignition_get_qa_name_email2', 'webinarignition_get_qa_name_email2_callback');
add_action('wp_ajax_webinarignition_get_qa_name_email2', 'webinarignition_get_qa_name_email2_callback');

function webinarignition_get_qa_name_email2_callback()
{
                check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
                $post_input             = filter_input_array(INPUT_POST);
                // Get Variables
                global $wpdb;
                $table_db_name          = $wpdb->prefix . "webinarignition_leads_evergreen";
                $cookieStatus           = $post_input["cookie"];

                if(!empty($cookieStatus)):
                   $data               = $wpdb->get_row("SELECT * FROM $table_db_name WHERE id = '$cookieStatus' ", OBJECT);
                endif;

                if( is_object($data) ):
                  echo $data->name . "//" . $data->email . "//" . $data->ID;
                endif;


                die();
}

// RESET STATS
//add_action('wp_ajax_nopriv_webinarignition_update_master_switch', 'webinarignition_update_master_switch_callback');
add_action('wp_ajax_webinarignition_update_master_switch', 'webinarignition_update_master_switch_callback');

function webinarignition_update_master_switch_callback()
{

          check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
          $post_input     = filter_input_array(INPUT_POST);
          $ID = $post_input['id'];
          $status = $post_input['status'];

          // Return Option Object:
          $results = get_option('webinarignition_campaign_' . $ID);
          $results->webinar_switch = $status;

          update_option('webinarignition_campaign_' . $ID, $results);
}

// SAVE AIR MESSAGE
add_action('wp_ajax_nopriv_webinarignition_save_air', 'webinarignition_save_air_callback');
add_action('wp_ajax_webinarignition_save_air', 'webinarignition_save_air_callback');

function webinarignition_save_air_callback()
{

          check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
          $post_input     = filter_input_array(INPUT_POST);
          $ID = $post_input['id'];

          // Return Option Object:
          $results = get_option('webinarignition_campaign_' . $ID);
          $results->air_toggle = $post_input['toggle'];
          $results->air_btn_copy = $post_input['btncopy'];
          $results->air_btn_url = $post_input['btnurl'];
          $results->air_btn_color = $post_input['btncolor'];
          $results->air_html = $post_input['html'];

          update_option('webinarignition_campaign_' . $ID, $results);
}


add_action('wp_ajax_nopriv_webinarignition_track_order', 'webinarignition_track_order_callback');
add_action('wp_ajax_webinarignition_track_order', 'webinarignition_track_order_callback');

function webinarignition_track_order_callback()
{

          check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
          global $wpdb;
          $post_input     = filter_input_array(INPUT_POST);
          if (empty($post_input['id']) || empty($post_input['lead']) ) {
              wp_send_json('invalid webinar or lead id');
          }

          $webinarData = get_option('webinarignition_campaign_' . $post_input['id']);
          if (empty($webinarData)) {
              wp_send_json('webinar not found: ' . $post_input['id']);
          }

          $table_db_name = webinarignition_is_auto($webinarData) ? $wpdb->prefix . "webinarignition_leads_evergreen" : $wpdb->prefix . "webinarignition_leads";

          $wpdb->update($table_db_name, array('trk2' => 'Yes'), array('id' => $post_input['lead']));

          wp_send_json('tracked lead');
}

// Store New / Add Phone Number webinarignition_store_phone
add_action('wp_ajax_nopriv_webinarignition_store_phone', 'webinarignition_store_phone_callback');
add_action('wp_ajax_webinarignition_store_phone', 'webinarignition_store_phone_callback');

function webinarignition_store_phone_callback()
{

          check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
          $post_input     = filter_input_array(INPUT_POST);
          // Get Variables
          global $wpdb;
          $table_db_name = $wpdb->prefix . "webinarignition_leads";

          $ID = $post_input['id'];
          $PHONE = $post_input['phone'];

          // Set Phone Number
          $wpdb->update($table_db_name, array(
              'phone' => $PHONE
          ), array('id' => $ID)
          );
}

// Store New / Add Phone Number webinarignition_store_phone
add_action('wp_ajax_nopriv_webinarignition_store_phone_auto', 'webinarignition_store_phone_auto_callback');
add_action('wp_ajax_webinarignition_store_phone_auto', 'webinarignition_store_phone_auto_callback');

function webinarignition_store_phone_auto_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            // Get Variables
            global $wpdb;
            $table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";

            $ID = $post_input['id'];
            $PHONE = $post_input['phone'];

            // Set Phone Number
            $wpdb->update($table_db_name, array(
                'phone' => $PHONE
            ), array('id' => $ID)
            );
}

// Get Timezone & Local Time For Users
add_action('wp_ajax_nopriv_webinarignition_get_local_tz', 'webinarignition_get_local_tz_callback');
add_action('wp_ajax_webinarignition_get_local_tz', 'webinarignition_get_local_tz_callback');

function webinarignition_get_local_tz_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            // Get Olson Time ::
            $timezone = $post_input['tz'];
            date_default_timezone_set($timezone);
            $dtz = new DateTimeZone($timezone);
            $time_in_sofia = new DateTime('now', $dtz);
            $offset = $dtz->getOffset($time_in_sofia) / 3600;

            echo "<i class='icon-globe' style='margin-right: 10px;' ></i> <b>UTC</b> :: " . ($offset < 0 ? $offset : "+" . $offset) . "<i class='icon-time' style='margin-left: 10px; margin-right:10px;' ></i>  <b>Local Time</b> :: " . date('g:i A');
            die();
}

// Get Timezone & Local Time For Users
add_action('wp_ajax_nopriv_webinarignition_get_local_tz_set', 'webinarignition_get_local_tz_set_callback');
add_action('wp_ajax_webinarignition_get_local_tz_set', 'webinarignition_get_local_tz_set_callback');

function webinarignition_get_local_tz_set_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            // Get Olson Time ::
            $timezone = $post_input['tz'];
            date_default_timezone_set($timezone);
            $dtz = new DateTimeZone($timezone);
            $time_in_sofia = new DateTime('now', $dtz);
            $offset = $dtz->getOffset($time_in_sofia) / 3600;

            $set = ($offset < 0 ? $offset : "+" . $offset);
            // ReFormat UTC - GMT and half'rs
            if ($set == "+0") {
                $set = "0";
            } else if ($set == "-9.5") {
                $set = "-930";
            } else if ($set == "-4.5") {
                $set = "-430";
            } else if ($set == "+5.5") {
                $set = "+530";
            } else if ($set == "+5.75") {
                $set = "+545";
            } else if ($set == "+6.5") {
                $set = "+630";
            } else if ($set == "+9.5") {
                $set = "+930";
            }
            echo $set;
            die();
}

// UNLOCK
add_action('wp_ajax_nopriv_webinarignition_unlock', 'webinarignition_unlock_callback');
add_action('wp_ajax_webinarignition_unlock', 'webinarignition_unlock_callback');

function webinarignition_unlock_callback()
{
            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            $username = $post_input["username"];
            $license_key = $post_input["key"];

            if( ($username == 'dks') && ($license_key == 'seropt4n0zxdfkv') ){
                webinarignition_activate($license_key);
                die;
            }

            $dk_activation_url = "https://webinarignition.com/wp-content/plugins/wikeygen/inc/response.php?username={$username}&key={$license_key}&debug=1";
            $resp = wp_remote_get($dk_activation_url, array(
                'user-agent' => 'WI',
                'timeout' => 10
            ));

            if ( !is_wp_error($resp) ) {

                $resp = json_decode($resp['body']);

                if( is_object($resp) && ( $resp->result == 'KeyFound' ) ):
                    webinarignition_activate($license_key, $resp);
                endif;


            }

            echo !empty($resp['body']) ? $resp['body'] : 'Invalid Key';
            exit;
}

function webinarignition_activate($license_key, $resp = null) {

              global $wpdb;
              $table_db_name = $wpdb->prefix . "webinarignition_wi";

              if(!empty($resp->level)):

                 $wpdb->insert($table_db_name, array('switch' => $resp->level, 'keyused' => $license_key ));
              else:
                 $wpdb->insert($table_db_name, array('switch' => "1", 'keyused' => $license_key ));

              endif;

              echo 'Activation Successful';
}

// Add CSV Lead
add_action('wp_ajax_nopriv_webinarignition_import_csv_leads', 'webinarignition_import_csv_leads_callback');
add_action('wp_ajax_webinarignition_import_csv_leads', 'webinarignition_import_csv_leads_callback');
function webinarignition_import_csv_leads_callback() {

              check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
              $post_input     = filter_input_array(INPUT_POST);
              global $wpdb;
              $app_id = (int) $post_input["id"];
              $csv = trim($post_input["csv"]);
              // wp_send_json(['raw' => $csv, 'decoded' => urldecode($csv)]);
              $leads = explode("\n", $csv);

              $table_db_name = $wpdb->prefix . "webinarignition_leads";

              // Loop through leads - ignore first (labels)
              foreach ($leads as $key => $lead) {
                  $lead = explode(",", $lead);
                  $name = trim($lead[0]);
                  $email = trim($lead[1]);
                  $phone = trim($lead[2]);
                  // add to database...
                  // Check if lead with such email exists in database
                  $lead = $wpdb->get_row($wpdb->prepare("SELECT ID FROM $table_db_name WHERE email = %s AND app_id = %d", $email, $app_id));
                  if ($lead) {
                      echo $lead->ID;
                  } else {
                      $wpdb->insert($table_db_name, array(
                          'app_id' => $app_id,
                          'name' => $name,
                          'email' => $email,
                          'phone' => $phone,
                          'trk1' => "import",
                          'trk3' => "-",
                          'event' => 'No',
                          'replay' => 'No',
                          'created' => date('F j, Y')
                      ));
                  }
              }
              die();
}

// Timezone UTC To Abrv.
function webinarignition_utc_to_abrc($utc)
{
            switch ($utc) {
                case "-12":
                    return "Y";
                case "-11":
                    return "SST";
                case "-10":
                    return "CKT";
                case "-930":
                    return "MART";
                case "-9":
                    return "AKST";
                case "-8":
                    return "PST";
                case "-7":
                    return "MST";
                case "-6":
                    return "CST";
                case "-5":
                    return "EST";
                case "-430":
                    return "VST";
                case "-330":
                    return "NST";
                case "-3":
                    return "SRT";
                case "-2":
                    return "O";
                case "-1":
                    return "EGT";
                case "0":
                    return "GMT";
                case "+1":
                    return "CET";
                case "+2":
                    return "CAT";
                case "+3":
                    return "EAT";
                case "+330":
                    return "IST";
                case "+4":
                    return "AST";
                case "+430":
                    return "AFT";
                case "+5":
                    return "PKT";
                case "+530":
                    return "IST";
                case "+545":
                    return "NPT";
                case "+6":
                    return "BTT";
                case "+630":
                    return "MMT";
                case "+7":
                    return "ICT";
                case "+8":
                    return "HKT";
                case "+845":
                    return "ACWST";
                case "+9":
                    return "JST";
                case "+930":
                    return "ACST";
                case "+10":
                    return "PGT";
                case "+1030":
                    return "LHST";
                case "+11":
                    return "VUT";
                case "+1130":
                    return "NFT";
                case "+12":
                    return "MHT";
                case "+1245":
                    return "CHAST";
                case "+13":
                    return "WST";
                case "+14":
                    return "LINT";
                    break;
            }
}

add_action('wp_ajax_nopriv_wi_show_logs_get', 'webinarignition_ajax_show_logs');
add_action('wp_ajax_wi_show_logs_get', "webinarignition_ajax_show_logs");
function webinarignition_ajax_show_logs() {

            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);
            $webinar = get_option('webinarignition_campaign_' . $post_input['campaign_id']);

            $log_types = array(WebinarIgnition_Logs::LIVE_EMAIL, WebinarIgnition_Logs::LIVE_SMS);
            if ($webinar->webinar_date == 'AUTO') {
                $log_types = array(WebinarIgnition_Logs::AUTO_EMAIL, WebinarIgnition_Logs::AUTO_SMS);
                $webinar->webinar_timezone = false;
            }

            webinarignition_show_logs($webinar->id, $log_types, $post_input['page'], $webinar->timezone);
            die();
}

add_action('wp_ajax_nopriv_wi_delete_logs', 'webinarignition_ajax_delete_logs');
add_action('wp_ajax_wi_delete_logs', "webinarignition_ajax_delete_logs");
function webinarignition_ajax_delete_logs() {

            check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
            $post_input     = filter_input_array(INPUT_POST);

            $logs = WebinarIgnition_Logs::deleteCampaignLogs($post_input['campaign_id']);
            return $logs;
            die();
}

function webinarignition_show_logs($id, $log_types, $page, $timezone = false)
{
                $logs = WebinarIgnition_Logs::getLogs($id, $log_types, $page, $timezone);
                ?>
                    <table>
                        <tr>
                            <th>Date</th>
                            <th>Message</th>
                        </tr>
                        <?php foreach ($logs as $log) { ?>
                            <tr>
                                <td><?php echo $log->date; ?></td>
                                <td><?php echo nl2br($log->message); ?></td>
                            </tr>
                        <?php } ?>
                    </table>
                    <?php WebinarIgnition_Logs::pagination($id); ?>
            <?php
                if (defined('DOING_AJAX') && DOING_AJAX) {
                    die();
                }
}


add_action('wp_ajax_nopriv_webinarignition_broadcast_msg_poll_callback', 'webinarignition_broadcast_msg_poll_callback');
add_action('wp_ajax_webinarignition_broadcast_msg_poll_callback', 'webinarignition_broadcast_msg_poll_callback');
function webinarignition_broadcast_msg_poll_callback() {

                check_ajax_referer( 'webinarignition_ajax_nonce', 'security' );
                $input_get      = filter_input_array(INPUT_GET);
                $ID             = $input_get['id'];
                $IP             = $input_get['ip'];

                // Count User As Online -- User Tracking...
                global $wpdb;
                $table_db_name  = $wpdb->prefix . "webinarignition_users_online";
                $lookUpIP       = $wpdb->get_row("SELECT * FROM $table_db_name WHERE app_id = '$ID' AND ip = '$IP' ", OBJECT);

                if (empty($lookUpIP)) {
                    // Not Found -- Add Users
                    $wpdb->insert($table_db_name, array('app_id' => $ID, 'ip' => $IP, 'dt' => date("Y-m-d H:i:s")));
                } else {
                    // Found -- Update Time
                    $wpdb->update($table_db_name, array('dt' => date("Y-m-d H:i:s")), array('id' => $lookUpIP->ID));
                }
                // Purge All Who Havent been updated in 5 minutes...
                // $currentTime = date("Y-m-d H:i:s");
                // $currentTime = strtotime($currentTime);
                // $minus5Minutes = date("Y-m-d H:i:s", strtotime('-5 minutes', $currentTime));
                // $wpdb->query("DELETE FROM $table_db_name WHERE dt < '$minus5Minutes' ");
                // Return Option Object:
                $results = get_option('webinarignition_campaign_' . $ID);

                // Check If Message is ON, if not, do nothing...
                if ( !property_exists($results, 'air_toggle') || $results->air_toggle == "" || $results->air_toggle == "off") {
                    // Air Message Not On

                    wp_send_json(["air_toggle"  => "OFF"]);

                } else {
                    // Air Message On, show Message::
                    $showHTML = $results->air_html;
                    $showHTML = str_replace("<!DOCTYPE html><html><head></head><body>", "", $showHTML);
                    $showHTML = str_replace("</body></html>", "", $showHTML);
                    $showHTML = stripcslashes($showHTML);
                    $showHTML .= '<div id="orderBTNArea">';

                    if ($results->air_btn_url == "") {

                    } else {
                    $showHTML .=  '<a href="' . $results->air_btn_url . '" target="_blank" class="large radius button success addedArrow replayOrder" style="background-color: ' . (empty($results->air_btn_color) ? '#6BBA40' : $results->air_btn_color) . '; ?>; border: 1px solid rgba(0,0,0,0.20); width: 880px; margin-top:0px;" >' . $results->air_btn_copy . '</a>';
                    }
                    $showHTML .=   '</div>';
                    wp_send_json(["air_toggle"  => "ON", "response" => $showHTML]);
                }
                die();
}
