<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

$post_input     = filter_input_array(INPUT_POST);
if ( empty($post_input['webinarignition_webinar_id']) || empty($post_input['webinarignition_leads_type']) ) {
    exit;
}

$ID = $post_input['webinarignition_webinar_id'];
$type = $post_input['webinarignition_leads_type'];
global $wpdb;

switch ($type) {
    case 'evergreen_normal':
        $table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";
        $results = $wpdb->get_results("SELECT * FROM $table_db_name WHERE app_id = '$ID' ", OBJECT);
        break;
    case 'evergreen_hot':
        $table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";
        $results = $wpdb->get_results("SELECT * FROM $table_db_name WHERE app_id = '$ID' AND (event = 'Yes' OR replay = 'Yes') ", OBJECT);
        break;
    case 'live_normal':
        $table_db_name = $wpdb->prefix . "webinarignition_leads";
        $results = $wpdb->get_results("SELECT * FROM $table_db_name WHERE app_id = '$ID' ", OBJECT);
        break;
    case 'live_hot':
        $table_db_name = $wpdb->prefix . "webinarignition_leads";
        $results = $wpdb->get_results("SELECT * FROM $table_db_name WHERE app_id = '$ID' AND (event = 'Yes' OR replay = 'Yes') ", OBJECT);
        break;
    default:
        exit;
}

// CSV Header:
header("Content-type: application/text");
header("Content-Disposition: attachment; filename=export_leads.csv");
header("Pragma: no-cache");
header("Expires: 0");

echo "Full Name, E-Mail, Sign Up, Phone, Event, Replay, privacy_policy_confirmed, terms_and_conditions_accepted, subscribed_to_mailing_list";
echo "\n";

foreach ($results as $r) {

    if (empty($r->gdpr_data)) {
        $gdprData = (object) [
            'privacy_policy_confirmed' => 0,
            'terms_and_conditions_accepted' => 0,
            'subscribed_to_mailing_list' => 0,
        ];
    } else {
        $gdprData = json_decode(stripslashes($r->gdpr_data));
    }

    echo $r->name;
    echo ",";
    echo $r->email;
    echo ",";
    echo str_replace(',', ' -', $r->created);
    echo ",";
    echo $r->phone;
    echo ",";
    echo $r->event;
    echo ",";
    echo $r->replay;
    echo ",";
    echo $gdprData->privacy_policy_confirmed == 1 ? 'yes' : 'no';
    echo ",";
    echo $gdprData->terms_and_conditions_accepted == 1 ? 'yes' : 'no';
    echo ",";
    echo $gdprData->subscribed_to_mailing_list == 1 ? 'yes' : 'no';
    echo "\n";
}

