<!DOCTYPE html>
<html>
<head>
    
    <!-- META INFO -->
    <title><?php webinarignition_display( $webinar_data->webinar_desc, "Amazing Webinar Training 101" ); ?></title>
    <meta name="description" content="<?php webinarignition_display( $webinar_data->webinar_desc,
              "Join this amazing webinar May the 4th, and discover industry trade secrets!" ); ?>">
    <!-- SOCIAL INFO -->
    <meta property="og:title" content="<?php webinarignition_display( $webinar_data->webinar_desc, "Amazing Webinar Training 101" ); ?>"/>
    <meta property="og:image" content="<?php webinarignition_display( $webinar_data->ty_share_image, "" ); ?>"/>

    <?php include( "css/webinar_css.php" ); ?>

    <!-- CUSTOM JS -->
    <script>
        <?php webinarignition_display($webinar_data->custom_replay_js, ""); ?>
    </script>
    <!-- CUSTOM CSS -->
    <style>
        <?php webinarignition_display($webinar_data->custom_replay_css, ""); ?>
    </style>
    
    <?php wp_head(); ?>

</head>
<body class="webinar_closed"> 
    
    
<script>
        jQuery(document).ready(function () {

            <?php
            // Get Date
            $expire     = $webinar_data->replay_cd_date;
            $exDate     = explode("-", $expire);
            $exYear     = $exDate[2];
            $exMonth    = $exDate[0];
            $exDay      = $exDate[1];
            ?>

            austDay = jQuery.countdown.UTCDate(-5, 0, 0, 0);
            jQuery('#cdExpire').countdown({until: austDay, alwaysExpire: true, onExpiry: webinarignition_closeWebinar});

            // AJAX FOR WP
            var ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';

            // VIDEO FIXES:
            jQuery(".ctaArea").find("iframe, embed, object").height(518).width(920);

            // ASK QUESTION
            jQuery('#askQuestion').click(function () {
                
                function validateEmail(email) {
                    var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
                    return re.test(email);
                }

                if( !validateEmail( $Email ) ) {
                    jQuery('#optEmail').addClass("errorField");
                    return false;
                }                 

                $question = jQuery("#question").val();

                if ($question == "") {
                    // No Question
                    jQuery("#question").addClass("errorField");
                } else {

                    // Submit Question...
                    jQuery("#question").removeClass("errorField");

                    // AJAX Question
                    var data = {
                        action: 'webinarignition_submit_question',
                        security:       '<?php echo wp_create_nonce("webinarignition_ajax_nonce"); ?>',
                        id: "<?php echo $webinar_id; ?>",
                        question: "" + $question + ""
                    };
                    jQuery.post(ajaxurl, data, function (results) {

                        jQuery("#askQArea").hide();
                        jQuery("#askQThankyou").show();

                        setTimeout(function () {
                            jQuery("#askQArea").show();
                            jQuery("#askQThankyou").hide();
                            jQuery("#question").val("");
                        }, 15000);

                    });

                }

                return false;
            });

            // CLOSE WEBINAR ON LOAD

            webinarignition_closeWebinar();

        });

        // Close WEBINAR
        function webinarignition_closeWebinar() {
            // hide webinar
            jQuery(".webinarBlock").hide();
            jQuery(".webinarExtraBlock").hide();
            jQuery(".webinarBlockRight").hide();

            // show closed area
            jQuery("#closed").show();
        }

        // TIMED ACTION --- ORDER

        <?php
        if ( $webinar_data->replay_order_time == "" ) {
                    // NO TIME SET - SHOW BUTTON
                    ?>
        jQuery("#orderBTN").show();
        <?php
} else {
        // TIME IS SET ::
        ?>

        setTimeout('timedAction()', <?php echo $webinar_data->replay_order_time; ?>);

        function timedAction() {
            jQuery("#orderBTN").show();
        }

        <?php
}
?>

    </script>    

<!-- TOP AREA -->
<div class="topArea">
    <div class="bannerTop">
        <?php
        if ($webinar_data->webinar_banner_image == "") {
            // echo "NONE";
        } else {
            echo "<img src='$webinar_data->webinar_banner_image' />";
        }
        ?>
    </div>
</div>

<!-- Main Area -->
<div class="mainWrapper">

<!-- REPLAY Top -->
<div class="webinarExtireTop" style="display:none;">
    <div
        class="webinarReplayExpireCopy"><?php webinarignition_display( $webinar_data->replay_cd_headline,
            "This Replay Is Going Down Very Soon!" ); ?></div>
    <div class="webinarReplayExpireCD" id="cdExpire"></div>
    <br clear="left">
</div>

<!-- WEBINAR WRAPPER -->
<div class="webinarWrapper">

    <!-- CLOSED WEBINAR -->
    <div id="closed" class="webinarExtraBlock2" style="display:none;">
        <?php webinarignition_display( $webinar_data->replay_closed, "<h1>Webinar Is Over</h1>" ); ?>
    </div>

    <!-- WEBINAR MAIN BLOCK LEFT -->
    <div class="webinarBlock">

        <!-- WEBINAR TOP AREA -->
        <div class="webinarTopArea">

            <div class="webinarSound" style="color: <?php webinarignition_display( $webinar_data->webinar_speaker_color, "#222" ); ?>;">
                <i class="icon-volume-up"></i> <?php webinarignition_display( $webinar_data->webinar_speaker, "Turn Up Your Speakers" ); ?>
            </div>

            <div class="webinarShare">
                <?php
                if ($webinar_data->social_share_links !== 'disabled') {
                    ?>
                    <div class="webinarShareCopy"
                         style="color: <?php webinarignition_display( $webinar_data->webinar_invite_color, "#222" ); ?>;">
                        <i class="icon-user"></i> <?php webinarignition_display( $webinar_data->webinar_invite,
                            "Invite Your Friends To The Webinar:" ); ?>
                    </div>
                    <div class="webinarShareIcons wi-block--sharing">
                        <?php
                        if ($webinar_data->webinar_fb_share == "off") {?>
                            <div class="fb-like" data-href="<?php echo $webinar_data->webinar_permalink; ?>" style="margin-right: 15px;" data-layout="button_count" data-width="450" data-show-faces="false"></div>
                        <?php } ?>
                        <?php
                        if ($webinar_data->webinar_tw_share !== "off") {?>
                            <a href="https://twitter.com/share" data-url="<?php echo $webinar_data->webinar_permalink; ?>" class="twitter-share-button">Tweet</a>
                        <?php } 
                        
                        if ($webinar_data->webinar_ld_share !== "off") { ?>
                            <script type="IN/Share" data-url="<?php echo $webinar_data->webinar_permalink; ?>" data-counter="right"></script>
                        <?php } ?>
                    </div>
                <?php } ?>
            </div>

            <br clear="all"/>

        </div>

        <!-- WEBINAR VIDEO -->
        <div class="webinarVideo">

            <div class="ctaArea">
                <?php
                webinarignition_display(
                    $webinar_data->replay_video,
                    '<iframe src="//player.vimeo.com/video/65600860?title=0&amp;byline=0&amp;portrait=0&amp;color=f04e23" width="920" height="518" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>'
                );
                ?>
            </div>

            <a href="<?php webinarignition_display( $webinar_data->replay_order_url, "#" ); ?>" id="orderBTN"
               class="large radius button success addedArrow replayOrder"
               style="background-color: <?php webinarignition_display( $webinar_data->replay_order_color,
                   "#6BBA40" ); ?>; border: 1px solid rgba(0,0,0,0.20); display:none;"><?php webinarignition_display( $webinar_data->replay_order_copy,
                    "Order Your Copy Now!" ); ?></a>

        </div>

        <!-- WEBINAR UNDER EXTRA CTA AREA -->
        <div class="webinarExtraBlock" style="margin-top: 30px;">


            <div id="askQArea">
                <?php
                webinarignition_display(
                    $webinar_data->webinar_qa_title, '<h4 style="margin-top: -5px;" >Got A Question?</h4>
				 <h5 class="subheader" style="margin-top: -15px;" >Submit your question, and we can answer it live on air...</h5>'
                );
                ?>

                <?php
                if ($webinar_data->webinar_qa == "custom") {
                webinarignition_display( $webinar_data->webinar_qa_custom, "CUSTOM Q/A SYSTEM WILL DISPLAY HERE... NO CODE ENTERED..." );
                ?>
            </div>
            <?php
            } else {
            ?>

            <textarea id="question"
                      placeholder="<?php webinarignition_display( $webinar_data->webinar_qa_desc_placeholder,
                          "Ask Your Question Here..." ); ?>"
                      style="height: 80px;"></textarea>
            <a href="#" id="askQuestion" class="button"
               style="border: 1px solid rgba(0,0,0,0.10); background-color: <?php webinarignition_display( $webinar_data->webinar_qa_button_color,
                   "#3E8FC7" ); ?>;"><?php webinarignition_display( $webinar_data->webinar_qa_button, "Submit Your Question" ); ?></a>
        </div>

        <div id="askQThankyou" style="display:none;">
            <?php webinarignition_display( $webinar_data->webinar_qa_thankyou,
                "<h4>Thank You For Your Question!</h4><h5 class='subheader' style='margin-top: -15px;'>The question block will refresh in 15 seconds...</h5>" ); ?>
        </div>

        <?php } ?>

    </div>

</div>

<!-- WEBINAR BLOCK RIGHT -->
<div class="webinarBlockRight">

    <!-- WEBINAR INFO BLOCK -->
    <div class="webinarInfo">
        <div class="webinarTopBar">
            <i class="icon-exclamation-sign"></i>
            <?php webinarignition_display( $webinar_data->webinar_info_block_title, "Webinar Information" ); ?>
        </div>
        <div class="webinarInner" style="padding-top:0px;">
            <div class="webinarTitleBar"><i class="icon-microphone"></i>
                <?php webinarignition_display( $webinar_data->webinar_info_block_host, "Your Host:" ); ?></div>
            <div class="webinarInfoCopy">
                <?php
                webinarignition_display(
                    $webinar_data->webinar_host, 'Your Name Here'
                );
                ?>
            </div>
            <div class="webinarTitleBar webinarTitleBarAdded"><i class="icon-ticket"></i>
                <?php webinarignition_display( $webinar_data->webinar_info_block_eventtitle, "Webinar Topic:" ); ?></div>
            <div class="webinarInfoCopy">
                <?php
                webinarignition_display(
                    $webinar_data->webinar_desc, 'Awesome Webinar Training 101 '
                );
                ?>
            </div>
            <div class="webinarTitleBar webinarTitleBarAdded"><i class="icon-info"></i>
                <?php webinarignition_display( $webinar_data->webinar_info_block_desc, "What You Will Learn:" ); ?></div>
            <div class="webinarInfoCopy">
                <?php
                webinarignition_display(
                    $webinar_data->webinar_desc,
                    'In this webinar, you will learn everything you need to know about the webinar...'
                );
                ?>
            </div>
        </div>
    </div>

    <!-- GIVE AWAY BLOCK -->
    <div class="webinarQA">
        <div class="webinarTopBar">
            <i class="icon-question-sign"></i> <?php webinarignition_display( $webinar_data->webinar_giveaway_title,
                "Your Special Gift:" ); ?>
        </div>
        <div class="webinarInner">

            <?php webinarignition_display( $webinar_data->webinar_giveaway,
                "<h4>Your Awesome Free Gift</h4><p>You can download this awesome report made you...</p><p>[ DOWNLOAD HERE ]</p>" );
            ?>
        </div>
    </div>

</div>

<br clear="left"/>

</div>

</div>

<?php require_once WEBINARIGNITION_PATH .  'inc/lp/partials/powered_by.php'; ?>


<div id="fb-root"></div>
<?php require_once WEBINARIGNITION_PATH .  'inc/lp/partials/fb_share_js.php'; ?>
<?php require_once WEBINARIGNITION_PATH .  'inc/lp/partials/tw_share_js.php'; ?>


<!--Extra code-->
<?php
echo $webinar_data->footer_code;
?>

</body>
</html>