(function($) {
    'use strict';

    // Hint: If you are reading this file for the first time, then start at the the "init" method.

    // This file is the first attempt to merge the bulk of the Javascript code that is duplicated across index.php, index_ss.php and index_cp.php,
    // into one? external file that can be reused in all 3 registration templates.

    var initialWebinarignition = {
        webinarId: 0,
        webinarType: '',
        ajaxUrl: '',
        thankYouPageUrl: '',
        useCustomThankYouUrl: false,
        skipThankYouPage: false,
        arUrl: 'none',
        paidCode: '',
        paymentProvider: 'unknown',
        isPaidWebinar: false,
        isSigningUpWithFB: false,
        fbUserData: {},
        userTimezone: '',
        timeFormat: '',
        scheduleType: '',
        timeSuffix: '',
        leadDeviceInfo: {},
        userIp: '',

        // This is for values only used in live webinars.
        live: {

        },

        // This is for values only used in evergreen webinars.
        evergreen: {
            'schedules': {
                'custom': {
                    maxTime: '',
                },
                'fixed': {},
                'delayed': {},
            }

        },

        videoFixes: function() {
            //This is to prevent auto-playing videos on Thank You page; see https://support.digitalkickstart.com/helpdesk/tickets/179864
            if(window.self !== window.top) {
                $('#videoBlock').remove();
            }

            // VIDEO FIXES:
            var wi_video_fix_w;
            var wi_video_fix_h;
            if ($(window).width() < 480) {
                //mobile size
                wi_video_fix_w = 287;
                wi_video_fix_h = 215;
            } else {
                wi_video_fix_w = 500;
                wi_video_fix_h = 281;
            }
            $('.videoBlock').find("iframe, embed, object").height(wi_video_fix_h).width(wi_video_fix_w);
        },

        trackVisitor: function() {
            var cookie = $.cookie('we-trk-lp-' + this.webinarId);

            if (cookie !== 'tracked') {
                // set cookie
                $.cookie('we-trk-lp-' + this.webinarId, "tracked", {expires: 30});
                $.post(this.ajaxUrl, {
                    action: 'webinarignition_track_view',
                    security: window.security,
                    id: this.webinarId,
                    page: 'lp'
                }, function (results) {

                });
            }

            // Track +1 Total
            $.post(this.ajaxUrl, {
                action: 'webinarignition_track_view_total',
                security: window.security,
                id: this.webinarId,
                page: 'lp'
            });
        },

        validateEmail: function(email) {
            var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            return re.test(email);
        },

        validateForm: function() {

            // Get registration form values
            var fullNameField = $("#optName");
            var fullName = fullNameField.val();

            var firstNameField = $("#optFName");
            var firstName = firstNameField.val();

            var lastNameField = $("#optLName");
            var lastName = lastNameField.val();

            var emailField = $("#optEmail");
            var email = emailField.val();

            var phoneField = $("#optPhone");
            var phone = phoneField.val();

            if( $("#optCustom_1").length > 0 ) {
              var optCustom_1 = $("#optCustom_1").val();
            } else {
              var optCustom_1 = '';
            }
            if( $("#optCustom_2").length > 0  ) {
              var optCustom_2 = $("#optCustom_2").val();
            } else {
              var optCustom_2 = '';
            }
            if( $("#optCustom_3").length > 0  ) {
              var optCustom_3 = $("#optCustom_3").val();
            } else {
              var optCustom_3 = '';
            }
            if( $("#optCustom_4").length > 0  ) {
              var optCustom_4 = $("#optCustom_4").val();
            } else {
              var optCustom_4 = '';
            }

            if (fullName == "#firstlast#") {
                // using first & last name
                fullName = firstName + " " + lastName;
                $("#ar-name").val(firstName);
                $("#ar-lname").val(lastName);
            } else {
                // just full name
                $("#ar-name").val(fullName);
            }

            // Set AR Form
            $("#ar-email").val(email);
            $("#ar-phone").val(phone);

            if( $("#ar_custom_1").length > 0 ){
              $("#ar_custom_1").val(optCustom_1);
            }
            if( $("#ar_custom_2").length > 0 ){
              $("#ar_custom_2").val(optCustom_2);
            }
            if( $("#ar_custom_3").length > 0 ){
              $("#ar_custom_3").val(optCustom_3);
            }
            if( $("#ar_custom_4").length > 0 ){
              $("#ar_custom_4").val(optCustom_4);
            }

            // Validation
            if (fullName == "") {
                fullNameField.addClass("errorField");
                return false;
            }
            fullNameField.removeClass("errorField");
            fullNameField.addClass("successField");

            if (email == "") {
                emailField.addClass("errorField");
                return false;
            }

            if ( ! wi.validateEmail(email) ) {
                emailField.addClass("errorField");
                return false;
            }
            emailField.addClass("successField");

            //make the phone field optional
            // if (phoneField.length > 0 && phone == "") {
            //     phoneField.addClass("errorField");
            //     return false;
            // }

            var wiCheckGDPR = function (type) {
                var validTypes = {
                    'privacy-policy': 'pp',
                    'terms-and-conditions': 'tc',
                    'mailing-list': 'ml',
                };

                if (!validTypes.hasOwnProperty(type)) {
                    return false;
            }

                var checkbox = $('#gdpr-' + validTypes[type]);
                var consentFieldContainer = document.querySelector('.gdprConsentField.gdpr-' + validTypes[type]);
                if (checkbox.is(':checked') !== true) {
                    if (type !== 'mailing-list') {
                        consentFieldContainer.classList.add('gdprError');
            }
                    return false;
                }

                consentFieldContainer.classList.remove('gdprError');
                return true;
            };


            if ( ($('#gdpr-pp').length > 0) && ($('#gdpr-pp').is(':checked')) ) {
                $('#ar-privacy-policy').prop('checked', true);
                $('#ar-privacy-policy').val('Y');
            } else if ( ($('#gdpr-pp').length > 0) && ( !$('#gdpr-pp').is(':checked') ) ) {
                $('#ar-privacy-policy').prop('checked', false);
                wiCheckGDPR('privacy-policy');
                return false;
            }

            if ( ($('#gdpr-tc').length > 0) && ($('#gdpr-tc').is(':checked')) ) {
                $('#ar-terms-and-conditions').prop('checked', true);
                $('#ar-terms-and-conditions').val('Y');
            } else if ( ($('#gdpr-tc').length > 0) && ( !$('#gdpr-tc').is(':checked') ) ) {
                $('#ar-terms-and-conditions').prop('checked', false);
                wiCheckGDPR('terms-and-conditions');
                return false;
            }

            if ( ($('#gdpr-ml').length > 0) && ($('#gdpr-ml').is(':checked')) ) {
                $('#ar-mailing-list').prop('checked', true);
                $('#ar-mailing-list').val('Y');
            } else if ( ($('#gdpr-ml').length > 0) && ( !$('#gdpr-ml').is(':checked') ) ) {
                $('#ar-mailing-list').prop('checked', false);
            }

            var data = {
                fullName: fullName,
                email: email,
                phone: phone
            };

            return data;

        },

        // Handle registration form submission.
        handleSubmit: function(e) {

            e.preventDefault();
            // get validated data or false if validation failed.
            var v = wi.validateForm();

            // if form validation failed we exit.
            if (v === false) {
                return;
            }

            // Lead data to be saved to database.
            var data = {
                action: 'webinarignition_add_lead',
                security: window.security,
                id: wi.webinarId,
                name: v.fullName,
                email: v.email,
                phone: v.phone,
                ip: wi.userIp,
                source: 'Optin'
            };

            // If it is a evergreen we also need the some extra values.
            if (wi.webinarType === 'evergreen') {
                data['action'] = 'webinarignition_add_lead_auto';
                data['date'] = $("#webinar_start_date").val();
                data['time'] = $("#webinar_start_time").val();
                data['timezone'] = $("#timezone_user").val();
            }

            data['lead_browser_and_os'] = wi.leadDeviceInfo;

            // Toggle registration button busy loading animation.
            $('#optinBTN').css('background', '#EAEAEA');
            $('#optinBTNText').css('display', 'none');
            $('#optinBTNLoading').css('display', 'inline');

            // Store Lead using AJAX.
            $.post(wi.ajaxUrl, data, function (leadId) {

                // Set Cookie - Signed Up
                $.cookie('we-trk-' + wi.webinarId, leadId, {expires: 30});

                // Set unique thank you url for lead.
                if (wi.useCustomThankYouUrl !== true) {
                    wi.thankYouPageUrl = wi.thankYouPageUrl + '&lid=' + leadId;
                }

                if (wi.skipThankYouPage === true) {
                    // registrant will be redirected directly to the webinar event.
                    wi.thankYouPageUrl = wi.webinarUrl + 'live&lid=' + leadId;
                }

                // AR Integration
                // If no AR Integration was configured we just redirect registrant to the thank you page.
                if ($("#AR-INTEGRATION").length < 1 || wi.arUrl === 'none') {
                    console.log('No AR Submission needed.');

                    window.location.href = wi.thankYouPageUrl;
                    return;
                }

                // Submit AR form.
                var eventUrl = wi.webinarUrl + '?live&lid=' + leadId;
                if (wi.webinarType === 'live') {
                    $("#ar-webinar-url").val(eventUrl);
                    $('#ar_submit_iframe').data('can_load', 'true');
                    HTMLFormElement.prototype.submit.call($("#AR-INTEGRATION")[0]);
                } else {
                    // For evergreen registrants we need to fetch the newly created lead data from the server.
                    $.get(wi.ajaxUrl, {
                            action: 'webinarignition_get_lead_auto',
                            security: window.security,
                            lid: leadId
                        },
                        function (lead) {
                            var leadData = JSON.parse(lead);
                            $("#ar-webinar-url").val(eventUrl);
                            $("#ar-webinar-date").val(leadData.webinar_date);
                            $("#ar-webinar-time").val(leadData.webinar_time);
                            $("#ar-webinar-timezone").val(leadData.lead_timezone);

                            $('#ar_submit_iframe').data('can_load', 'true');
                            HTMLFormElement.prototype.submit.call($("#AR-INTEGRATION")[0]);
                    });
                }

            });
        },

        // This method is used by the evergreen custom schedule only.
        customDateFields: function() {
            var format_string = '';
            switch (wi.timeFormat) {
                case '24hour':
                    format_string = 'HH:mm';
                    break;
                default:
                    format_string = 'h:mm A';
            }
            var local_date = moment().format(format_string);

            $("#autoCurrentTime").html(local_date + wi.timeSuffix);

            // Get Dates
            var data = {
                action: 'webinarignition_auto_lp_get_dates',
                security: window.security,
                tz: wi.userTimezone,
                id: wi.webinarId
            };
            $.post(wi.ajaxUrl, data, wi.populateCustomDatesField);

            // Show available times
            $('#webinar_start_date').change(wi.showAvailableTimes);
        },

        populateCustomDatesField: function (results) {

            // Get Timezone - Today
            var dates = $.parseJSON(results);
            var todaysDate = moment().format("YYYY-MM-DD");
            var maxTime = wi.evergreen.schedules.custom.maxTime;

            var dontShowTodaysDate = false;
            if (maxTime) {
                var dateAndTimeFormat = wi.timeFormat === '24hour' ? "YYYY-MM-DD HH:mm" : "YYYY-MM-DD hh:mm A";
                var mlatest = moment(todaysDate + " " + maxTime, dateAndTimeFormat);
                if ( mlatest.isBefore(moment() )) {
                    dontShowTodaysDate = true;
                }
            }

            if (dates.length < 1) {
                $("#webinar_start_date option[value='none']").remove();
                $('#webinar_start_date').append($('<option>', {value: 0}).text("No webinars scheduled for this week"));
            } else {
                $.each(dates, function (key, value) {
                    $("#webinar_start_date option[value='none']").remove();
                    if (dontShowTodaysDate) {
                        if (todaysDate !== key) {
                            $('#webinar_start_date')
                                .append($('<option>', {value: key})
                                    .text(value));
                        }
                    } else {
                        $('#webinar_start_date')
                            .append($('<option>', {value: key})
                                .text(value));
                    }
                });
            }

            $('#webinar_start_date').change();
        },

        showAvailableTimes: function () {
            if ($(this).val() == 'instant_access') {
                $("#webinarTime, .autoSep").hide();
            } else {
                var webinar_start_time = $('#webinar_start_time');
                webinar_start_time.find('option').prop('disabled', '');
                var date_bits = $(this).val().split('-');
                var defaultSelected = false; // has a default value already been selected?
                // loop through time options and select the earliest available time (also disable times in the past)
                webinar_start_time.find('option').each(function () {
                    var time_bits = $(this).val().split(':');
                    var test_date = new Date(parseInt(date_bits[0], 10), parseInt(date_bits[1], 10) - 1, parseInt(date_bits[2], 10), parseInt(time_bits[0], 10), parseInt(time_bits[1], 10), 0, 0);
                    var CurrentLocalTime = new Date().getTime();

                    if (test_date.getTime() < CurrentLocalTime) {
                        $(this).prop('disabled', 'disabled');
                    } else if (defaultSelected === false) {
                        $(this).attr('selected', 'selected');
                        defaultSelected = true;
                    }
                });
                $("#webinarTime, .autoSep").show();
            }

            return false;
        },

        setStripeClickEvent: function($form) {
            var $form = $form;
            $('#order_button').click(function (event) {
                wi.handleStripeClickEvent.call(this, event, $form);
            });
        },

        handleStripeClickEvent: function(event, $form) {
            console.log(event, $form);
            $(this).attr('disabled', 'disable');
            $(this).unbind('click');
            if($form.length) {
                var stripeInputs = jQuery('#stripepayment :input');
                var stripeFormValues = {};
                stripeInputs.each(function() {
                    stripeFormValues[this.name] = $(this).val();
                });

                if (!stripeFormValues.stripe_receipt_email) {
                    event.preventDefault();
                    console.log('no email');
                    $(this).removeAttr('disabled');
                    $('input[name="stripe_receipt_email"]').addClass('errorField');
                    wi.setStripeClickEvent($form); // Recursively add event listener.
                    return;
                }
                window.stripe_receipt_email = stripeFormValues.stripe_receipt_email;
                $('input[name="stripe_receipt_email"]').removeClass('errorField');

                var stripeValues = {
                    number: stripeFormValues['stripe_number'],
                    exp_month: stripeFormValues['stripe_exp_month'],
                    exp_year: stripeFormValues['stripe_exp_year'],
                    cvc: stripeFormValues['stripe_cvc'],
                };

                Stripe.card.createToken(stripeValues, wi.stripeResponseHandler);
                event.preventDefault();
            }
        },

        stripeResponseHandler: function(status, response) {
            // Grab the form:
            var $form = jQuery('#stripepayment');
            if (response.error) {
                wi.setStripeClickEvent($form);
                // Show the errors on the form
                $('.payment-errors').hide();
                var paymentErrorBlock = $('.payment-errors');
                paymentErrorBlock.text(response.error.message);
                paymentErrorBlock.show();
                $form.find('.submit').prop('disabled', false); // Re-enable submission
                $('#order_button').attr('disabled', false);

                return;
            }

            // Token was created!
            // Get the token ID:
            var token = response.id;
            var campaign_id = wi.webinarId;

            // Insert the token ID into the form so it gets submitted to the server:
            $form.append(jQuery('<input type="hidden" name="stripeToken">').val(token));
            $form.append(jQuery('<input type="hidden" name="campaign_id">').val(campaign_id));

            // Send the data using post
            var posting = $.post( wi.ajaxUrl, {
                action: 'webinarignition_process_stripe_charge',
                security: window.security,
                token: token,
                campaign_id: campaign_id,
                stripe_receipt_email: window.stripe_receipt_email,
            } );

            posting.done(function( data ) {
                try {
                    var response = JSON.parse(data);
                    if (response.status !== 1) {
                        console.log('Stripe payment failed: ', response);
                        return;
                    }
                    console.log('Stripe payment success!');
                } catch (error) {
                    console.log('error: ', error);
                    return;
                }

                $('.payment-errors').hide();
                var paymentSuccessBlock = $('.payment-success');
                paymentSuccessBlock.show();
                window.location.href = wi.webinarUrl + wi.paidCode + '&payment=success&sremail='+ window.stripe_receipt_email;
            });
        },

        handleFacebookSignup: function() {

            // Add Name & Email To Optin Field & Submit It...
            $("#optName").val(wi.fbUserData['name']);
            $("#optEmail").val(wi.fbUserData['email']);

            $("#ar-name").val(wi.fbUserData['name']);
            $("#ar-email").val(wi.fbUserData['email']);

            var data = {
                action  : 'webinarignition_add_lead',
                id      : wi.webinarId,
                name    : wi.fbUserData['name'],
                email   : wi.fbUserData['email'],
                phone   : "N/A",
                ip      : wi.userIp,
                source  : "FB",
            };


            // Store Lead - Post
            $.post(wi.ajaxUrl, data, function (leadId) {

                // Set Cookie - Signed Up
                $.cookie('we-trk-' + wi.webinarId, leadId, {expires: 30});

                // Set unique thank you url for lead.
                if (wi.useCustomThankYouUrl !== true) {
                    wi.thankYouPageUrl = wi.thankYouPageUrl + '&lid=' + leadId;
                }

                if (wi.skipThankYouPage === true) {
                    // registrant will be redirected directly to the webinar event.
                    wi.thankYouPageUrl = wi.webinarUrl + 'live&lid=' + leadId;
                }

                // AR Integration
                // ---------------

                // If no AR Integration was configured we just redirect registrant to the thank you page.
                if ($("#AR-INTEGRATION").length < 1 || wi.arUrl === 'none') {
                    console.log('No AR Submission needed.');
                    window.location.href = wi.thankYouPageUrl;
                    return;
                }

                // Submit AR form.
                $("#ar-webinar-url").val(wi.webinarUrl + '?live&lid=' + leadId);
                $('#ar_submit_iframe').data('can_load', 'true');
                HTMLFormElement.prototype.submit.call($("#AR-INTEGRATION")[0]);

                setTimeout(function() {
                    window.location = wi.thankYouPageUrl;
                }, 1000);
            });
        },

        init: function() {

            wi.videoFixes();

            // USER TIMEZONE
            if (wi.webinarType === 'evergreen' && wi.scheduleType !== 'fixed' && !$("#timezone_user").val()) {
                var userTimezone  = jstz.determine_timezone().timezone.olson_tz;
                wi.userTimezone   = userTimezone;
                $("#timezone_user").val(userTimezone);
            }

            // Set Cookie and increment visited status in db.
            wi.trackVisitor();


            // EVENT LISTENERS
            // ----------------

            // Stripe
            if (wi.isPaidWebinar && wi.paymentProvider === 'stripe') {
                $(function() {
                    var $form = jQuery('#stripepayment');
                    wi.setStripeClickEvent($form);
                });
            }

            if (wi.isSigningUpWithFB) {
                wi.handleFacebookSignup();
                return;
            }

            // Listen for registration form submission.
            $('#optinBTN').click(wi.handleSubmit);

            // When the AR Form is submitted, we run the arCheck function to determine
            // if the submission was a test or not.
            // If it was a test test, we show the response (HTML) from the AR service.
            // Else we redirect to the user to the thank you page, using their unique thank you page url.
            $('#ar_submit_iframe').load(function (e) {
                if (!$(this).data('can_load')) {
                    return false;
                }
                console.log('arCheck 1: ');
                arCheck(function(){ window.location.href = wi.thankYouPageUrl });
            });


            if (wi.scheduleType === 'custom') {
                wi.customDateFields();
            }

        }
    };

    /*
    * |--------------------------------------------------------------------------
    * | INITIALIZE
    * |--------------------------------------------------------------------------
    * */

    if (typeof(window.webinarignition) == 'undefined') {
        console.log('Something is wrong: window.webinarignition does not exist.');
        return;
    }

    try {
        var wiParsed = $.parseJSON(window.webinarignition);
        //console.log('wi parsed ', wiParsed);

    } catch(error) {
        console.log('JSON parse error, could not parse window.webinarignition : ', error);
        return;
    }

    // Object.assign polyfill for IE11
    if (typeof Object.assign != 'function') {
        // Must be writable: true, enumerable: false, configurable: true
        Object.defineProperty(Object, "assign", {
            value: function assign(target, varArgs) { // .length of function is 2
                'use strict';
                if (target == null) { // TypeError if undefined or null
                    throw new TypeError('Cannot convert undefined or null to object');
                }

                var to = Object(target);

                for (var index = 1; index < arguments.length; index++) {
                    var nextSource = arguments[index];

                    if (nextSource != null) { // Skip over if undefined or null
                        for (var nextKey in nextSource) {
                            // Avoid bugs when hasOwnProperty is shadowed
                            if (Object.prototype.hasOwnProperty.call(nextSource, nextKey)) {
                                to[nextKey] = nextSource[nextKey];
                            }
                        }
                    }
                }
                return to;
            },
            writable: true,
            configurable: true
        });
    }

    var wi = Object.assign(initialWebinarignition, wiParsed);
    window.addEventListener('load', wi.init);

})(jQuery);
