<?php defined( 'ABSPATH' ) || exit; ?>
<script type="text/javascript">
    
    
        (function($) {

			<?php if ( !webinarignition_should_use_videojs($webinar_data) ) { ?>
				<?php if ($webinar_data->auto_redirect == "redirect" && !empty($webinar_data->auto_video_length)) : ?>
					var webinarLength = <?= (int) $webinar_data->auto_video_length * 60 * 1000 ?>;
					setTimeout(function() {
						window.location.href = "<?php echo $webinar_data->auto_redirect_url; ?>";
					}, webinarLength);
				<?php endif ?>
			<?php  } else { ?>

				if ( ! document.getElementById('autoReplay') ) {
					return;
				}

				var no_autoplay_block = document.getElementById('no-autoplay-block');
				var myPlayerOptions = {
					"preload": "auto",
					width: "920",
					height:  "500",
					fluid: true,
					playsinline: true,
					autoplay: true
				};

				// videojs video playback initialised?
				var initdone = false;

				// video playback offset
				var offset = <?= $individual_offset ?>;

				// initialise Videojs
				var myPlayer = videojs('autoReplay', myPlayerOptions);
				myPlayer.on('loadedmetadata', function() {

					var playButton = document.getElementById('mobile-play-button');
					if (!playButton) {
						return;
					}
					playButton.addEventListener('click', function () {
						if (myPlayer.duration() > offset) {
							myPlayer.muted(false);
							myPlayer.play();
							no_autoplay_block.style.display = 'none';
						}
					});

					var unmuteButton = document.getElementById('unmute-button');
					if (!unmuteButton) {
						return;
					}

					unmuteButton.addEventListener('click', function () {
						console.log('unmute');
//						if (myPlayer.duration() > offset) {
							myPlayer.muted(false);
//							myPlayer.play();
							document.getElementById('muted-autoplay-block').style.display = 'none';
//						}
					});

					if (myPlayer.duration() > offset) {
//						return;
						document.getElementById('video-loading-block').style.display = 'none';
						var promise = myPlayer.play();

						if (promise !== undefined) {
							promise
								.then(function() {
									console.log('autoplay with sound started!');
//									no_autoplay_block.style.display = 'none';
								})
								.catch(function(error) {
									console.log('autoplay with sound could not start: ', error);
//									no_autoplay_block.style.display = 'block';
//									return;
									myPlayer.muted(true);
									var promise = myPlayer.play();
									if (promise !== undefined) {
										promise
											.then(function() {
												console.log('muted autoplay started!');
												document.getElementById('muted-autoplay-block').style.display = 'block';
											})
											.catch(function(error) {
												console.log('muted autoplay could not start: ', error);
												no_autoplay_block.style.display = 'block';
											});
									} else {
										console.log('Videojs play did not return a promise.');
									}

								});
						} else {
							console.log('Videojs play did not return a promise.');
						}
					}

					myPlayer.on('timeupdate', function () {
						var num = myPlayer.currentTime();
//						console.log('currentTime: ', num);
						num = Math.ceil(num * 10) / 10;
						var minutes = Math.floor(num / 60);
						$("#autoVideoTime").val(minutes);
						$(".autoWebinarLoading").fadeOut("fast");

						// Trigger Timed Action
						var timedAction = <?php echo (!empty($webinar_data->auto_action_time) ? $webinar_data->auto_action_time : 0); ?>;
						if (minutes >= timedAction) {
							$("#orderBTN").show();
						}
					});

					myPlayer.on('ended', function () {
						<?php if ($webinar_data->auto_redirect == "redirect") : ?>
						window.location.href = "<?php echo $webinar_data->auto_redirect_url; ?>";
						<?php endif ?>
					});
				});

				// because of mobile/ios video needs to start playing first
				myPlayer.on("canplaythrough", function(){
					if(!initdone)
					{
						myPlayer.currentTime(offset);
						initdone = true;
					}
				});
		<?php } ?>

		})(jQuery);
                
</script>


<?php if ( $webinar_data->webinar_date === "AUTO" ) : ?>
<script>
	<?php if ( $webinar_data->auto_action === "time" && !empty($webinar_data->webinar_iframe_source) ) : ?>
	setTimeout(timedAction, <?php echo ( $webinar_data->auto_action_time == "" ) ? 1000 : ($webinar_data->auto_action_time * 1000) * 60; ?>);

	function timedAction() {
		$("#orderBTN").show();
	}
	<?php endif ?>
 </script>           
<?php endif ?>
