<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- META INFO -->
    <title><?php webinarignition_display( $webinar_data->webinar_desc, "Amazing Webinar" ); ?></title>

    <meta name="description"
          content="<?php webinarignition_display(
              $webinar_data->lp_metashare_desc,
              "Join this amazing webinar, and discover industry trade secrets!"
          ); ?>">

    <meta property="og:description" content="<?php webinarignition_display($webinar_data->lp_metashare_desc, "Join this amazing webinar, and discover industry trade secrets!"); ?>">

    <?php if ( !empty($webinar_data->ty_share_image)  ): ?>
        <meta property="og:image" content="<?php webinarignition_display( $webinar_data->ty_share_image, "" ); ?>"/>
    <?php endif; ?>

    <script>
        window.security             = '<?php echo wp_create_nonce("webinarignition_ajax_nonce"); ?>'
    </script>

    <?php if( $webinar_data->wp_head_footer === 'enabled'  ):  ?>

            <?php wp_head(); ?>

            <?php else: ?>


        <!-- Bootstrap -->
        <link href="<?php echo $assets; ?>css/bootstrap.min.css" rel="stylesheet">
        <link href="<?php echo $assets; ?>css/foundation.css" rel="stylesheet" type="text/css"/>
        <link href="<?php echo $assets; ?>js-libs/css/intlTelInput.css" rel="stylesheet" type="text/css"/>
        <link href="<?php echo $assets; ?>css/main.css" rel="stylesheet" type="text/css"/>
        <link href="<?php echo $assets; ?>css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
        <link href="<?php echo $assets; ?>css/utils.css" rel="stylesheet" type="text/css"/>


        <script type="text/javascript" src="<?php echo $assets; ?>js/moment.min.js"></script>
        <!--  fix :: utils  -->
        <script type="text/javascript" src="<?php echo $assets; ?>js/utils.js"></script>

        <script src="<?php echo $assets; ?>js/jquery.js"></script>

    <?php endif; ?>



        <?php include( "css/lp_css.php" ); ?>
        <!-- CUSTOM CSS -->
        <style type="text/css">
            <?php webinarignition_display($webinar_data->custom_lp_css, ""); ?>
        </style>
        <!-- CUSTOM JS -->
        <?php webinarignition_display_custom_js($webinar_data, 'custom_lp_js'); ?>

        <?php if ( $webinar_data->webinar_date != "AUTO" ) { include_once( "fbaccess.php" ); } ?>

</head>

<body class="registration-tpl-01" id="webinarignition">

        <!-- TOP AREA -->
        <div class="topArea">
            <div class="bannerTop container">
                <?php
                if ( $webinar_data->lp_banner_image != "" ) {
                    echo "<img src='$webinar_data->lp_banner_image' />";
                }
                ?>
            </div>
        </div>

        <!-- Main Area -->
        <div class="mainWrapper">
            <div class="container">
                <!-- HEADLINE AREA -->
                <div class="headlineArea" style="display: <?php
                if ( $webinar_data->lp_main_headline == "" ) {
                    echo "none";
                } else {
                    echo "block";
                }
                ?>;">
                    <?php
                    webinarignition_display(
                        $webinar_data->lp_main_headline,
                        ''
                    );
                    ?>
                </div>

                <!-- SALES AREA -->
                <div class="salesWrapper row">
                    <div class="col-md-7">
                        <!-- LEFT SIDE -->
                        <div class="ctaLeft">

                                <div class="ctaArea video">

                                    <?php if( has_shortcode( $webinar_data->lp_cta_video_code, 'video') ):
                                        $GLOBALS['content_width'] = 1225;//see /wp-includes/media.php::wp_video_shortcode();
                                    endif; ?>

                                    <?php
                                    if ( $webinar_data->lp_cta_type == "" || $webinar_data->lp_cta_type == "video" ) {
                                        webinarignition_display(
                                            do_shortcode( $webinar_data->lp_cta_video_code ),
                                            '<img src="' . $assets . 'images/novideo.png" />'
                                        );
                                    } else {
                                        echo "<img src='";
                                        webinarignition_display( $webinar_data->lp_cta_image, $assets . 'images/noctaimage.png' );
                                        echo "' height='281' width='500' />";
                                    }
                                    ?>
                                </div>

                            <div class="innerHeadline addedArrow">
                  <span>
                      <?php
                      webinarignition_display(
                          $webinar_data->lp_sales_headline,
                          'What You Will Learn On The Webinar...'
                      );
                      ?>
                  </span>
                            </div>

                            <div class="innerCopy">

                                <div class="hostInfoBlock" style="<?php
                                if ( $webinar_data->lp_webinar_host_block == "hide" ) {
                                    echo "display:none;";
                                }
                                ?>">

                                    <div class="hostInfoPhoto">
                                        <img
                                            src="<?php webinarignition_display(
                                                $webinar_data->lp_host_image,
                                                WEBINARIGNITION_URL . "images/generic-headshot-male.jpg"
                                            ); ?>"/>
                                    </div>

                                    <div class="hostInfoCopy">
                                        <?php
                                        webinarignition_display(
                                            $webinar_data->lp_host_info,
                                            'It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software...<br><br><b>- Your Name Here</b>'
                                        );
                                        ?>
                                    </div>

                                    <br clear="left"/>

                                </div>

                                <?php
                                webinarignition_display(
                                    do_shortcode( $webinar_data->lp_sales_copy ),
                                    '<p>Your Amazing sales copy for your webinar would show up here...</p>'
                                );
                                ?>


                            </div>

                        </div>
                        <!-- /LEFT SIDE -->
                    </div>

                    <div class="col-md-5">
                        <!-- RIGHT SIDE -->
                        <div class="ctaRight">
                            <!-- OPT HEADLINE -->
                            <div class="optinHeadline">
                                <?php
                                $displayReserveSpot = '<span class="optinHeadline1" >RESERVE YOUR SPOT!</span>
                                                                <span class="optinHeadline2" >WEBINAR REGISTRATION</span>';

                                if (isset($input_get['payment']) && $input_get['payment'] === 'success') {
                                    $displayReserveSpot .= '<br /><p style="color: #659D32; padding: 1em 1em 0 1em; font-size: .8em; text-align:center;"> Payment Success! <br />
                                                <span style="font-size: .75em;">Please finalize your registration by filling out the form below:</span>
                                                </p>';
                                }
                                webinarignition_display(
                                    $webinar_data->lp_optin_headline,
                                    $displayReserveSpot
                                );
                                ?>
                            </div>

                            <!-- Paid webinar Checker  -->
                            <?php

                            if ( $webinar_data->paid_status == "paid" ) {
                                $paid_check = "no";

                                ?>

                                <script>

                                    var paid_code = {
                                        "code": <?php echo "'" . $webinar_data->paid_code . "'"; ?>
                                    }

                                </script>

                                <?php

                            } else {
                                $paid_check = "yes";
                            }

                            // check if campaign ID is in the URL, if so, its the thank you url...
                            if ( property_exists( $webinar_data, 'paid_code' ) && isset( $input_get[ $webinar_data->paid_code ] ) ) {
                                $paid_check = "yes";
                            }
                            ?>

                            <!-- EVENT DATE -->
                            <?php
                            // Evergreen Check
                            if ( $webinar_data->webinar_date == "AUTO" ) {
                                // Evergreen
                                if ( $paid_check == 'yes' ) {
                                    ?>
                                    <?php
                                    if ( $webinar_data->lp_schedule_type == 'fixed' ) {
                                        ?>
                                        <div class="eventDate fixed-type">
                                            <?php
                                                $tz_abbr = WiDateHelpers::get_tz_abbr_from_name( $webinar_data->auto_timezone_fixed);
                                                $split_date = explode( '-', $webinar_data->auto_date_fixed );
                                                $auto_date = webinarignition_translate_date($webinar_data->auto_date_fixed, $webinar_data);
                                            ?>
                                            <img src="<?= WEBINARIGNITION_URL.'images/date_crystal.png' ?>"/>
                                            <span style="font-size: 18px"><?= $auto_date ?></span>
                                            <img src="<?= WEBINARIGNITION_URL.'images/clock.png' ?>"/>
                                            <span style="font-size: 18px"><?= $webinar_data->auto_time_fixed.' '.$tz_abbr ?></span>
                                            <input type="hidden" id="webinar_start_date" value="<?= "{$split_date[2]}-{$split_date[0]}-{$split_date[1]}" ?>"/>
                                            <input type="hidden" id="webinar_start_time" value="<?= $webinar_data->auto_time_fixed ?>"/>
                                            <input type="hidden" id="timezone_user" value="<?= $webinar_data->auto_timezone_fixed ?>">
                                            <input type="hidden" id="today_date" value="<?= date( 'Y-m-d' ) ?>">
                                            <br clear="left"/>
                                        </div>
                                        <?php
                                    } elseif ( $webinar_data->lp_schedule_type == 'delayed' ) {
                                        ?>
                                        <div class="eventDate fixed-type">
                                            <?php
                                            $dateTime = webinarignition_make_delayed_date($webinar_data);
                                            $tz_abbr = $dateTime->format( 'T' );
                                            $delayed_date = $dateTime->format( 'm-d-Y' );
                                            $delayed_date = webinarignition_translate_date($delayed_date, $webinar_data);
                                            ?>

                                            <img src="<?= WEBINARIGNITION_URL.'images/date_crystal.png' ?>"/>
                                            <span style="font-size: 18px"><?php echo $delayed_date; ?></span>

                                            <img src="<?= WEBINARIGNITION_URL.'images/clock.png' ?>"/>
                                            <span style="font-size: 18px">
                                                <?= $webinar_data->auto_time_delayed.' ' ?>
                                                <?php if ( $webinar_data->delayed_timezone_type !== 'user_specific' ) : ?>
                                                    <?= $tz_abbr ?>
                                                <?php else : ?>
                                                    <div class="user_specific_timezone_name" style="display: inline-block;font-size: 10px">
                                                        <?= $webinar_data->auto_timezone_user_specific_name ? $webinar_data->auto_timezone_user_specific_name : "YOUR<br/>TIMEZONE" ?>
                                                    </div>
                                                <?php endif ?>
                                            </span>

                                            <input type="hidden" id="webinar_start_date" value="<?= $dateTime->format( 'Y-m-d' ) ?>"/>
                                            <input type="hidden" id="webinar_start_time" value="<?= $webinar_data->auto_time_delayed ?>"/>
                                            <input type="hidden" id="timezone_user" value="<?= $webinar_data->delayed_timezone_type !== 'user_specific' ? $webinar_data->auto_timezone_delayed : '' ?>">
                                            <input type="hidden" id="today_date" value="<?= date( 'Y-m-d' ) ?>">
                                            <br clear="left"/>
                                        </div>
                                    <?php } else {
                                        require_once 'registration-custom-dates.php';
                                    } ?>

                                    <?php
                                } else {

                                    ?>

                                    <div class="autoSep"></div>
                                    <?php
                                }
                            } else {
                                ?>
                                <div class="eventDate">

                                    <div class="dateIcon">
                                        <div class="dateMonth">
                                            <?php
                                            if ( $webinar_data->lp_webinar_month ) {
                                                echo $webinar_data->lp_webinar_month;
                                            } else {
                                                echo $liveEventMonth;
                                            }
                                            ?>
                                        </div>
                                        <div class="dateDay">
                                            <?php
                                            if ( $webinar_data->lp_webinar_day ) {
                                                echo $webinar_data->lp_webinar_day;
                                            } else {
                                                echo $liveEventDateDigit;
                                            }
                                            ?>
                                        </div>
                                    </div>

                                    <div class="dateInfo">
                                        <div class="dateHeadline"><?php echo $webinar_data->lp_webinar_headline ? $webinar_data->lp_webinar_headline : $autoDate_format; ?></div>
                                        <div class="dateSubHeadline">
                                            <?php
                                            if ( $webinar_data->lp_webinar_subheadline ) {
                                                echo $webinar_data->lp_webinar_subheadline;
                                            } else {
                                                echo 'At ' . $autoTime;
                                            }
                                            ?>
                                        </div>
                                    </div>

                                    <br clear="left"/>
                                </div>
                                <?php
                            }
                            ?>

                            <?php

                            if ( !empty( $webinar_data->webinar_switch ) && $webinar_data->webinar_switch == 'closed' ) {
                                echo $webinar_data->lp_optin_closed ? $webinar_data->lp_optin_closed : 'Registration is closed for this webinar.';
                            } else {

                            ?>

                            <!-- PAID WEBINAR AREA -->
                            <div class="paidWebinarBlock" <?php if ( $paid_check == "no" ) {
                                echo "style='display:block;'";
                            } else {
                                echo "style='display:none;'";
                            } ?> >
                                <div>
                                    <?php webinarignition_display($webinar_data->paid_headline,"<center><h5>Join The Webinar <Br>Order Your Spot Now!</h5></center>"); ?>
                                    <p class="payment-errors" style="color: #EE3B3B; padding: 1em 1em 0 1em; font-size: .9em; text-align:center; display:none;"></p>
                                    <p class="payment-success" style="color: #659D32; padding: 1em 1em 0 1em; font-size: .9em; text-align:center; display:none;"></p>
                                </div>

                                <?php if (webinarignition_usingStripePaymentOption($webinar_data)): ?>
                                    <form action="" method="POST" id="stripepayment">
                                        <span class="payment­errors"></span>
                                        <div class="form-row">
                                            <label>
                                                <span>Card Number</span>
                                                <input type="text" size="20" data-stripe="number" name="stripe_number">
                                            </label>
                                        </div>
                                        <div class="form­row">
                                            <label>
                                                <span style="display:block;" >Expiration (MM/YY)</span>
                                                <input style="width:48%; display:inline;" type="text" maxlength="2" data­stripe="exp_month" name="stripe_exp_month">
                                                <span> / </span>
                                                <input style="width:48%; display:inline;" type="text" maxlength="2" data­stripe="exp_year" name="stripe_exp_year">
                                            </label>
                                        </div>
                                        <div class="form­row">
                                            <label>
                                                <span>CVC</span>
                                                <input type="text" size="4" data­stripe="cvc" name="stripe_cvc">
                                            </label>
                                        </div>
                                        <div class="form­row">
                                            <label>
                                                <span>Your Email Address</span>
                                                <input type="text" size="4" data­stripe="email" name="stripe_receipt_email">
                                            </label>
                                        </div>
                                    </form>
                                <?php elseif(!webinarignition_usingStripePaymentOption($webinar_data) && !webinarignition_usingPaypalPaymentOption($webinar_data) && $webinar_data->payment_form): ?>
                                    <?php echo $webinar_data->payment_form; ?>
                                <?php endif; ?>

                                <?php if(webinarignition_usingStripePaymentOption($webinar_data)): ?>
                                    <div class="ccCards" style="margin-top: 10px; font-size: 12px; background-color: #F9F9F9; padding: 10px; color: #878787; padding-right: 20px;padding-left: 0px; padding-bottom: 20px;border-radius: 6px; text-align: right;">
                                        <img src="<?php echo  $assets . 'images/powered-by-stripe.png'; ?>" style="margin-top: -5px; width: 22%;height: auto;float: left;"><i class="icon-lock" style="margin-right: 10px;"></i> Secure Credit Card Processing
                                    </div>
                                <?php endif; ?>

                                <?php

                                if ( $webinar_data->paid_button_type != 'custom' ) {
                                    if (webinarignition_usingStripePaymentOption($webinar_data)) {
                                        $wi_paymentUrl = '';
                                    } else if (webinarignition_usingPaypalPaymentOption($webinar_data)) {
                                        $wi_paymentUrl = $webinar_data->paid_pay_url;
                                    } else {
                                        $wi_paymentUrl = '';
                                    }
                                    ?>
                                    <a href="<?php webinarignition_display( $wi_paymentUrl, "#" ); ?>" class="large button" id="order_button"
                                       style=" width:100%; background-color:<?php webinarignition_display(
                                           $webinar_data->paid_btn_color,
                                           "#5DA423"
                                       ); ?>; border: 1px solid rgba(0, 0, 0, 0.5) !important;"><?php webinarignition_display(
                                            $webinar_data->paid_btn_copy,
                                            "Order Webinar Now"
                                        ); ?></a>
                                    <?php
                                } else {
                                    echo do_shortcode( $webinar_data->paid_button_custom );
                                }
                                ?>
                            </div>
                            <!-- OPTIN FORM -->
                            <div class="optinFormArea" <?php if ( $paid_check == "no" ) {
                                echo "style='display:none;'";
                            } ?> >

                                <?php
                                if ( $webinar_data->webinar_date == "AUTO" ) {

                                } else {

                                    if ( $webinar_data->lp_fb_button == "" || $webinar_data->lp_fb_button == "hide" ) {

                                    } else {
                                        ?>
                                        <a href="<?php
                                        if ( $user ) {
                                            echo webinarignition_fixPerma() . "confirmed";
                                        } else {
                                            echo $loginUrl;
                                        }
                                        ?>" id="optinBTNFB" class="button"><?php webinarignition_display( $webinar_data->lp_fb_copy,
                                                "Register With Facebook" ); ?></a>
                                        <div class="optOR"><?php webinarignition_display( $webinar_data->lp_fb_or, "OR" ); ?></div>
                                        <?php
                                    }
                                }

                                if ( ! empty( $webinar_data->ar_fields_order ) && is_array( $webinar_data->ar_fields_order ) ) {
                                $alreadyAddedFields = [];
                                $wi_showingGDPRHeading = false;
                                function webinarignition_showGDPRHeading($webinar) {
                                global $wi_showingGDPRHeading;

                                if (!$wi_showingGDPRHeading) { ?>
                                <div class="gdprSectionWrapper">
                                    <div class="gdprHeading">
                                        <?= !empty($webinar->gdpr_heading) ? $webinar->gdpr_heading : 'Please confirm that you:' ?>
                                    </div>
                                    <?php
                                    $wi_showingGDPRHeading = true;
                                    }
                                    }

                                    function webinarignition_closeGDPRSection() {
                                        global $wi_showingGDPRHeading;
                                        if ($wi_showingGDPRHeading) {
                                            echo '</div>';
                                        }
                                    }


                                    foreach ( $webinar_data->ar_fields_order as $_field ) {
                                        if (in_array($_field, $alreadyAddedFields)) {
                                            continue;
                                        }
                                        $alreadyAddedFields[] = $_field;

                                        switch ( $_field ) {
                                            case 'ar_name':
                                                if ( empty( $webinar_data->ar_fields_order ) || ! in_array( 'ar_lname', $webinar_data->ar_fields_order )
                                                ) {
                                                    ?>
                                                    <input type="text" class="radius fieldRadius" id="optName"
                                                           placeholder="<?php webinarignition_display( $webinar_data->lp_optin_name,
                                                               "Enter Your Full Name..." ); ?>">
                                                    <?php
                                                } else {
                                                    ?>
                                                    <input type="text" class="radius fieldRadius optNamer" id="optFName"
                                                           placeholder="<?php webinarignition_display( $webinar_data->lp_optin_name,
                                                               "Enter Your First Name..." ); ?>">
                                                    <?php
                                                }
                                                break;
                                            case 'ar_lname':
                                                ?><input type="text" required class="radius fieldRadius optNamer" id="optLName"
                                                         placeholder="<?php webinarignition_display( $webinar_data->lp_optin_lname,
                                                             "Enter Your Last Name..." ); ?>" >
                                                <input type="hidden" id="optName" value="#firstlast#">
                                                <?php
                                                break;
                                            case 'ar_email':
                                                ?><input type="email" required class="radius fieldRadius" id="optEmail"
                                                         placeholder="<?php webinarignition_display(
                                                             $webinar_data->lp_optin_email,
                                                             "Enter Your Best Email..."
                                                         ); ?>"
                                                         value="<?= !empty($input_get['sremail']) ? $input_get['sremail'] : '' ?>"><?php
                                                break;
                                            case 'ar_phone':
                                                ?><input type="text" class="radius fieldRadius wi_phone_number" id="optPhone"
                                                         placeholder="<?php webinarignition_display(
                                                             $webinar_data->lp_optin_phone,
                                                             "Enter Your Phone Number..."
                                                         ); ?>" ><?php
                                                break;

                                            case 'ar_custom_1':
                                                ?><input type="text" class="radius fieldRadius wi_optCustom_1" id="optCustom_1"
                                                         placeholder="<?php webinarignition_display(
                                                             $webinar_data->lp_optin_custom_1,
                                                             ""
                                                         ); ?>" ><?php
                                                break;

                                            case 'ar_custom_2':
                                                ?><input type="text" class="radius fieldRadius wi_optCustom_2" id="optCustom_2"
                                                         placeholder="<?php webinarignition_display(
                                                             $webinar_data->lp_optin_custom_2,
                                                             ""
                                                         ); ?>" ><?php
                                                break;

                                            case 'ar_custom_3':
                                                ?><input type="text" class="radius fieldRadius wi_optCustom_3" id="optCustom_3"
                                                         placeholder="<?php webinarignition_display(
                                                             $webinar_data->lp_optin_custom_3,
                                                             ""
                                                         ); ?>" ><?php
                                                break;

                                            case 'ar_custom_4':
                                                ?><input type="text" class="radius fieldRadius wi_optCustom_4" id="optCustom_4"
                                                         placeholder="<?php webinarignition_display(
                                                             $webinar_data->lp_optin_custom_4,
                                                             ""
                                                         ); ?>" ><?php
                                                break;

                                            case 'ar_privacy_policy':
                                                webinarignition_showGDPRHeading($webinar_data);
                                                ?>
                                                <div class="gdprConsentField gdpr-pp">
                                                <label for="gdpr-pp"><?= !empty($webinar_data->lp_optin_privacy_policy) ? $webinar_data->lp_optin_privacy_policy : 'Have read and understood our Privacy Policy' ?></label>
                                                <input type="checkbox" id="gdpr-pp">
                                                </div><?php
                                                break;
                                            case 'ar_terms_and_conditions':
                                                webinarignition_showGDPRHeading($webinar_data);
                                                ?>
                                                <div class="gdprConsentField gdpr-tc">
                                                <label for="gdpr-tc"><?= !empty($webinar_data->lp_optin_terms_and_conditions) ? $webinar_data->lp_optin_terms_and_conditions : 'Accept our Terms &amp; Conditions' ?></label>
                                                <input type="checkbox" id="gdpr-tc">
                                                </div><?php
                                                break;
                                            case 'ar_mailing_list':
                                                webinarignition_showGDPRHeading($webinar_data);
                                                ?>
                                                <div class="gdprConsentField gdpr-ml">
                                                <label for="gdpr-ml"><?= !empty($webinar_data->lp_optin_mailing_list) ? $webinar_data->lp_optin_mailing_list : 'Want to be added to our mailing list' ?></label>
                                                <input type="checkbox" id="gdpr-ml">
                                                </div><?php
                                                break;
                                            default:
                                                break;
                                        }
                                    }

                                    webinarignition_closeGDPRSection();
                                    }



                                    ?>

                                    <?php
                                    if ( $webinar_data->lp_optin_button == "" || $webinar_data->lp_optin_button == "color" ) {
                                        ?>

                                        <a href="#" id="optinBTN" class="optinBTN large button">
                                            <span id="optinBTNText"><?php webinarignition_display( $webinar_data->lp_optin_btn, "Register For The Webinar" ); ?></span>
                                                <span id="optinBTNLoading" style="display: none;" >
                                                <img src="<?php echo WEBINARIGNITION_URL . 'inc/lp/images/loading_dots_cropped_small.gif' ?>" style="width: auto; height: 20px;"/>
                                        </span>
                                        </a>
                                        <?php
                                    } else {
                                        ?>
                                        <a href="#" id="optinBTN" class="optinBTN"><img src="<?php webinarignition_display( $webinar_data->lp_optin_btn_image, "" ); ?>"
                                                                                        width="327" border="0"/></a>
                                        <?php
                                    }
                                    ?>


                                    <div class="spam">
                                        <?php webinarignition_display( $webinar_data->lp_optin_spam, "* we will not spam, rent, sell, or lease your information *" ); ?>
                                    </div>

                                </div>

                                <?php } ?>

                            </div>
                            <!-- /RIGHT SIDE -->
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <!-- /.main Area -->

        <?php require_once WEBINARIGNITION_PATH .  'inc/lp/partials/powered_by.php'; ?>

        <?php //var_dump($webinar_data->ar_method); die; ?>

        <?php if( !empty($webinar_data->ar_url) && !empty($webinar_data->ar_method)): ?>
            <div class="arintegration" style="display:none;">
                <?php include('ar_form.php'); ?>
            </div>
        <?php endif; ?>


        <?php if( $webinar_data->wp_head_footer === 'enabled'  ):  ?>

            <?php wp_footer(); ?>

        <?php else: ?>

            <script type="text/javascript" src="<?php echo $assets; ?>js/cookie.js"></script>
            <script type="text/javascript" src="<?php echo $assets; ?>js-libs/js/intlTelInput.js"></script>
            <script type="text/javascript" src="<?php echo $assets; ?>js/frontend.js"></script>
            <script type="text/javascript" src="<?php echo $assets; ?>js/tz.js"></script>

            <?php if ($webinar_data->stripe_publishable_key): ?>


                <?php  $stripe_publishable_key = $wi_campaign->stripe_publishable_key; // don't know what this is for ?>
                <script type="text/javascript" src="https://js.stripe.com/v2/"></script>
                <script type="text/javascript">
                    Stripe.setPublishableKey('<?php echo $webinar_data->stripe_publishable_key; ?>');
                </script>

            <?php endif; ?>


            <script>

                <?php
                    $wi_parsed = webinarignition_parse_registration_page_data($webinarId, $webinar_data);
                    $wi_parsed['leadDeviceInfo'] = !empty($webinarignition_lead_browser_and_os) ? $webinarignition_lead_browser_and_os : array();

                    $isSigningUpWithFB = false;
                    $fbUserData = [];
                    if (isset($_GET['code'])) {
                        $isSigningUpWithFB = true;
                        $fbUserData['name'] = $user_info['name'];
                        $fbUserData['email'] = $user_info['email'];
                    }
                    $wi_parsed['isSigningUpWithFB'] = $isSigningUpWithFB;
                    $wi_parsed['fbUserData'] = $fbUserData;
                ?>

                // set data to be used by registration-page.js
                window.webinarignition = '<?= json_encode($wi_parsed) ?>';
            </script>

            <script src="<?= $assets ?>js/registration-page.js"></script>


        <?php endif; ?>


        <?php echo $webinar_data->footer_code;?>

</body>
</html>
