<?php

defined( 'ABSPATH' ) || exit; 

/*
|-----------------------------------------------------------------------------------------------------------------------
| ADD THE OS AND BROWSER COLUMN TO LEADS TABLES
|-----------------------------------------------------------------------------------------------------------------------
*/

global $wpdb;

// CHECK DB VERSION AND RUN MIGRATIONS
$webinarignition_db_version = get_option('webinarignition_db_version');
$webinarignition_db_version = !empty($webinarignition_db_version) ? $webinarignition_db_version : 0;


if ($webinarignition_db_version < WEBINARIGNITION_DB_VERSION ) {
    // add os/browser columns (live)
    $table_name = $wpdb->prefix . "webinarignition_leads";
    $row = $wpdb->get_results("SELECT COLUMN_NAME FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = '{$table_name}' AND column_name = 'gdpr_data' ");
    if (empty($row)) {
        $wpdb->query("ALTER TABLE {$table_name} ADD COLUMN gdpr_data VARCHAR(256) DEFAULT NULL, ADD COLUMN event varchar(50), ADD COLUMN replay varchar(50),  ADD COLUMN trk1 varchar(50),ADD COLUMN trk2 varchar(50),ADD COLUMN trk3 varchar(50),ADD COLUMN trk4 varchar(50),ADD COLUMN trk5 varchar(50),ADD COLUMN trk6 varchar(50),ADD COLUMN trk7 varchar(50),ADD COLUMN trk8 varchar(50),ADD COLUMN trk9 varchar(50),ADD COLUMN lead_browser_and_os varchar(256)");
    }

    // add os/browser columns (evergreen)
    $table_name = $wpdb->prefix . "webinarignition_leads_evergreen";
    $row = $wpdb->get_results("SELECT COLUMN_NAME FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = '{$table_name}' AND column_name = 'gdpr_data' ");
    if (empty($row)) {
        $wpdb->query("ALTER TABLE {$table_name} ADD COLUMN gdpr_data VARCHAR(256) DEFAULT NULL, ADD COLUMN event varchar(50), ADD COLUMN replay varchar(50),  ADD COLUMN trk1 varchar(50),ADD COLUMN trk2 varchar(50),ADD COLUMN trk3 varchar(50),ADD COLUMN trk4 varchar(50),ADD COLUMN trk5 varchar(50),ADD COLUMN trk6 varchar(50),ADD COLUMN trk7 varchar(50),ADD COLUMN trk8 varchar(50),ADD COLUMN trk9 varchar(50),ADD COLUMN lead_browser_and_os varchar(256)");
    }
}





/*
|-----------------------------------------------------------------------------------------------------------------------
| UPDATE DB VERSION
|-----------------------------------------------------------------------------------------------------------------------
*/
update_option('webinarignition_db_version', WEBINARIGNITION_DB_VERSION);