<?php defined( 'ABSPATH' ) || exit;

// ####################################
//
//  Check If Current Is Within Range Of Email Date
//
// ####################################


function webinarignition_dt_check($start_date, $end_date, $date_from_db)
{

    // Convert to timestamp
    $start_ts = strtotime($start_date);
    $end_ts = strtotime($end_date);
    $user_ts = strtotime($date_from_db);

    // Check that user date is between start & end
    if (($user_ts >= $start_ts) && ($user_ts <= $end_ts)) {
        return "yes";
    } else {
        return "no";
    }
}

// ####################################
//
//  Send Email Notification
//
// ####################################
// --------------------------------------------------------------------------------------
   function webinarignition_send_email($ID, $num, $results)
   {
      global $wpdb;
      $table_db_name = $wpdb->prefix . "webinarignition_leads";

      $port = (($results->smtp_port == "") ? 25 : $results->smtp_port);
      $list = $wpdb->get_results("SELECT * FROM $table_db_name WHERE app_id = '$ID' ", OBJECT);
      $body = '';
      $link = $results->webinar_permalink.(strstr($results->webinar_permalink, '?') ? '&' : '?');
      $link.= (($results->paid_status == "paid") ? "live=1&".md5($results->paid_code) : "live=1");

      $emailHead = '<!DOCTYPE html>
            <html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office">
                <head>
                <meta charset="utf-8">
                <meta name="viewport" content="width=device-width">
                <meta http-equiv="X-UA-Compatible" content="IE=edge">
                <meta name="x-apple-disable-message-reformatting">
                <link href="https://fonts.googleapis.com/css?family=Nunito+Sans:200,300,400,600,700,800,900" rel="stylesheet">

                <style>

                    html,
            body {
                margin: 0 auto !important;
                padding: 0 !important;
                height: 100% !important;
                width: 100% !important;
                background: #f1f1f1;
            }

            * {
                -ms-text-size-adjust: 100%;
                -webkit-text-size-adjust: 100%;
            }

            /* What it does: Centers email on Android 4.4 */
            div[style*="margin: 16px 0"] {
                margin: 0 !important;
            }

            table,
            td {
                mso-table-lspace: 0pt !important;
                mso-table-rspace: 0pt !important;
            }


            table {
                border-spacing: 0 !important;
                border-collapse: collapse !important;
                table-layout: fixed !important;
                margin: 0 auto !important;
            }


            img {
                -ms-interpolation-mode:bicubic;
            }


            a {
                text-decoration: none;
            }

            *[x-apple-data-detectors],  /* iOS */
            .unstyle-auto-detected-links *,
            .aBn {
                border-bottom: 0 !important;
                cursor: default !important;
                color: inherit !important;
                text-decoration: none !important;
                font-size: inherit !important;
                font-family: inherit !important;
                font-weight: inherit !important;
                line-height: inherit !important;
            }

            .a6S {
                display: none !important;
                opacity: 0.01 !important;
            }

            .im {
                color: inherit !important;
            }

            img.g-img + div {
                display: none !important;
            }

            /* iPhone 4, 4S, 5, 5S, 5C, and 5SE */
            @media only screen and (min-device-width: 320px) and (max-device-width: 374px) {
                u ~ div .email-container {
                    min-width: 320px !important;
                }
            }
            /* iPhone 6, 6S, 7, 8, and X */
            @media only screen and (min-device-width: 375px) and (max-device-width: 413px) {
                u ~ div .email-container {
                    min-width: 375px !important;
                }
            }
            /* iPhone 6+, 7+, and 8+ */
            @media only screen and (min-device-width: 414px) {
                u ~ div .email-container {
                    min-width: 414px !important;
                }
            }

            .bg_white{
                    background: #ffffff;
            }
            .bg_light{
                    background: #fafafa;
            }
            .bg_black{
                    background: #000000;
            }
            .bg_dark{
                    background: rgba(0,0,0,.8);
            }
            .email-section{
                    padding:2.5em;
            }

            h1,h2,h3,h4,h5,h6{
                    font-family: "Nunito Sans", sans-serif;
                    color: #000000;
                    margin-top: 0;
            }
            a{
                    color: #f5564e;
            }
            </style>
            </head>';


      $getBodyEmail = $emailHead;
      $getBodyEmail .= $results->{"email_notiff_body_".$num};
      $getBodyEmail = str_replace("{TITLE}", $results->webinar_desc, $getBodyEmail);
      $getBodyEmail = str_replace("{HOST}", $results->webinar_host, $getBodyEmail);
      $getBodyEmail .= '</html>';
      $liveWebbyDate = explode("-", $results->webinar_date);
      $autoDate = $liveWebbyDate[2] . "-" . $liveWebbyDate[0] . "-" . $liveWebbyDate[1];
      $date_format = get_option("date_format");
      $autoDate_format = date($date_format, strtotime($autoDate));
      $months = $results->auto_translate_months;
      $days = $results->auto_translate_days;
      $autoDate_format = webinarignition_translate_dm($months, $autoDate_format);
      $autoDate_format = webinarignition_translate_dm($days, $autoDate_format, 'days');

      $body = str_replace("{DATE}", $autoDate_format . " @ " . webinarignition_get_time_tz($results->webinar_start_time, $results->webinar_timezone, $results->time_format, $results->time_suffix), $getBodyEmail);
      $errs = 0;
      $mesg = '';

     //check whether smtp is available; this will be used to determine whether to use smtp or Sendmail later
    $smtp_avail = true;
    $connection =  @fsockopen ($results->smtp_host, $results->smtp_port, $errno, $errstr, 15);
    if (!is_resource($connection)) {
        $smtp_avail = false;
    }

      foreach ($list as $lead) {

         $lnk = (!strstr($link, 'lid=') ? $link."&lid={$lead->ID}" : $link);

         $bdy = $body;
         $bdy = str_replace("{NAME}", $lead->name, $bdy);
         $bdy = str_replace("{YEAR}", date("Y"), $bdy);
         $bdy = str_replace("{EMAIL}", $lead->email, $bdy);
         $bdy = str_replace("{LINK}", '<a href="'.$lnk .'">'.$lnk .'</a>', $bdy);

         $mesg = "Added {$lead->name} ({$lead->email}) to email recipient list\n";

          WebinarIgnition_Logs::add($mesg,$ID, WebinarIgnition_Logs::LIVE_EMAIL);

        if( ! webinarignition_mail( $lead->email, $results->{"email_notiff_sbj_".$num}, $bdy, $results) ) {

               WebinarIgnition_Logs::add("ERROR:: Email could not be sent. Error message: {$mail->ErrorInfo}",$ID, WebinarIgnition_Logs::LIVE_EMAIL);

            } else {
            WebinarIgnition_Logs::add("Mail Sent.",$ID, WebinarIgnition_Logs::LIVE_EMAIL);
         }
      }

      return true;
   }
// --------------------------------------------------------------------------------------




// ####################################
//
//  Send TXT Notification
//
// ####################################
function webinarignition_send_txt($results)
{
    // LOOP THROUGH EMAILS HERE ::
    global $wpdb;
    $table_db_name = $wpdb->prefix . "webinarignition_leads";
    $leads = $wpdb->get_results("SELECT * FROM $table_db_name WHERE app_id = '{$results->id}' ", OBJECT);
    // Loop Through Each Lead & Send ::
    // Send TXT Messages
    $AccountSid = $results->twilio_id;
    $AuthToken = $results->twilio_token;
    $client = new Services_Twilio($AccountSid, $AuthToken);

    $MSG = $results->twilio_msg;
    // Shortcode {LINK}
    if ($results->paid_status == "paid") {
        $MSG = str_replace("{LINK}", $results->webinar_permalink . "?live&" . md5($results->paid_code), $MSG);
    } else {
        $MSG = str_replace("{LINK}", $results->webinar_permalink . "?live", $MSG);
    }
    $txt_sent = false;

    foreach ($leads as $leads) {
        if ($leads->phone == "undefined" || $leads->phone == "") {

        } else {
            $txt_sent = true;
            try {

                $client->account->messages->create(array(
                    'To' => trim($leads->phone),
                    'From' => $results->twilio_number,
                    'Body' => $MSG,
                ));
                WebinarIgnition_Logs::add("TXT Sent to {$leads->name} ({$leads->phone})",$results->id, WebinarIgnition_Logs::LIVE_SMS);
                //echo 'TXT Sent :: ' . $leads->phone;
                //echo "<br>";
            } catch (Exception $e) {
                // Error On Phone Number - Do Nothing
                // echo 'Error: ' . $e->getMessage();
                WebinarIgnition_Logs::add("Error sending TXT to {$leads->name} ({$leads->phone}): ".$e->getMessage(),$results->id, WebinarIgnition_Logs::LIVE_SMS);
            }
        }
    }
    if(!$txt_sent) {
        WebinarIgnition_Logs::add("No leads to send TXT to.",$results->id, WebinarIgnition_Logs::LIVE_SMS);
    }
}
// --------------------------------------------------------------------------------------




// AUTO
// --------------------------------------------------------------------------------------
// Send Out Emails
function webinarignition_cron_email($ID, $LEADID, $num, $NAME, $EMAIL, $DATE, $TIMEZONE)
{
    // Setup Info
    $results = get_option('webinarignition_campaign_' . $ID);

    //check if notification is disabled, and halt sending it
    if ($results->{'email_notiff_' . $num} == 'off') {
        WebinarIgnition_Logs::add(webinarignition_prettifyNotificationTitle($num) . " disabled - aborting!",$ID, WebinarIgnition_Logs::AUTO_EMAIL);
        // return true so that it can be marked as sent (else the logs table ends up with millions of useless entries)
        return true;
    }

    // Preprocess Email w/ Shortcodes
    $getBody = "email_notiff_body_" . $num;
      $emailHead = '<!DOCTYPE html>
            <html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office">
                <head>
                <meta charset="utf-8">
                <meta name="viewport" content="width=device-width">
                <meta http-equiv="X-UA-Compatible" content="IE=edge">
                <meta name="x-apple-disable-message-reformatting">
                <link href="https://fonts.googleapis.com/css?family=Nunito+Sans:200,300,400,600,700,800,900" rel="stylesheet">

                <style>

                    html,
            body {
                margin: 0 auto !important;
                padding: 0 !important;
                height: 100% !important;
                width: 100% !important;
                background: #f1f1f1;
            }

            * {
                -ms-text-size-adjust: 100%;
                -webkit-text-size-adjust: 100%;
            }

            /* What it does: Centers email on Android 4.4 */
            div[style*="margin: 16px 0"] {
                margin: 0 !important;
            }

            table,
            td {
                mso-table-lspace: 0pt !important;
                mso-table-rspace: 0pt !important;
            }


            table {
                border-spacing: 0 !important;
                border-collapse: collapse !important;
                table-layout: fixed !important;
                margin: 0 auto !important;
            }


            img {
                -ms-interpolation-mode:bicubic;
            }


            a {
                text-decoration: none;
            }

            *[x-apple-data-detectors],  /* iOS */
            .unstyle-auto-detected-links *,
            .aBn {
                border-bottom: 0 !important;
                cursor: default !important;
                color: inherit !important;
                text-decoration: none !important;
                font-size: inherit !important;
                font-family: inherit !important;
                font-weight: inherit !important;
                line-height: inherit !important;
            }

            .a6S {
                display: none !important;
                opacity: 0.01 !important;
            }

            .im {
                color: inherit !important;
            }

            img.g-img + div {
                display: none !important;
            }

            /* iPhone 4, 4S, 5, 5S, 5C, and 5SE */
            @media only screen and (min-device-width: 320px) and (max-device-width: 374px) {
                u ~ div .email-container {
                    min-width: 320px !important;
                }
            }
            /* iPhone 6, 6S, 7, 8, and X */
            @media only screen and (min-device-width: 375px) and (max-device-width: 413px) {
                u ~ div .email-container {
                    min-width: 375px !important;
                }
            }
            /* iPhone 6+, 7+, and 8+ */
            @media only screen and (min-device-width: 414px) {
                u ~ div .email-container {
                    min-width: 414px !important;
                }
            }

            .bg_white{
                    background: #ffffff;
            }
            .bg_light{
                    background: #fafafa;
            }
            .bg_black{
                    background: #000000;
            }
            .bg_dark{
                    background: rgba(0,0,0,.8);
            }
            .email-section{
                    padding:2.5em;
            }

            h1,h2,h3,h4,h5,h6{
                    font-family: "Nunito Sans", sans-serif;
                    color: #000000;
                    margin-top: 0;
            }
            a{
                    color: #f5564e;
            }
            </style>
            </head>';


    $getBodyEmail = $emailHead;
    $getBodyEmail .= $results->$getBody;
    $getBodyEmail .= '</html>';
    // Shortcode :: TITLE
    $getBodyEmail = str_replace("{TITLE}", $results->webinar_desc, $getBodyEmail);
    // Shortcode :: HOST
    $getBodyEmail = str_replace("{HOST}", $results->webinar_host, $getBodyEmail);
    // Shortcode :: LINK


// fix :: email link
// --------------------------------------------------------------------------------------
   $_webinar_link = $results->webinar_permalink.(strstr($results->webinar_permalink, '?') ? '&' : '?');
   $_webinar_link.= "lid=$LEADID&event=OI3shBXlqsw&live=1";
   $_webinar_link.= (($results->paid_status == "paid") ? "&".md5($results->paid_code) : "");
// --------------------------------------------------------------------------------------

    $getBodyEmail = str_replace("{LINK}", '<a href="' . $_webinar_link . '">' . $_webinar_link . '</a>', $getBodyEmail);
    // Shortcode :: DATE
    // Translate ::
    $date_format = get_option("date_format");
    $autoDate_info = explode(" ", $DATE);
    $autoDate_format = date($date_format, strtotime($autoDate_info[0]));
    // Final Step = Translate Months
    $months = $results->auto_translate_months;
    $days = $results->auto_translate_days;

    $autoDate_format = webinarignition_translate_dm($months, $autoDate_format);
    $autoDate_format = webinarignition_translate_dm($days, $autoDate_format, 'days');

    // Replace
    $getBodyEmail = str_replace("{DATE}", $autoDate_format . " @ " . webinarignition_get_time_tz($autoDate_info[1],$TIMEZONE, $results->time_format, $results->time_suffix) , $getBodyEmail);
    $getBodyEmail = str_replace("{NAME}", $NAME , $getBodyEmail);
    $getBodyEmail = str_replace("{YEAR}", date("Y"), $getBodyEmail);



    $getSBJ = "email_notiff_sbj_" . $num;
    $Subject = $results->$getSBJ;

    if( ! webinarignition_mail( $EMAIL, $Subject, $getBodyEmail, $results) ) {

        // echo 'Mailer Error: ' . $mail->ErrorInfo;
        WebinarIgnition_Logs::add("ERROR:: Email could not be sent. Error message: {$mail->ErrorInfo}",$ID, WebinarIgnition_Logs::AUTO_EMAIL);
        return false;
    } else {
        // echo 'Email Sent :: ' . $EMAIL;
        // echo "<br>";
        WebinarIgnition_Logs::add("Mail Sent.",$ID, WebinarIgnition_Logs::AUTO_EMAIL);
        return true;
    }
}

// ####################################
//
//  Send TXT Notification
//
// ####################################
function webinarignition_send_txt_auto($ID, $PHONE, $LEADID)
{

    // Get Results
    $results = get_option('webinarignition_campaign_' . $ID);

    $AccountSid = $results->twilio_id;
    $AuthToken = $results->twilio_token;
    $client = new Services_Twilio($AccountSid, $AuthToken);

    $MSG = $results->twilio_msg;
    // Shortcode {LINK}
    // NOTE :: alteration
    // --------------------------------------------------------------------------------------
    $_webinar_link = $results->webinar_permalink.(strstr($results->webinar_permalink, '?') ? '&' : '?');
    $_webinar_link.= "lid=$LEADID&event=OI3shBXlqsw&live=1";
    // --------------------------------------------------------------------------------------

    $MSG = str_replace("{LINK}", $_webinar_link, $MSG);

    try {

        $client->account->messages->create(array(
            'To' => trim($PHONE),
            'From' => $results->twilio_number,
            'Body' => $MSG,
        ));
        WebinarIgnition_Logs::add("TXT notification Sent.", $ID, WebinarIgnition_Logs::AUTO_SMS);
    } catch (Exception $e) {
        // Error On Phone Number - Do Nothing
        // echo 'Error: ' . $e->getMessage();
        WebinarIgnition_Logs::add("Error sending TXT to {$PHONE}: ".$e->getMessage(),$ID, WebinarIgnition_Logs::AUTO_SMS);
    }
}
