<?php defined( 'ABSPATH' ) || exit;

require_once(WEBINARIGNITION_PATH . 'vendor/autoload.php');
use Sinergi\BrowserDetector\Browser as WebinarignitionBrowser;
use Sinergi\BrowserDetector\Os as WebinarignitionOs;
use Sinergi\BrowserDetector\Device as WebinarignitionDevice;

add_action('template_redirect', 'webinarignitionx_checkpost');

if ( ! function_exists( 'webinarignitionx_checkpost' ) ) :

    function webinarignitionx_checkpost() {

                $input_get     = filter_input_array(INPUT_GET);
                // get POST ID:
                global $post;

                if(!empty($post)){

                        $values = get_post_custom($post->ID);

                        if ( empty( $values['webinarignitionx_meta_box_select'] ) || empty( $values['webinarignitionx_meta_box_select'][0] ) || ( $values['webinarignitionx_meta_box_select'][0] == '0') ) { return; }

                        $webinarignitionxSelected = $values['webinarignitionx_meta_box_select'];
                        $webinar_id = $webinarignitionxSelected[0];

                        if ($webinar_id !== "0" && !empty($webinar_id)) {

                                $client         = urlencode($webinar_id); // used as global, do not remove
                                $webinar_id     = urlencode($webinar_id);

                                // Return Option Object:
                                $webinar_data = get_option('webinarignition_campaign_' . $webinar_id);

                                // Thank You Page
                                if (isset($input_get['confirmed'])) {

                                    if (!is_user_logged_in() && ($webinar_data->paid_status === 'paid' && !isset($input_get[$webinar_data->paid_code]))) {
                                        wp_redirect($webinar_data->webinar_permalink);
                                    }
                                    set_query_var('webinarignition_page', 'thank_you');
                                    set_query_var('webinar_data', $webinar_data);
                                    set_query_var('webinar_id', $webinar_id);
                                    webinarignition_display_thank_you_page($webinar_data, $webinar_id);

                                } else if (isset($input_get['preview-countdown'])) {

                                    set_query_var('webinarignition_page', 'countdown');

                                    webinarignition_display_countdown_page($webinar_data, $webinar_id);

                                } else if (isset($input_get['preview-webinar'])) {

                                    // Preview Webinar Page
                                    set_query_var('webinarignition_page', 'preview_webinar');
                                    set_query_var('webinar_data', $webinar_data);
                                    set_query_var('webinar_id', $webinar_id);
                                    webinarignition_display_webinar_page($webinar_data, $webinar_id);

                                } else if (isset($input_get['preview-replay'])) {

                                    set_query_var('webinarignition_page', 'preview-replay');
                                    set_query_var('webinar_data', $webinar_data);
                                    set_query_var('webinar_id', $webinar_id);

                                    webinarignition_display_replay_page( $webinar_data, $webinar_id );

                                } else if (isset($input_get['console'])) {

                                    set_query_var('webinarignition_page', 'console');
                                    set_query_var('webinar_data', $webinar_data);
                                    set_query_var('webinar_id', $webinar_id);

                                    webinarignition_display_console_page( $webinar_data, $webinar_id );

                                } else if (isset($input_get['live'])) {

                                    if (!is_user_logged_in() && ($webinar_data->paid_status == "paid" && !isset($input_get[md5($webinar_data->paid_code)]))) {
                                        // redirect if not paid..
                                        wp_redirect($webinar_data->webinar_permalink);
                                    }
                                    // Check
                                    if ($webinar_data->webinar_date == "AUTO") {
                                        // Auto Page - Set Based On Time ::
                                        $leadID = $input_get['lid'];
                                        global $wpdb;
                                        $table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";
                                        $query = "(SELECT * FROM $table_db_name WHERE id = '$leadID' )";
                                        $leadinfo = $wpdb->get_row($query, OBJECT);
                                        // Set Timezone
                                        date_default_timezone_set($leadinfo->lead_timezone);
                                        // Get Dates
                                        $todaysdate = strtotime("now");
                                        $live = strtotime($leadinfo->date_picked_and_live);
                                        $replay = strtotime($leadinfo->date_after_live);

                                        $webinarDuration = empty($webinar_data->auto_video_length) ? 60 : (int) $webinar_data->auto_video_length;
                                        $webinarEndTime = strtotime( " +{$webinarDuration} minutes", $live );
                                        $webinarStarted = $todaysdate >= $live;
                                        $webinarIsOver = $todaysdate >= $webinarEndTime;

                                        // If date has not yet reached...
                                        if (!$webinarStarted) {

                                            set_query_var('webinarignition_page', 'countdown');

                                            webinarignition_display_countdown_page($webinar_data, $webinar_id);

                                        } else if ($webinarIsOver) {

                                            set_query_var('webinarignition_page', 'replay');
                                            set_query_var('webinar_data', $webinar_data);
                                            set_query_var('webinar_id', $webinar_id);

                                            webinarignition_display_replay_page( $webinar_data, $webinar_id );

                                        } else {

                                            set_query_var('webinarignition_page', 'webinar');
                                            set_query_var('webinar_data', $webinar_data);
                                            set_query_var('webinar_id', $webinar_id);
                                            webinarignition_display_webinar_page($webinar_data, $webinar_id);

                                        }
                                    } else {
                                        // Live Page -- Get Switch Settings ::
                                        if ($webinar_data->webinar_switch == "" || $webinar_data->webinar_switch == "countdown") {

                                            set_query_var('webinarignition_page', 'countdown');

                                            webinarignition_display_countdown_page($webinar_data, $webinar_id);

                                        } else if ($webinar_data->webinar_switch == "live") {

                                            set_query_var('webinarignition_page', 'webinar');
                                            set_query_var('webinar_data', $webinar_data);
                                            set_query_var('webinar_id', $webinar_id);
                                            webinarignition_display_webinar_page($webinar_data, $webinar_id);

                                        } else if ($webinar_data->webinar_switch == "replay") {

                                            set_query_var('webinarignition_page', 'replay');
                                            set_query_var('webinar_data', $webinar_data);
                                            set_query_var('webinar_id', $webinar_id);

                                            webinarignition_display_replay_page( $webinar_data, $webinar_id );

                                        } else if ($webinar_data->webinar_switch == "closed") {

                                            set_query_var('webinarignition_page', 'closed');
                                            set_query_var('webinar_data', $webinar_data);
                                            set_query_var('webinar_id', $webinar_id);

                                            webinarignition_display_closed_page( $webinar_data, $webinar_id );

                                        }
                                    }
                                } else if (isset($input_get['googlecalendar'])) {

                                    // Add To Calendar
                                    set_query_var('webinar_data', $webinar_data);
                                    set_query_var('webinar_id', $webinar_id);
                                    include("lp/google.php");
                                } else if (isset($input_get['ics'])) {

                                    // Add To iCal
                                    include("lp/ics.php");
                                } else if (isset($input_get['googlecalendarA'])) {

                                    // Add To Calendar
                                    include("lp/googleA.php");
                                } else if (isset($input_get['icsA'])) {

                                    // Add To iCal
                                    include("lp/icsA.php");

                                } else if (isset($input_get['trkorder'])) {

                                    // Track Order
                                    include("lp/ordertrk_new.php");
                                } else if (isset($input_get['arsubmit'])) {


                                    // might not be necessary; seee commit for version 2.0.32
                                        // set_query_var('webinar_data', $webinar_data);
                                        // set_query_var('webinar_id', $webinar_id);
                                        // include("lp/ar_submit.php");

                                } else if (isset($input_get['preview_auto_thankyou'])) {


                                    set_query_var('webinarignition_page', 'preview_auto_thankyou');
                                    set_query_var('webinar_data', $webinar_data);
                                    set_query_var('webinar_id', $webinar_id);
                                    webinarignition_display_preview_auto_thankyou_page($webinar_data, $webinar_id);

                                } else if (isset($input_get['register-now'])) {

                                    set_query_var('webinarignition_page', 'auto_register');
                                    set_query_var('webinar_data', $webinar_data);
                                    set_query_var('webinar_id', $webinar_id);
                                    webinarignition_display_auto_register_page($webinar_data, $webinar_id);

                                } else {

                                    set_query_var('webinarignition_page', 'registration');
                                    set_query_var('webinar_data', $webinar_data);
                                    set_query_var('webinar_id', $webinar_id);
                                    webinarignition_display_registration_page($webinar_data, $webinar_id);

                                }

                        }

                }

                die();

    }

endif;


if ( ! function_exists( 'webinarignition_display_preview_auto_thankyou_page' ) ) :

    function webinarignition_display_preview_auto_thankyou_page( $webinar_data, $webinar_id ) {

                $assets             = WEBINARIGNITION_URL . "inc/lp/";
                $input_get          = filter_input_array(INPUT_GET);
                $input_cookie       = filter_input_array(INPUT_COOKIE);

                global $wpdb;
                $table_db_name      = $wpdb->prefix . "webinarignition";

                if($data            = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$webinar_id'", OBJECT)):
                    if(!empty( $data[0] )):
                        $data = $data[0];
                       include("lp/thankyou_cp_preview.php");
                    endif;
                endif;
    }

endif;

add_action( 'wp_enqueue_scripts', 'webinarignition_preview_auto_thankyou_page_scripts' );

if ( ! function_exists( 'webinarignition_preview_auto_thankyou_page_scripts' ) ):

    function webinarignition_preview_auto_thankyou_page_scripts() {

        if( ( get_query_var('webinarignition_page') == 'preview_auto_thankyou' ) ):

            $assets             = WEBINARIGNITION_URL . "inc/lp/";
            //<head> css
            wp_enqueue_style( 'webinarignition_bootstrap',              $assets . 'css/bootstrap.min.css' );
            wp_enqueue_style( 'webinarignition_foundation',             $assets . 'css/foundation.css' );
            wp_enqueue_style( 'webinarignition_intlTelInput',           $assets . 'js-libs/css/intlTelInput.css' );
            wp_enqueue_style( 'webinarignition_main',                   $assets . 'css/main.css' );
            wp_enqueue_style( 'webinarignition_cp',             $assets . 'css/cp.css' );
            wp_enqueue_style( 'webinarignition_cpres_ty',       $assets . 'css/cpres_ty.css' );
            wp_enqueue_style( 'webinarignition_countdown_ty',   $assets . 'css/countdown-ty.css' );
            wp_enqueue_style( 'webinarignition_font-awesome',   $assets . 'css/font-awesome.min.css' );




            wp_enqueue_style( 'webinarignition_font-awesome',           $assets . 'css/font-awesome.min.css' );


        endif;

    }

endif;




if ( ! function_exists( 'webinarignition_display_console_page' ) ) :

    function webinarignition_display_console_page( $webinar_data, $webinar_id ) {

                if ( ! current_user_can( 'manage_options' ) ) {
                    exit('You need to be logged in to access the live console.');
                }

                global $post;
                $assets = WEBINARIGNITION_URL . "inc/lp/";
                include("lp/console/index.php");

    }

endif;


add_action( 'wp_enqueue_scripts', 'webinarignition_console_page_scripts' );

if ( ! function_exists( 'webinarignition_console_page_scripts' ) ):

    function webinarignition_console_page_scripts() {

        if( ( get_query_var('webinarignition_page') == 'console' ) ):

            $assets             = WEBINARIGNITION_URL . "inc/lp/";
            //<head> css
            wp_enqueue_style( 'webinarignition_bootstrap',              $assets . 'css/bootstrap.min.css' );

            //<head> js
            wp_enqueue_script( 'webinarignition_polyfills_js',          $assets . 'console/assets/js/polyfills.js', [], false, false );
            wp_enqueue_script( 'webinarignition_vendor_js',             $assets . 'console/assets/js/vendor.js', ['webinarignition_polyfills_js'], false, false );
            wp_enqueue_script( 'webinarignition_app_js',                $assets . 'console/assets/js/app.js', ['webinarignition_vendor_js'], false, false );

        endif;

    }

endif;



if ( ! function_exists( 'webinarignition_display_closed_page' ) ) :

    function webinarignition_display_closed_page( $webinar_data, $webinar_id ) {

                $assets         = WEBINARIGNITION_URL . "inc/lp/";
                include("lp/closed.php");
    }

endif;


add_action( 'wp_enqueue_scripts', 'webinarignition_closed_page_scripts' );

if ( ! function_exists( 'webinarignition_closed_page_scripts' ) ):

    function webinarignition_closed_page_scripts() {

        if( ( get_query_var('webinarignition_page') == 'closed' ) ):

            $assets             = WEBINARIGNITION_URL . "inc/lp/";
            //<head> css
            wp_enqueue_style( 'webinarignition_normalize',              $assets . 'css/normalize.css' );
            wp_enqueue_style( 'webinarignition_foundation',             $assets . 'css/foundation.css' );
            wp_enqueue_style( 'webinarignition_main',                   $assets . 'css/main.css' );
            wp_enqueue_style( 'webinarignition_font-awesome',           $assets . 'css/font-awesome.min.css' );
            wp_enqueue_style( 'webinarignition_countdown',              $assets . 'css/countdown.css' );
            wp_enqueue_style( 'webinarignition_webinar',                $assets . 'css/webinar.css' );
            wp_enqueue_style( 'webinarignition_cdres',                  $assets . 'css/cdres.css' );
            wp_enqueue_style( 'webinarignition_countdown_replay',       $assets . 'css/countdown-replay.css' );

            //<head> js
            wp_enqueue_script( 'webinarignition_js_countdown',          $assets . 'js/countdown.js', ['jquery'], false, false );


            if( $webinar_data = get_query_var('webinar_data') ):

                    if ( $webinar_data->webinar_ld_share != "off" ) :
                        wp_enqueue_script( 'webinarignition_linkedin_js',  '//platform.linkedin.com/in.js', [], false, false );
                    endif;

            endif;


        endif;

    }

endif;



// Auto Register From URL & Submit AR URL
if ( ! function_exists( 'webinarignition_display_auto_register_page' ) ) :

    function webinarignition_display_auto_register_page( $webinar_data, $webinar_id ) {

                $assets         = WEBINARIGNITION_URL . "inc/lp/";
                $input_get      = filter_input_array(INPUT_GET);
                $name           = $input_get["n"];
                $email          = $input_get["e"];

                include("lp/auto-register.php");
    }

endif;


add_action( 'wp_enqueue_scripts', 'webinarignition_auto_register_page_scripts' );

if ( ! function_exists( 'webinarignition_auto_register_page_scripts' ) ):

    function webinarignition_auto_register_page_scripts() {

        if( ( get_query_var('webinarignition_page') == 'auto_register' ) ):

            $assets             = WEBINARIGNITION_URL . "inc/lp/";
            //<head> css
            wp_enqueue_style( 'webinarignition_bootstrap',              $assets . 'css/bootstrap.min.css' );
            wp_enqueue_style( 'webinarignition_auto_register_css',      $assets . 'css/auto_register_css.css' );

        endif;

    }

endif;


if ( ! function_exists( 'webinarignition_display_replay_page' ) ) :

    function webinarignition_display_replay_page($webinar_data, $webinar_id) {

                $assets             = WEBINARIGNITION_URL . "inc/lp/";

                if ($webinar_data->webinar_date == "AUTO") {
                    // Get Information
                    $leadID = $input_get['lid'];
                    global $wpdb;
                    $table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";
                    $query = "(SELECT * FROM $table_db_name WHERE id = '$leadID' )";
                    $leadinfo = $wpdb->get_row($query, OBJECT);
                }

                include("lp/replay.php");
    }

endif;


add_action( 'wp_enqueue_scripts', 'webinarignition_replay_page_scripts' );

if ( ! function_exists( 'webinarignition_replay_page_scripts' ) ):

    function webinarignition_replay_page_scripts() {


        if( ( get_query_var('webinarignition_page') == 'replay' ) || ( get_query_var('webinarignition_page') == 'preview-replay' ) ):

            $assets             = WEBINARIGNITION_URL . "inc/lp/";
            //<head> css
            wp_enqueue_style( 'webinarignition_bootstrap',              $assets . 'css/bootstrap.min.css' );
            wp_enqueue_style( 'webinarignition_foundation',             $assets . 'css/foundation.css' );
            wp_enqueue_style( 'webinarignition_main',                   $assets . 'css/main.css' );
            wp_enqueue_style( 'webinarignition_webinar',                $assets . 'css/webinar.css' );
            wp_enqueue_style( 'webinarignition_font-awesome',           $assets . 'css/font-awesome.min.css' );
            wp_enqueue_style( 'webinarignition_font-awesome_ie7',       $assets . 'css/font-awesome-ie7.min.css' );
            wp_enqueue_style( 'webinarignition_countdown_replay',       $assets . 'css/countdown-replay.css' );

            //<head> js
            wp_enqueue_script( 'webinarignition_js_countdown',          $assets . 'js/countdown.js', ['jquery'], false, false );
            wp_enqueue_script( 'webinarignition_cookie_js',             $assets . 'js/cookie.js', [], false, false );

            if( $webinar_data = get_query_var('webinar_data') ):

                    if ( $webinar_data->webinar_ld_share != "off" ) :
                        wp_enqueue_script( 'webinarignition_linkedin_js',  '//platform.linkedin.com/in.js', [], false, false );
                    endif;

                    if ( webinarignition_should_use_videojs($webinar_data) ) :
                        wp_enqueue_script( 'webinarignition_video_js',  '//vjs.zencdn.net/6.2.8/video.js', [], false, false );
                        wp_enqueue_style( 'webinarignition_video_css',  '//vjs.zencdn.net/6.2.8/video-js.css' );
                    endif;

            endif;


        endif;

    }

endif;


if ( ! function_exists( 'webinarignition_display_countdown_page' ) ) :

    function webinarignition_display_countdown_page($webinar_data, $webinar_id) {

                $full_path      = get_site_url();
                $assets         = WEBINARIGNITION_URL . "inc/lp/";


                $input_get      = filter_input_array(INPUT_GET);
                // Check if its a auto Webinar
                if ($webinar_data->webinar_date == "AUTO") {
                    // Get Information
                    $leadID = $input_get['lid'];
                    global $wpdb;
                    $table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";
                    $query = "(SELECT * FROM $table_db_name WHERE id = '$leadID' )";
                    $leadinfo = $wpdb->get_row($query, OBJECT);
                }

                include("lp/countdown.php");
    }

endif;


add_action( 'wp_enqueue_scripts', 'webinarignition_countdown_page_scripts' );

if ( ! function_exists( 'webinarignition_countdown_page_scripts' ) ):

    function webinarignition_countdown_page_scripts() {


        if( get_query_var('webinarignition_page') == 'countdown'):

            $assets                                 = WEBINARIGNITION_URL . "inc/lp/";
            //<head> css
            wp_enqueue_style( 'webinarignition_normalize',      $assets . 'css/normalize.css' );
            wp_enqueue_style( 'webinarignition_foundation',     $assets . 'css/foundation.css' );
            wp_enqueue_style( 'webinarignition_main',           $assets . 'css/main.css' );
            wp_enqueue_style( 'webinarignition_font-awesome',   $assets . 'css/font-awesome.min.css' );
            wp_enqueue_style( 'webinarignition_countdown',      $assets . 'css/countdown.css' );
            wp_enqueue_style( 'webinarignition_webinar',        $assets . 'css/webinar.css' );
            wp_enqueue_style( 'webinarignition_cdres',          $assets . 'css/cdres.css' );




            //<head> js
            wp_enqueue_script( 'webinarignition_js_countdown',  $assets . 'js/countdown.js', ['jquery'], false, false );


            if( $webinar_data = get_query_var('webinar_data') ):


            endif;


        endif;

    }

endif;


if ( ! function_exists( 'webinarignition_display_webinar_page' ) ) :

    function webinarignition_display_webinar_page($webinar_data, $webinar_id) {

            $full_path          = get_site_url();
            $pluginName         = "webinarignition";
            $assets             = WEBINARIGNITION_URL . "inc/lp/";
            $input_get          = filter_input_array(INPUT_GET);

            global $wpdb;

            if($webinar_data->webinar_date ==  "AUTO"):
                $evergreen_leads_table = $wpdb->prefix . "webinarignition_leads_evergreen";
                $individual_offset = 0;
               if (!empty($input_get["lid"]) && (int) $input_get["lid"] !== 0) {
                       $lead_row = $wpdb->get_row($wpdb->prepare("SELECT date_picked_and_live FROM {$evergreen_leads_table} WHERE id = %d ", $input_get["lid"]));
                       $st_timestamp = strtotime($lead_row->date_picked_and_live);
                       $individual_offset = time() - $st_timestamp;
               }
            endif;


            $input_cookie       = filter_input_array(INPUT_COOKIE);

            include("lp/webinar.php");
    }

endif;


if ( ! function_exists( 'webinarignition_display_registration_page' ) ) :

    function webinarignition_display_registration_page($webinar_data, $webinarId) {

                $assets         = WEBINARIGNITION_URL . "inc/lp/";
                $input_get      = filter_input_array(INPUT_GET);

                if ( $webinar_data->webinar_date != "AUTO" ) {

                    $liveWebbyDate = explode( "-", $webinar_data->webinar_date );

                    $autoDate = $liveWebbyDate[2] . "-" . $liveWebbyDate[0] . "-" . $liveWebbyDate[1];

                    $date_format = get_option("date_format");
                    $autoDate_format = date( $date_format, strtotime( $autoDate ) );
                    // Final Step = Translate Months
                    $months = $webinar_data->auto_translate_months;
                    $days = $webinar_data->auto_translate_days;

                    $autoDate_format = webinarignition_translate_dm($months, $autoDate_format);
                    $autoDate_format = webinarignition_translate_dm($days, $autoDate_format, 'days');

                    $autoTime        = webinarignition_get_time_tz($webinar_data->webinar_start_time,$webinar_data->webinar_timezone, $webinar_data->time_format, $webinar_data->time_suffix);
                    $instantTest     = "";

                    // For Month Icon
                    $liveEventMonth     = "";
                    $liveEventDateDigit = "";

                    $splitAutoDate  = explode( ",", $autoDate_format );
                    $splitAutoDate2 = explode( ".", $splitAutoDate[1] );

                    $liveEventMonth     = $splitAutoDate2[0];
                    $liveEventDateDigit = $liveWebbyDate[1];
                }

                    $template_number = '01';
                    $registration_templates = [
                        'lp' => '01',
                        'ss' => '02',
                        'cp' => '03',
                    ];

                    if (!empty($webinar_data->fe_template) && in_array($webinar_data->fe_template, array_keys($registration_templates))) {
                        $template_number = $registration_templates[$webinar_data->fe_template];
                    }

                    include WEBINARIGNITION_PATH . "inc/lp/registration-tpl-{$template_number}.php";

    }

endif;


add_action( 'wp_enqueue_scripts', 'webinarignition_registration_page_scripts' );

if ( ! function_exists( 'webinarignition_registration_page_scripts' ) ):

    function webinarignition_registration_page_scripts() {


        if( get_query_var('webinarignition_page') == 'registration'):

            $assets                                 = WEBINARIGNITION_URL . "inc/lp/";
            //<head> css
            wp_enqueue_style( 'webinarignition_bootstrap',          $assets . 'css/bootstrap.min.css' );
            wp_enqueue_style( 'webinarignition_foundation',         $assets . 'css/foundation.css' );
            wp_enqueue_style( 'webinarignition_intlTelInput',       $assets . 'js-libs/css/intlTelInput.css' );
            wp_enqueue_style( 'webinarignition_main',               $assets . 'css/main.css' );
            wp_enqueue_style( 'webinarignition_font-awesome',       $assets . 'css/font-awesome.min.css' );
            wp_enqueue_style( 'webinarignition_css_utils',          $assets . 'css/utils.css' );

            //<head> js
            wp_enqueue_script( 'webinarignition_js_moment',         $assets . 'js/moment.min.js', [], '2.8.2', false );
            wp_enqueue_script( 'webinarignition_js_utils',          $assets . 'js/utils.js', ['webinarignition_js_moment'] );

            //footer scripts
            wp_enqueue_script( 'webinarignition_cookie_js',         $assets . 'js/cookie.js', [], false, true );
            wp_enqueue_script( 'webinarignition_intlTelInput_js',   $assets . 'js-libs/js/intlTelInput.js', ['webinarignition_cookie_js'], false, true );
            wp_enqueue_script( 'webinarignition_frontend_js',       $assets . 'js/frontend.js', [ 'webinarignition_cookie_js', 'webinarignition_intlTelInput_js' ], false, true );
            wp_enqueue_script( 'webinarignition_tz_js',             $assets . 'js/tz.js', [ 'webinarignition_cookie_js', 'webinarignition_intlTelInput_js', 'webinarignition_frontend_js' ], false, true );

            if( $webinar_data = get_query_var('webinar_data') ):

                if( ! empty($webinar_data->custom_lp_css) ):
                    $custom_css = esc_html($webinar_data->custom_lp_css);
                    wp_add_inline_style( 'webinarignition_main', $custom_css );
                endif;

                if( ! empty($webinar_data->custom_lp_js) ):
                    wp_add_inline_script( 'wi_js_utils', $webinar_data->custom_lp_js );
                endif;

                if( ! empty($webinar_data->stripe_publishable_key) ):
                    wp_enqueue_script( 'webinarignition_stripe_js', 'https://js.stripe.com/v2/', [], false, true );
                    $setPublishableKey = 'Stripe.setPublishableKey('. $webinar_data->stripe_publishable_key. ')';
                    wp_add_inline_script( 'webinarignition_stripe_js', $setPublishableKey );
                endif;

                if( !empty( $webinar_data->paid_status ) && ( $webinar_data->paid_status == "paid" ) ):
                    $paid_js_code = "var paid_code = {code: $webinar_data->paid_code}";
                    wp_add_inline_script( 'wi_js_utils', $paid_js_code );
                endif;


                $wi_parsed                                  = webinarignition_parse_registration_page_data( get_query_var('webinar_id'), $webinar_data );

                $isSigningUpWithFB                          = false;
                $fbUserData                                 = [];

                $input_get                                  = filter_input_array(INPUT_GET);

                if( !empty($webinar_data->fb_id) && !empty($webinar_data->fb_secret) && isset($input_get['code']) ):

                    include_once( "fbaccess.php" );
                    $isSigningUpWithFB                      = true;
                    $fbUserData['name']                     = $user_info['name'];
                    $fbUserData['email']                    = $user_info['email'];

                endif;

                    $wi_parsed['isSigningUpWithFB']         = $isSigningUpWithFB;
                    $wi_parsed['fbUserData']                = $fbUserData;
                    $window_webinarignition                 = 'window.webinarignition = ' .  "'" . json_encode($wi_parsed) . "'";
                    wp_enqueue_script( 'webinarignition_registration_js',   $assets . 'js/registration-page.js', [ 'jquery', 'webinarignition_cookie_js', 'webinarignition_intlTelInput_js', 'webinarignition_frontend_js', 'webinarignition_tz_js' ], false, true );
                    wp_add_inline_script( 'webinarignition_registration_js', $window_webinarignition, 'before' );

            endif;


        endif;

    }

endif;


//add_action('wp_enqueue_scripts', 'webinarignition_deregister_theme_scripts' );

if ( ! function_exists( 'webinarignition_deregister_theme_scripts' ) ):

    function webinarignition_deregister_theme_scripts() {

	global $wp_styles;


        if( $webinar_data = get_query_var('webinar_data') ):

            if( $webinar_data->wp_head_footer === 'enabled' ):
             return;
            endif;

            foreach ($wp_styles->registered as $style_obj ) {


                if ( substr ( $style_obj->handle, 0, 16 ) !== 'webinarignition_' ) {
                    wp_deregister_style($style_obj->handle);
                    wp_dequeue_style($style_obj->handle);
                }

            }

        endif;


    }

endif;


if ( ! function_exists( 'webinarignition_display_thank_you_page' ) ):

    function webinarignition_display_thank_you_page( $webinar_data, $webinarId ) {

        global $wpdb;
        $input_cookie                   = filter_input_array(INPUT_COOKIE);
        $instantTest                    = "";
        $assets                         = WEBINARIGNITION_URL . "inc/lp/";
        $full_path                      = get_site_url();
        $input_get                      = filter_input_array(INPUT_GET);

        $db_table_name                  = $wpdb->prefix . "webinarignition";
        $data                           = $wpdb->get_row("SELECT * FROM {$db_table_name} WHERE id = {$webinarId}", OBJECT);

        if( !empty($_COOKIE['we-trk-' . $webinarId]) ):
            $leadId                         = !empty($input_get['lid']) ? $input_get['lid'] : $_COOKIE['we-trk-' . $webinarId];
        endif;

        // fix missing lid in live oneclick final url
        if (empty($leadId) && !empty($input_get['email'])) {
            $getLiveIDByEmail           = webinarignition_live_get_lead_by_email($webinarId, $input_get['email']);
            $leadId                     = $getLiveIDByEmail->ID;
        }

        $isAuto                         = webinarignition_is_auto( $webinar_data );

        if( !empty( $leadId ) && !empty( $webinarId ) ){
            $lead                           = webinarignition_get_lead( $webinarId, $leadId, $isAuto );
        }

        if ( $isAuto ) {

            $autoDate_format            = webinarignition_display_date($webinar_data, $lead);
            $autoTime                   = webinarignition_display_time($webinar_data, $lead);

            // instant test // todo what is instant test?
            if ($lead->trk8 == "yes"):
                $instantTest            = "style='display:none;'";
            endif;


            // For Month Icon
            $liveEventMonth             = webinarignition_event_month($webinar_data, $lead);
            $liveEventDateDigit         = webinarignition_event_day($webinar_data, $lead);

        } else {

            // Get Date
            $liveWebbyDate              = explode("-", $webinar_data->webinar_date);
            $autoDate                   = $liveWebbyDate[2] . "-" . $liveWebbyDate[0] . "-" . $liveWebbyDate[1];

            $date_format                = get_option("date_format");
            $autoDate_format            = date($date_format, strtotime($autoDate));
            $months                     = $webinar_data->auto_translate_months;
            $days                       = $webinar_data->auto_translate_days;

            $autoDate_format            = webinarignition_translate_dm($months, $autoDate_format);
            $autoDate_format            = webinarignition_translate_dm($days, $autoDate_format, 'days');

            $autoTime_format            = $webinar_data->webinar_start_time;
            $autoTime                   = webinarignition_get_time_tz($autoTime_format, $webinar_data->webinar_timezone, $webinar_data->time_format, $webinar_data->time_suffix);

            $liveEventMonth             = date("M", strtotime($autoDate));
            $liveEventDateDigit         = date("d", strtotime($autoDate));

            $dtz                        = new DateTimeZone($webinar_data->webinar_timezone);
            $time_in_sofia              = new DateTime('now', $dtz);
            $autoTZ                     = $dtz->getOffset($time_in_sofia) / 3600;
            $autoTZ                     = ($autoTZ < 0 ? $autoTZ : "+" . $autoTZ);

        }

        include("lp/thankyou_cp.php");
    }

endif;


add_action( 'wp_enqueue_scripts', 'webinarignition_thank_you_page_scripts' );

if ( ! function_exists( 'webinarignition_thank_you_page_scripts' ) ):

    function webinarignition_thank_you_page_scripts() {

        if( get_query_var('webinarignition_page')   == 'thank_you'):

            $assets                                 = WEBINARIGNITION_URL . "inc/lp/";
            //<head> css
            wp_enqueue_style( 'webinarignition_bootstrap',      $assets . 'css/bootstrap.min.css' );
            wp_enqueue_style( 'webinarignition_foundation',     $assets . 'css/foundation.css' );
            wp_enqueue_style( 'webinarignition_intlTelInput',   $assets . 'js-libs/css/intlTelInput.css' );
            wp_enqueue_style( 'webinarignition_main',           $assets . 'css/main.css' );

            wp_enqueue_style( 'webinarignition_cp',             $assets . 'css/cp.css' );
            wp_enqueue_style( 'webinarignition_cpres_ty',       $assets . 'css/cpres_ty.css' );
            wp_enqueue_style( 'webinarignition_countdown_ty',   $assets . 'css/countdown-ty.css' );
            wp_enqueue_style( 'webinarignition_font-awesome',   $assets . 'css/font-awesome.min.css' );

            if( $webinar_data = get_query_var('webinar_data') ):

                    $ty_css  = ' .topArea{'. ($webinar_data->lp_banner_bg_style == "hide")  ?  'display: none;' : '';
                    $ty_css .= ' background-color: ' . ($webinar_data->lp_banner_bg_color == "") ? "#FFF" :  $webinar_data->lp_banner_bg_color;
                    $ty_css .= ($webinar_data->lp_banner_bg_repeater == "") ? "border-top: 3px solid rgba(0,0,0,0.20); border-bottom: 3px solid rgba(0,0,0,0.20);" : "background-image: url($webinar_data->lp_banner_bg_repeater);";
                    $ty_css .= '.mainWrapper{  background-color: #f1f1f1; }';
                    wp_add_inline_style( 'webinarignition_cp', $ty_css );

                    if( ! empty($webinar_data->custom_ty_js) ):
                        $custom_ty_js = $webinar_data->custom_ty_js;
                        wp_add_inline_script( 'webinarignition_js_moment', $custom_ty_js );
                    endif;

                    if( ! empty($webinar_data->custom_lp_css) ):
                        $custom_css = esc_html($webinar_data->custom_ty_css);
                        wp_add_inline_style( 'webinarignition_main', $custom_css );
                    endif;

            endif;

            //<head> js
            wp_enqueue_script( 'webinarignition_js_moment',         $assets . 'js/moment.min.js', ['jquery'], '2.8.2', false );
            wp_enqueue_script( 'webinarignition_cookie_js',         $assets . 'js/cookie.js', [], false, false );
            wp_enqueue_script( 'webinarignition_intlTelInput_js',   $assets . 'js-libs/js/intlTelInput.js', ['webinarignition_cookie_js'], false, false );
            wp_enqueue_script( 'webinarignition_frontend_js',       $assets . 'js/frontend.js', [ 'webinarignition_cookie_js', 'webinarignition_intlTelInput_js' ], false, false );
            wp_enqueue_script( 'webinarignition_countdown_js',      $assets . 'js/countdown.js', [ 'webinarignition_cookie_js', 'webinarignition_intlTelInput_js', 'webinarignition_frontend_js' ], false, false );


        endif;

    }

endif;

add_action( 'wp_enqueue_scripts', 'webinarignition_webinar_page_scripts' );

if ( ! function_exists( 'webinarignition_webinar_page_scripts' ) ):

    function webinarignition_webinar_page_scripts() {

        if( (get_query_var('webinarignition_page') == 'webinar') || (get_query_var('webinarignition_page') == 'preview_webinar') ):

            $assets                                 = WEBINARIGNITION_URL . "inc/lp/";
            //<head> css
            wp_enqueue_style( 'webinarignition_bootstrap',      $assets . 'css/bootstrap.min.css' );
            wp_enqueue_style( 'webinarignition_foundation',     $assets . 'css/foundation.css' );
            wp_enqueue_style( 'webinarignition_main',           $assets . 'css/main.css' );
            wp_enqueue_style( 'webinarignition_webinar_css',    $assets . 'css/webinar.css' );
            wp_enqueue_style( 'webinarignition_font-awesome',   $assets . 'css/font-awesome.min.css' );

            if( $webinar_data = get_query_var('webinar_data') ):

                if ( webinarignition_should_use_videojs($webinar_data) ) :
                    wp_enqueue_style( 'video_js_css',   '//vjs.zencdn.net/6.2.8/video-js.css' );
                endif;

                if ( ! empty($webinar_data->custom_webinar_css) ) :
                        $custom_css = esc_html($webinar_data->custom_webinar_css);
                        wp_add_inline_style( 'webinarignition_webinar_css', $custom_css );
                endif;

                if( ! empty($webinar_data->custom_webinar_js) ):
                    $custom_webinar_js = $webinar_data->custom_webinar_js;
                    wp_add_inline_script( 'jquery', $custom_webinar_js );
                endif;

            endif;

            //<head> js
            wp_enqueue_script( 'jquery' );
            wp_enqueue_script( 'webinarignition_cookie_js',          $assets . 'js/cookie.js', ['jquery'], false, false );
            wp_enqueue_script( 'webinarignition_polling_js',         $assets . 'js/polling.js', [ 'jquery', 'webinarignition_cookie_js' ], false, false );
            wp_enqueue_script( 'webinarignition_updater_js',         $assets . 'js/updater.js', [ 'jquery', 'webinarignition_cookie_js', 'webinarignition_polling_js' ], false, false );


            if ( webinarignition_should_use_videojs($webinar_data) ) :
                wp_enqueue_script( 'video_js', '//vjs.zencdn.net/6.2.8/video.js', [ 'jquery', 'webinarignition_updater_js' ], false, false );
            endif;


        endif;

    }

endif;
